2009-03-06  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Post release bump.

======================== 2.24.1 ========================

2009-03-06  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Correct version. We're at 2.24.1 not .2
	* glade/glade-gnome.c:
	* libgnomeui/gnome-app-helper.c:
	* libgnomeui/gnome-app-util.c: (remove_timeout_cb),
	(gnome_app_flash), (gnome_app_progress_timeout),
	(progress_timeout_remove):
	* libgnomeui/gnome-appbar.c: (gnome_appbar_class_init):
	* libgnomeui/gnome-authentication-manager.c:
	* libgnomeui/gnome-client.c: (client_save_yourself_callback):
	* libgnomeui/gnome-dateedit.c:
	* libgnomeui/gnome-dialog.c: (gnome_pixmap_button):
	* libgnomeui/gnome-entry.c:
	* libgnomeui/gnome-file-entry.c:
	* libgnomeui/gnome-gconf-ui.c:
	(gnome_default_gconf_client_error_handler):
	* libgnomeui/gnome-href.c: (gnome_href_instance_init),
	(gnome_href_destroy):
	* libgnomeui/gnome-icon-entry.c: (ientry_destroy),
	(gnome_icon_entry_instance_init):
	* libgnomeui/gnome-icon-list.c: (if):
	* libgnomeui/gnome-mdi-child.c: (gnome_mdi_child_remove_view):
	* libgnomeui/gnome-mdi.c: (gnome_mdi_destroy),
	(gnome_mdi_add_view), (gnome_mdi_add_toplevel_view),
	(gnome_mdi_remove_child):
	* libgnomeui/gnome-pixmap-entry.c:
	* libgnomeui/gnome-popup-menu.c: (gnome_popup_menu_attach):
	* libgnomeui/gnometypes.c:
	* test-gnome/test-password-dialog.c:
	* test-gnome/testdruid.c:
	* test-gnome/testentry.c:
	* test-gnome/testgnome.c:
	* test-gnome/testgnomegdkpixbuf.c:
	* test-gnome/testiconlist.c:
	- Port to non-deprecated glib/gtk+ api and make
	it build with deprecations enabled where there's still
	porting to do.

2008-12-07  Cosimo Cecchi  <cosimoc@gnome.org>

	* libgnomeui/gnome-vfs-util.c:
	Fix a leftover gdk-pixbuf include.
	Patch by Przemysław Grzegorczyk (#563568).

2008-11-23  Christian Persch  <chpe@gnome.org>

	* configure.in: Version bump for 2.24.2.

2008-11-23  Christian Persch  <chpe@gnome.org>

	* libgnomeui/gnome-thumbnail.c:
	(gnome_thumbnail_factory_generate_thumbnail): Don't leak on error.

2008-11-23  Christian Persch  <chpe@gnome.org>

	* libgnomeui/gnome-thumbnail.c:
	(gnome_thumbnail_factory_generate_thumbnail): Don't free invalid
	memory. Bug #561988.

2008-09-26  Kjartan Maraas  <kmaraas@gnome.org>

	* AUTHORS: 
	* test-gnome/testgnome.c: Make these UTF-8

2008-09-26  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-thumbnail.c: (mimetype_supported_by_gdk_pixbuf):
	Fix another leak. (Matthias Clasen), closes bug #553276.

2008-09-26  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-client.c: (client_save_yourself_callback):
	Fix a small leak. (Matthias Clasen), closes bug #552930.

========================= 2.24.0 ==========================

2008-09-22  Kjartan Maraas  <kmaraas@gnome.org>

	* NEWS: Update
	* configure.in: 2.24.0

========================= 2.23.90 =========================

2008-07-20  Cosimo Cecchi  <cosimoc@gnome.org>

	* libgnomeui/gnome-vfs-util.c: (input_stream_ready_callback):
	Remove unused variable.

2008-07-12  Felix Riemann  <friemann@svn.gnome.org>

	* libgnomeui/gnome-thumbnail.c:
	(gnome_thumbnail_factory_save_thumbnail),
	(gnome_thumbnail_factory_create_failed_thumbnail):
	Fix leaked GChecksums. Fixes bug #542592.

2008-07-10  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-client.h: Add missing paren to the
	GNOME_IS_CLIENT definition. Noted by <antalk at chello hu>
	Closes bug #540614

2008-07-04 11:23:32  Tim Janik  <timj@imendio.com>

	* doc/reference/tmpl/gnome-druid-page.sgml: Fixed typo, fixes:
	Bug 541258 - Typo.

2008-06-19  Christian Persch  <chpe@gnome.org>

	* demos/test-recently-used.c: (add_to_menu):
	* libgnomeui/gnome-app-helper.c: (gnome_app_create_menus_interp),
	(gnome_app_create_toolbar_interp), (gnome_app_insert_menus_interp):
	* libgnomeui/gnome-app-helper.h:
	* libgnomeui/gnome-app.h:
	* libgnomeui/gnome-appbar.h:
	* libgnomeui/gnome-client.c: (interaction_key_new),
	(gnome_client_request_interaction_internal),
	(gnome_client_request_interaction_interp):
	* libgnomeui/gnome-client.h:
	* libgnomeui/gnome-color-picker.h:
	* libgnomeui/gnome-dateedit.c:
	* libgnomeui/gnome-dateedit.h:
	* libgnomeui/gnome-dialog.h:
	* libgnomeui/gnome-druid-page-edge.h:
	* libgnomeui/gnome-druid-page-standard.h:
	* libgnomeui/gnome-druid-page.h:
	* libgnomeui/gnome-druid.c:
	* libgnomeui/gnome-druid.h:
	* libgnomeui/gnome-entry.h:
	* libgnomeui/gnome-file-entry.h:
	* libgnomeui/gnome-font-picker.h:
	* libgnomeui/gnome-href.h:
	* libgnomeui/gnome-icon-entry.h:
	* libgnomeui/gnome-icon-item.h:
	* libgnomeui/gnome-icon-list.h:
	* libgnomeui/gnome-icon-sel.h:
	* libgnomeui/gnome-mdi-child.h:
	* libgnomeui/gnome-mdi-generic-child.c:
	(gnome_mdi_generic_child_set_view_creator_full),
	(gnome_mdi_generic_child_set_menu_creator_full),
	(gnome_mdi_generic_child_set_config_func_full),
	(gnome_mdi_generic_child_set_label_func_full):
	* libgnomeui/gnome-mdi-generic-child.h:
	* libgnomeui/gnome-mdi.h:
	* libgnomeui/gnome-messagebox.h:
	* libgnomeui/gnome-password-dialog.h:
	* libgnomeui/gnome-pixmap-entry.h:
	* libgnomeui/gnome-pixmap.h:
	* libgnomeui/gnome-propertybox.h:
	* libgnomeui/gnome-scores.c:
	* libgnomeui/gnome-scores.h:
	* libgnomeui/gnometypebuiltins_vars.c: Use GType and the
        G_TYPE_* macros instead of the deprecated GtkType and GTK_* macros.
        Allows building libgnomeui using programmes with
	GTK_DISABLE_DEPRECATED again.

2008-06-18  Felix Riemann  <friemann@svn.gnome.org>

	* libgnomeui/*.c:
	* libgnomeui/*.h:
	* test-gnome/prop-editor.h:
	Fix Glib, Gdk and GTK+ single includes. Fixes bug #538984.

==================== 2.23.4 ====================

2008-06-13  Christian Persch  <chpe@gnome.org>

	* autogen.sh:
	* configure.in:
	* Makefile.am: Update intltool req and fix dist.

2008-06-13  Christian Persch  <chpe@gnome.org>

	* configure.in:
	* Makefile.am:
	R file-chooser/*: Remove the filechooser backends. Bug #538025.

2008-06-04  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.23.4

==================== 2.23.3 ====================

2008-06-04  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* configure.in: Version 2.23.3.

2008-06-03  Christian Neumair  <cneumair@gnome.org>

	* libgnomeui/gnome-thumbnail.c (gnome_thumbnail_factory_lookup):
	Do not take thumbnail factory lock.

2008-06-03  Christian Neumair  <cneumair@gnome.org>

	* libgnomeui/gnome-thumbnail.c (gnome_thumbnail_factory_finalize),
	(gnome_thumbnail_factory_init), (gnome_thumbnail_factory_lookup),
	(gnome_thumbnail_factory_has_valid_failed_thumbnail),
	(gnome_thumbnail_factory_save_thumbnail),
	(gnome_thumbnail_factory_create_failed_thumbnail):
	Get rid of in-memory thumbnail cache. Fixes #430123.

2008-06-03  Felix Riemann  <friemann@svn.gnome.org>

	* file-chooser/gtkfilesystemgio.c:
	(gtk_file_system_gio_volume_get_icon_name):
	Stop leaking GIcons. Fixes bug #536393.

2008-06-03  Christian Persch  <chpe@gnome.org>

	* configure.in: Post-branching version bump.

2008-05-28  Carlos Garnacho  <carlos@imendio.com>

	* file-chooser/gtkfilesystemgio.c: Improve bookmarks handling by not
	returning a reversed list in read_bookmarks_file(), which makes things
	more straighforward. Fixes #530978.

2008-05-27  Kjartan Maraas  <kmaraas@gnome.org>

	* file-chooser/gtkfilesystemgio.c: (gtk_file_system_gio_init):
	Initialize gettext properly. Patch from Andrew Zabolotny <anpaza at
	mail.ru>. Closes bug #534814.

2008-05-21  Tor Lillqvist  <tml@novell.com>

	* configure.in: Drop test for libjpeg. libgnomeui doesn't use libjpeg.

2008-05-20  Jan Arne Petersen  <jpetersen@jpetersen.org>

	* file-chooser/gtkfilesystemgio.c: (gtk_file_folder_gio_get_info):
	Fix crash if path is NULL (Closes: #532962)

2008-05-20  Bastien Nocera  <hadess@hadess.net>

	* file-chooser/gtkfilesystemgio.c (translate_file_info):
	Handle the display name being empty, and deduct it from the
	name, fixes a crash when the info doesn't have a display name
	set (Closes: #523699)
	(read_bookmarks_file): remove unused variable

2008-04-09  Carlos Garnacho  <carlos@imendio.com>

	* configure.in: Post release version bump.

========================== libgnome 2.22.1 ========================

2008-04-08  Federico Mena Quintero  <federico@novell.com>

	* libgnomeui/gnome-thumbnail.c
	(gnome_thumbnail_factory_generate_thumbnail): Free the
	expanded_script in all cases.

2008-04-04  Carlos Garnacho  <carlos@imendio.com>

	* file-chooser/gtkfilesystemgio.c (read_bookmarks_file): Be more
	permissive if the .gtk-bookmarks file can't be opened, it's not
	critical error worthy at all. Fixes #523003

2008-04-04  Carlos Garnacho  <carlos@imendio.com>

	* file-chooser/gtkfilesystemgio.c
	(gtk_file_system_gio_get_volume_for_path): Do not spew a critical
	warning if there are no mounts. Fixes #515783.
	Also, do not leak root when the enclosing mount is found.

2008-04-04  Carlos Garnacho  <carlos@imendio.com>

	* file-chooser/gtkfilesystemgio.c (gtk_file_system_gio_dispose):
	GVolumeMonitor may survive the GtkFileSystemGio object, disconnect all
	connected signals before disposing the reference to it. Bug #513082.

2008-04-04  Carlos Garnacho  <carlos@imendio.com>

	* file-chooser/gtkfilesystemgio.c (get_icon_string): check whether the
	GFileIcon doesn't return a NULL GFile, Bug #522005.

2008-04-04  Carlos Garnacho  <carlos@imendio.com>

	* file-chooser/gtkfilesystemgio.c (get_icon_for_special_directory):
	compare GFiles instead of uris, make more robust against failed
	conversions, Bug #524781.
	(translate_file_info) (query_info_callback)
	(gtk_file_system_gio_volume_get_icon_name)
	(gtk_file_folder_gio_get_info): Update callers.

2008-03-19  Sebastien Bacher  <seb128@ubuntu.com>

	* configure.in: don't duplicate the gio requirement

2008-03-16  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in:
	* libgnomeui/gnome-vfs-util.c:
	(gnome_gdk_pixbuf_new_from_uri_at_scale),
	(gnome_gdk_pixbuf_new_from_uri_async),
	(input_stream_ready_callback), (input_stream_read_callback),
	(free_pixbuf_load_handle), (load_done),
	(gnome_gdk_pixbuf_new_from_uri_cancel):
	* test-gnome/Makefile.am: Patch from David Zeuthen
	to fix thumbnailing on gphoto2:// trash:// and obex:// etc.
	Closes bug #517276.

2008-03-10  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-app-helper.c:
	Remove unused static function.
	* libgnomeui/gnome-dialog.c:
	Mark a function as static.
	* libgnomeui/gnome-font-picker.c:
	(gnome_font_picker_create_inside):
	Mark function as static.
	* libgnomeui/gnome-vfs-util.c:
	(gnome_gdk_pixbuf_new_from_uri_at_scale):
	NULL vs. 0.

2008-03-10  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Post release version bump.

========================== libgnome 2.22.0.1 ======================

	* file-chooser/gtkfilesystemgio.c: Fix another hang.
	(Felix Riemann)

========================== libgnome 2.22.0  =======================

	* configure.in: Bump version.
	* NEWS: Update.
	* file-chooser/gtkfilesystemgio.c: Fixes to threading to
	avoid a hang in the file chooser. (Bastien)

========================== libgnome 2.21.93 =======================

2008-03-07  Bastien Nocera  <hadess@hadess.net>

	* file-chooser/gtkfilesystemgio.c (mount_async_callback):
	Remove debug message

2008-03-07  Bastien Nocera  <hadess@hadess.net>

	* file-chooser/gtkfilesystemgio.c (get_volumes_list),
	(gtk_file_system_gio_dispose), (gtk_file_system_gio_list_volumes),
	(gtk_file_system_gio_get_volume_for_path),
	(gtk_file_system_gio_volume_free),
	(gtk_file_system_gio_volume_get_base_path),
	(gtk_file_system_gio_volume_get_is_mounted),
	(gtk_file_system_gio_volume_get_display_name),
	(gtk_file_system_gio_volume_get_icon_name): Show the "File System"
	mount in the file chooser's shortcuts (Closes: #520889)

2008-03-07  Bastien Nocera  <hadess@hadess.net>

	* file-chooser/gtkfilesystemgio.c (get_icon_for_special_directory),
	(translate_file_info), (query_info_callback),
	(gtk_file_system_gio_volume_get_icon_name),
	(gtk_file_folder_gio_get_info): Use proper icons for "/",
	the Desktop and the user's home directory (Closes: #520605)

2008-03-07  Bastien Nocera  <hadess@hadess.net>

	* file-chooser/gtkfilesystemgio.c (mount_async_callback),
	(query_info_callback), (gtk_file_system_gio_get_info):
	Try to mount remote locations when getting the file info
	fails with a "Not mounted" error (Closes: #520615)

2008-03-06  Federico Mena Quintero  <federico@novell.com>

	* file-chooser/gtkfilesystemgnomevfs.c
	(get_folder_complete_operation): Patch from Michael Meeks
	<michael.meeks@novell.com> for
	http://bugzilla.gnome.org/show_bug.cgi?id=520767 - fix a race
	condition when two threads request the same folder and it's not
	loaded yet --- the last one to get the folder wouldn't get all the
	GtkFileInfoType flags it requested.

2008-03-06  Kjartan Maraas  <kmaraas@gnome.org>

	* file-chooser/gtkfilesystemgio.c: (get_icon_string):
	Fix for a crash in the gio backend. Patch from Alex Larsson.

2008-02-25  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-app-helper.c (toolbar_style_changed_notify): Remove unused
	static function. This change went into 2.21.92 but I forgot to add
	the changelog before making the tarball...

======================= libgnomeui 2.21.92 ======================

2008-02-25  Alexander Larsson  <alexl@redhat.com>

	* file-chooser/gtkfilesystemgio.c (gtk_file_system_gio_get_volume_for_path):
	Update for the glib g_file_contains_file -> g_file_has_prefix rename.

2008-02-11  Carlos Garnacho  <carlos@imendio.com>

	* file-chooser/gtkfilesystemgio.c: Just pass the cancellable to the
	GtkFileFolderGio object, this way it doesn't have to deal with already
	freed data if the GtkFileSystemGio has been already disposed and there
	were async callbacks pending. Bug #514743.

======================= libgnomeui 2.21.91 =====================

2008-02-11  Alexander Larsson  <alexl@redhat.com>

	* file-chooser/gtkfilesystemgio.c (gtk_file_system_gio_volume_get_icon_name):
	Update to work with latest gio (it added a mount flag)

2008-01-29  Christian Persch  <chpe@gnome.org>

	* file-chooser/Makefile.am: Cleanup.

======================= libgnomeui 2.21.90 =====================

2008-01-28  Christian Persch  <chpe@gnome.org>

	* libgnomeui/gnome-authentication-manager.c: Use G_STRFUNC instead of
	the deprecated G_GNUC_FUNCTION.

2008-01-25  Tor Lillqvist  <tml@novell.com>

	* libgnomeui-zip.in: Use @GTK_BINARY_VERSION@ instead of
	hardcoding. Don't try to package pixmaps no longer present.

	* file-chooser/Makefile.am: Don't bother building libgnome-vfs.la
	on Windows.

2008-01-23  Tor Lillqvist  <tml@novell.com>

	* file-chooser/gtkfilesystemgnomevfs.c
	(gtk_file_system_gnome_vfs_volume_mount): No
	gnome_vfs_drive_mount() on Win32, at least for now, so bypass this
	function and call g_warning() on Win32.

2008-01-22  Tor Lillqvist  <tml@novell.com>

	* libgnomeui-zip.in: Look for catalogs in share/locale first, as
	that is where they will be with a properly built GNU gettext.

2008-01-16  Kjartan Maraas  <kmaraas@gnome.org>

	* Makefile.am: 
	* configure.in: Small cleanups.

2008-01-15  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Post release bump.

===================== 2.21.x ======================

2008-01-14  Kjartan Maraas  <kmaraas@gnome.org>

	* NEWS: Update
	* configure.in: 2.21.5.

2008-01-14  Carlos Garnacho  <carlos@imendio.com>

	* file-chooser/gtkfilesystemgio.[ch]: Add Gio GtkFileSystem
	implementation. #509262
	* configure.in, file-chooser/Makefile.am: Add autofoo.

2008-01-05  Kjartan Maraas  <kmaraas@gnome.org>

	* file-chooser/gtkfilesystemgnomevfs.c:
	(gtk_file_system_gnome_vfs_insert_bookmark):
	* libgnomeui/gnome-pixmap.c: (gnome_pixmap_new_from_file_at_size),
	(gnome_pixmap_load_file_at_size): Init all GError's to NULL.

2007-12-20  Christian Persch  <chpe@gnome.org>

	* libgnomeui/gnome-stock-icons.c:
	* libgnomeui/gnome-ui-init.c: Mark _gnome_stock_icons_init with
	G_GNUC_INTERNAL.

2007-12-20  Christian Persch  <chpe@gnome.org>

	* libgnomeui/gnome-thumbnail.c: (gnome_thumbnail_factory_lookup),
	(gnome_thumbnail_factory_has_valid_failed_thumbnail),
	(gnome_thumbnail_factory_save_thumbnail),
	(gnome_thumbnail_factory_create_failed_thumbnail): Adapt to new API
	for g_checksum_get_digest.

2007-12-15  Christian Persch  <chpe@gnome.org>

	* configure.in:
	* libgnomeui/gnome-thumbnail.c: (gnome_thumbnail_factory_lookup),
	(gnome_thumbnail_factory_has_valid_failed_thumbnail),
	(gnome_thumbnail_factory_save_thumbnail),
	(gnome_thumbnail_factory_create_failed_thumbnail),
	(gnome_thumbnail_md5), (gnome_thumbnail_is_valid): Use GChecksum. Bug
	#501866.

2007-11-16  Frederic Crozat  <fcrozat@mandriva.com>

	* libgnomeui/gnome-app-helper.c: Don't call gconf to
	get global toolbar style, rely on xsettings instead. Closes bug
	#497380.

2007-11-13  Lucas Rocha  <lucasr@gnome.org>

	* libgnomeui/gnome-client.c (gnome_client_post_args_parse): try to get
	the session client ID from DESKTOP_AUTOSTART_ID environment variable
	in case the --sm-client-id is not used. Closes bug #496571.

2007-10-17  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-thumbnail.c:
	(gnome_thumbnail_factory_generate_thumbnail):
	Fix a crash (Fernando, Christian). Closes bug #487117.

2007-10-12  Federico Mena Quintero  <federico@novell.com>

	Fix bug #464383 - In the file
	chooser, errors are not reported correctly when creating a folder
	fails.
	
	* file-chooser/gtkfilesystemgnomevfs.c
	(gtk_file_system_gnome_vfs_create_folder): Use
	GNOME_VFS_XFER_ERROR_MODE_QUERY instead of
	GNOME_VFS_XFER_ERROR_MODE_ABORT so that our progress/error
	callback will be called if the mkdir() fails.  Patch by Richard
	Hult <richard@imendio.com>.

2007-10-12  Federico Mena Quintero  <federico@novell.com>

	Fix bug #485922 - Errors from
	GtkFileSystemGnomeVFS are not translated, and are too general.

	* file-chooser/gtkfilesystemgnomevfs.c (set_vfs_error): Take in a
	'format' argument instead of using hardcoded, untranslated
	strings.
	(get_folder_complete_operation): Use a specific error message for
	set_vfs_error().
	(get_folder_file_info_callback): Likewise.
	(get_file_info_callback): Likewise.
	(create_folder_progress_cb): Likewise.
	(gtk_file_system_gnome_vfs_get_parent): Likewise.

2007-10-04  Kjartan Maraas  <kmaraas@gnome.org>

	Remove these. They haven't been used in ages.

	* tests/Makefile.am:
	* tests/test-icon-theme.c:
	* tests/test-libglade-gnome-noupgrade.c:
	* tests/test-libglade-gnome.c:
	* tests/test-libglade-gnome.glade:

2007-10-04  Christian Persch  <chpe@gnome.org>

	* libgnomeui/Makefile.am: Define GNOME_EXPLICIT_TRANSLATION_DOMAIN so
	we get the right _() define. Based on a patch by Takao Fujiwara, bug
	#483263.

2007-10-03  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-client.h: Another typo fix.

2007-10-03  Kjartan Maraas <kmaraas@gnome.org>

	* libgnomeui/gnome-app-helper.c: (create_pixmap),
	(gnome_app_install_statusbar_menu_hints),
	(gnome_app_find_menu_pos), (per_app_toolbar_style_changed_notify),
	(toolbar_style_changed_notify), (style_menu_item_activated),
	(global_menu_item_activated), (create_and_popup_toolbar_menu): Fix a
	typo in a comment and remove a bunch of trailing whitespace.

2007-10-02  Federico Mena Quintero  <federico@novell.com>

	Fix https://bugzilla.novell.com/show_bug.cgi?id=330187 - CD-ROMs
	do not appear in the file chooser.

	* file-chooser/gtkfilesystemgnomevfs.c
	(gtk_file_system_gnome_vfs_list_volumes): Use the same code as in
	Nautilus to populate the drive/volume list in the file chooser.
	This way we have the same results, in the same order as Nautilus.

2007-10-02  Kjartan Maraas  <kmaraas@gnome.org>

	* doc/reference/tmpl/gnome-dateedit.sgml:
	* file-chooser/testfilechooser.c: #include <config.h> 
	* libgnomeui/gnome-client.c: Compiler warning fixes.
	* libgnomeui/gnome-dateedit.c: Same
	* libgnomeui/gnome-file-entry.c: Again
	* libgnomeui/gnome-icon-entry.c: Improve string.
	Closes bug #315205.
	* libgnomeui/gnome-icon-item.c: Compiler warnings
	* libgnomeui/gnome-password-dialog.c: Compiler warnings
	* libgnomeui/gnome-propertybox.c: Compiler warnings
	* libgnomeui/gnome-thumbnail.c: Remove obsolete g_chmod
	ripped from glib now that we depend on a newer glib anyway.
	Also fix some warnings from a recent patch.

2007-10-01  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-scores.c: Document the no scores case.

2007-10-01  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-file-entry.c: (browse_dialog_ok),
	(browse_clicked): Fix a crash when user gives a URL
	without trailing '/'.

2007-10-01  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-dateedit.c: (gnome_date_edit_set_time),
	(create_children):
	* libgnomeui/gnome-dateedit.h: Add option to show seconds.
	Patch from Goedson Teixeira Paixao <goedson@debian.org>
	Closes bug #473410.

2007-10-01  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Go to 2.21.0.

============================= 2.20.0 =======================

2007-07-30  Christian Persch  <chpe@gnome.org>

	* configure.in: Create .tar.bz2 on dist.

============================= 2.19.1 ========================

2007-07-30  Christian Persch  <chpe@gnome.org>

	* autogen.sh:
	* configure.in:
	* file-chooser/Makefile.am:
	* libgnomeui/Makefile.am: Build fixes.

2007-07-29  Christian Persch  <chpe@gnome.org>

	* libgnomeui/gnome-vfs-util.c:
	(gnome_gdk_pixbuf_new_from_uri_at_scale): Don't crash when failing to
	load the pixbuf. Bug #452907, patch by Felix Riemann.

2007-07-28  Christian Persch  <chpe@gnome.org>

	* configure.in:
	* file-chooser/gtkfilesystemgnomevfs.c:
	(gtk_file_system_gnome_vfs_init): Use xdg-user-dirs to get Destkop
	directory shortcut. Bug #459854, patch by Luca Ferretti.

2007-07-27  Fernando Herrera  <fernando.herrera-de-las-heras@nokia.com>

	* libgnomeui/Makefile.am:
	* libgnomeui/gnome-ui-init.c: (libgnomeui_get_goption_group),
	(libgnomeui_module_info_get), (libgnomeui_post_args_parse): Remove the seghandler.
	* libgnomeui/gnome_segv.c: Removed

2007-07-14  Michael J. Chudobiak  <mjc@cvs.gnome.org>

	* NEWS:
	* configure.in:
	* libgnomeui/gnome-thumbnail-pixbuf-utils.c:
	* libgnomeui/gnome-thumbnail.c:
	(gnome_thumbnail_factory_generate_thumbnail): Add orientation tag
	support to the thumbnailer. Bumped gtk+ requirement to 2.11.5 
	for orientation support. Removed the internal fast-scaling jpeg 
	decoder, because gdk-pixbuf now provides this feature. 
	Bug #440978.

2007-06-27  Christian Persch  <chpe@gnome.org>

	* libgnomeui/libgnomeui-2.0.pc.in: Fix the build. Bug #451425.

2007-06-26  Kjartan Maraas <kmaraas@gnome.org>

	* libgnomeui/libgnomeui-2.0.pc.in: Add libbonoboui-2.0 to Requires
	again since it seems we broke the build in at least gnome-panel.
	Both gnome-app.h and gnome-app-helper.h exposes BonoboDock and
	BonoboDockItem.

2007-06-23  Matthew Barnes  <mbarnes@redhat.com>

	* libgnomeui/gnome-druid-page.h:
	* libgnomeui/gnome-druid-page-edge.h:
	* libgnomeui/gnome-druid.h:
	* libgnomeui/gnome-druid-page-standard.h: Deprecate, use
	GtkAssistant instead.  Bug #429178.

2007-06-23  Christian Persch  <chpe@gnome.org>

	* libgnomeui/libgnomeui-2.0.pc.in: Use Requires.private for nonpublic
	requirements. Bug #396255, patch by J.H.M. Dassen (Ray).

2007-06-18  Claudio Saavedra  <csaavedra@alumnos.utalca.cl>

	* configure.in: Post release version bump.

============================= 2.19.0 ========================

2007-06-18  Claudio Saavedra  <csaavedra@alumnos.utalca.cl>

	* NEWS: Prepare the 2.19.0 release.

2007-05-22  Christian Persch  <chpe@gnome.org>

	* libgnomeui/gnome-ui-init.c: (libgnomeui_segv_handle): Don't crash in
	the crash handler when we cannot get the global GnomeProgram. Bug
	#438832.

2007-05-21  Richard Hult  <richard@imendio.com>

	* file-chooser/gtkfilesystemgnomevfs.c:
	(gtk_file_system_gnome_vfs_list_volumes): Fix cut-and-paste typo,
	only unref the drive when we have one, bug #439420.

2007-05-16  Christian Persch  <chpe@gnome.org>

	* libgnomeui/gnome-thumbnail.c:
	(gnome_thumbnail_factory_generate_thumbnail): Fix critical warnings
	when thumbnailing, and fix some compiler warnings. Part of bug
	#408660.

2007-03-18  Christian Persch  <chpe@gnome.org>

	* libgnomeui/gnome-app-helper.c:
	* libgnomeui/gnome-client.c:
	(gnome_client_module_get_goption_group),
	(gnome_client_module_info_get), (gnome_client_pre_args_parse),
	(gnome_client_post_args_parse):
	* libgnomeui/gnome-color-picker.c:
	(gnome_color_picker_instance_init):
	* libgnomeui/gnome-file-entry.c: (gnome_file_entry_init):
	* libgnomeui/gnome-icon-entry.c: (update_icon),
	(gnome_icon_entry_instance_init):
	* libgnomeui/gnome-pixmap-entry.c: (refresh_preview): Remove or
	de-statify unnecessarily static data, and remove some unused code.

2007-03-18  Christian Persch  <chpe@gnome.org>

	* libgnomeui/Makefile.am:
	* libgnomeui/gnome-about.c:
	* libgnomeui/gnome-app-helper.c:
	* libgnomeui/gnome-app-util.c:
	* libgnomeui/gnome-app.c:
	* libgnomeui/gnome-appbar.c:
	* libgnomeui/gnome-authentication-manager.c:
	* libgnomeui/gnome-client.c:
	* libgnomeui/gnome-color-picker.c:
	* libgnomeui/gnome-dateedit.c:
	* libgnomeui/gnome-dialog-util.c:
	* libgnomeui/gnome-dialog.c:
	* libgnomeui/gnome-druid-page-edge.c:
	* libgnomeui/gnome-druid-page-standard.c:
	* libgnomeui/gnome-druid.c:
	* libgnomeui/gnome-entry.c:
	* libgnomeui/gnome-file-entry.c:
	* libgnomeui/gnome-font-picker.c:
	* libgnomeui/gnome-gconf-ui.c:
	R libgnomeui/gnome-i18nP.h:
	* libgnomeui/gnome-icon-entry.c:
	* libgnomeui/gnome-icon-item.c:
	* libgnomeui/gnome-icon-sel.c:
	* libgnomeui/gnome-mdi-child.c:
	* libgnomeui/gnome-mdi-generic-child.c:
	* libgnomeui/gnome-mdi-session.c:
	* libgnomeui/gnome-mdi.c:
	* libgnomeui/gnome-messagebox.c:
	* libgnomeui/gnome-pixmap-entry.c:
	* libgnomeui/gnome-propertybox.c:
	* libgnomeui/gnome-scores.c:
	* libgnomeui/gnome-stock-icons.c:
	* libgnomeui/gnome-vfs-util.c:
	* libgnomeui/gnome_segv.c: Remove gnome-i18nP.h and just use
	glib/gi18n-lib.h.

2007-03-18  Christian Persch  <chpe@gnome.org>

	* libgnomeui/gnome-ui-init.c: (libgnomeui_get_goption_group),
	(libgnomeui_module_info_get), (show_url), (libgnomeui_segv_setup),
	(gnome_init_with_popt_table): No need to make the GOptionEntry table
	static. Move the popt table to the get_module function.

2007-03-18  Christian Persch  <chpe@gnome.org>

	* libgnomeui/gnome-thumbnail.c:	(gnome_thumbnail_factory_generate_thumbnail):
	Correctly check for invalid FD. Bug #413641.

2007-03-17  Christian Persch  <chpe@gnome.org>

	* libgnomeui/gnome-href.c: (gnome_href_set_url):
	* libgnomeui/gnome-href.h: Deprecate GnomeHref. Bug #396452.

2007-03-16  Claudio Saavedra  <csaavedra@alumnos.utalca.cl>

	* libgnomeui/gnome-thumbnail-pixbuf-utils.c:
	(_gnome_thumbnail_load_scaled_jpeg): Set 
	"gnome-original-width/height" properties in the generated pixbuf.
	* libgnomeui/gnome-vfs-util.c: (size_prepared_cb),
	(gnome_gdk_pixbuf_new_from_uri_at_scale): Set 
	"gnome-original-width/height" properties in the generated pixbuf.
	* libgnomeui/gnome-thumbnail.c:
	(gnome_thumbnail_factory_generate_thumbnail),
	(gnome_thumbnail_factory_save_thumbnail):
	Set the "gnome-original-width/height" properties as metadata in the 
	generated thumbnail. Preserve such info if the helper thumbnailer 
	already provided it.

	Correctly set tEXt::Image::Width and tEXt::Image::Height metadata 
	tags in thumbnails. Closes bug #143470 and bug #356930.

2007-03-14  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Fix a problem with the previous patch
	(Loïc Minier). Closes bug #416889.

============================= 2.18.0 ========================

2007-03-12  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in:
	* libgnomeui/Makefile.am:
	Fix build with systems that don't have x11.pc.
	Patch from Loïc Minier. Closes bug #416889.

2007-03-01  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-thumbnail.c:
	Fix two typos in the API docs. Closes bug #412906.
	Reported by John Millikin.

2007-03-01  Tor Lillqvist  <tml@novell.com>

	* configure.in: Don't require "x11" on Windows.

2007-02-28  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Fix link with -z defs ldflags.
	Loïc Minier. Closes bug #409278.

2007-02-27  Kjartan Maraas  <kmaraas@gnome.org>

	* test-gnome/testgnome.c: (main): Shave off
	a bunch of #if 0'ed code.

2007-02-27  Kjartan Maraas  <kmaraas@gnome.org>

	* file-chooser/prop-editor.h:
	* libgnomeui/gnome-about.h:
	* libgnomeui/gnome-color-picker.h:
	* libgnomeui/gnome-dialog.h:
	* libgnomeui/gnome-entry.h:
	* libgnomeui/gnome-font-picker.h:
	* libgnomeui/gnome-icon-item.h:
	* libgnomeui/gnome-icon-list.h:
	* libgnomeui/gnome-pixmap-entry.h:
	* libgnomeui/gnome-popup-menu.h:
	* libgnomeui/gnome-scores.h:
	* libgnomeui/gnome-window-icon.h:
	* libgnomeui/gnome-window.h:
	Fix header guards.

2007-02-27  Kjartan Maraas  <kmaraas@gnome.org>

	* file-chooser/gtkfilesystemgnomevfs.c:
	(gtk_file_folder_gnome_vfs_dispose), (fs_module_init):
	* glade/glade-gnome.c:
	* libgnomeui/gnome-icon-theme.c: (gnome_icon_theme_get_type):
	* libgnomeui/gnome-stock-icons.c:
	* libgnomeui/gnome-theme-parser.c:
	Remove a bunch of unneeded trailing commas.

=========================== 2.17.92 ===========================

2007-02-20  Kjartan Maraas  <kmaraas@gnome.org>

	* Makefile.am: Dist MAINTAINERS.

=========================== 2.17.91 ===========================

2007-01-31  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-vfs-util.c:
	(gnome_gdk_pixbuf_new_from_uri_at_scale):
	Try not to eat all memory when thumbnailing animations.
	Should close bug #345707.

2007-01-24  Kjartan Maraas  <kmaraas@gnome.org>

	* file-chooser/gtkfilesystemgnomevfs.c:
	(gtk_file_system_gnome_vfs_parse): Revert the patch to
	add support for using a single tilde '~' to go to $HOME
	since it caused crashes and apparently can't work anyway.

=========================== 2.17.90 ============================

2007-01-22  Kjartan Maraas  <kmaraas@gnome.org>

	* NEWS: Update.
	* libgnomeui/0ChangeLog.2003: Rename ChangeLog to this to
	avoid prepare-ChangeLog.pl putting changelog entries in the wrong
	file.

2007-01-21  Chris Wilson <chris@chris-wilson.co.uk>

	Bug 398357 – Does not include $(X_CFLAGS)

	X_CFLAGS are used for testing the presence of libSM during
	configure, but not whilst building. This results in a build
	failure under a hosted environment.

	* configure.in:
		Fix the asymmetry and the X_CFLAGS to LIBGNOMEUI_CFLAGS.

2007-01-15  Kjartan Maraas  <kmaraas@gnome.org>

        * gnome-thumbnail.c: (gnome_thumbnail_factory_finalize),
	  (gnome_thumbnail_factory_instance_init): Fix GMutex leak.
	  Patch from Jens Granseuer. Closes bug #396075.

2007-01-15  Kjartan Maraas  <kmaraas@gnome.org>

	* demos/animator_demo.c: (main):
	* demos/mdi_demo.c: (main):
	* demos/test-file-saver.c: (main):
	* demos/test-recently-used.c: (main):
	* test-gnome/testentry.c: (main):
	* test-gnome/testiconlist.c: (main):
	* tests/test-libglade-gnome-noupgrade.c: (main):
	Fix leaks of GnomeProgram.

2007-01-12  Christian Persch  <chpe@svn.gnome.org>

	* libgnomeui/gnome-app-util.h: Fix deprecations. Bug #395582.

2007-01-11  Kjartan Maraas  <kmaraas@gnome.org>

	* file-chooser/gtkfilesystemgnomevfs.c:
	(gtk_file_system_gnome_vfs_parse):
	Make a single tilde '~' go to $HOME in the location entry.
	Patch by Yevgen Muntyan. Closes part of bug #334168.

2007-01-10  Christian Persch  <chpe@svn.gnome.org>

	* libgnomeui/gnome-password-dialog.c: (add_row),
	(gnome_password_dialog_init), (gnome_password_dialog_class_init),
	(gnome_password_dialog_set_show_remember),
	(gnome_password_dialog_set_remember),
	(gnome_password_dialog_get_remember): Change remember checkbuttons to
	radio buttons. Bug #322804, based on a patch by Fernando Herrera based
	on a patch by Hiroyuki Ikezoe.

2007-01-09  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-file-entry.c: (browse_clicked): Patch from Christope Fergeau
	to fix the file entry when packed in a modal window. Closes
	bug #89689 filed in 2002 :-)

2007-01-09  Christian Persch  <chpe@svn.gnome.org>

	* test-gnome/testentry.c: (main): Make the dialogue modal, to test bug
	#89689.

2007-01-09  Christian Neumair  <chris@gnome-de.org>

	* libgnomeui/gtkfilesystemgnomevfs.c:
	(gtk_file_system_gnome_vfs_list_volumes):
	Sort volumes and drives. Fixes #336818.

============================ libgnomeui 2.17.1 =============================

2007-01-08  Christian Neumair  <chris@gnome-de.org>

	* file-chooser/gtkfilesystemgnomevfs.c: (make_uri_canonical): Don't
	garble hostname URI with trailing slash by erroneously chopping
	trailing slash. #334888.

2007-01-08  Christian Persch  <chpe@svn.gnome.org>

	* libgnomeui/Makefile.am:
	* libgnomeui/gnome-dialog.c: (gnome_dialog_get_type):
	* libgnomeui/gnome-icon-list.c: (if):
	* libgnomeui/gnome-icon-theme.c: (gnome_icon_theme_get_type):
	* libgnomeui/gnome-ui-init.c: (show_url):
	More static GTypeInfo reductions. Bug #360628.

2007-01-08  Christian Persch  <chpe@svn.gnome.org>

	* doc/reference/libgnomeui-sections.txt:
	* libgnomeui/gnome-password-dialog.c: (update_entries_table),
	(domain_entry_activate), (password_entry_activate),
	(new_password_entry_activate), (new_password_entries_changed),
	(gnome_password_dialog_init), (gnome_password_dialog_finalize),
	(gnome_password_dialog_set_property),
	(gnome_password_dialog_get_property),
	(gnome_password_dialog_class_init),
	(gnome_password_dialog_set_new_password),
	(gnome_password_dialog_set_password_quality_func),
	(gnome_password_dialog_set_show_new_password),
	(gnome_password_dialog_set_show_new_password_quality),
	(gnome_password_dialog_get_new_password):
	* libgnomeui/gnome-password-dialog.h:
	* test-gnome/test-password-dialog.c: (quality_func),
	(authenticate_boink_callback), (exit_callback), (main):
	Implement new-password including password quality measuring for
	GnomePasswordDialog. Bug #326851.

2007-01-08  Kjartan Maraas  <kmaraas@gnome.org>

	* file-chooser/gtkfilesystemgnomevfs.c: (fs_module_init):
	* libgnomeui/gnome-dialog.c: (gnome_dialog_get_type):
	* libgnomeui/gnome-druid.c: (gnome_druid_accessible_get_type),
	(gnome_druid_accessible_factory_get_type):
	* libgnomeui/gnome-entry.c: (gnome_entry_get_type):
	* libgnomeui/gnome-file-entry.c: (gnome_file_entry_get_type):
	* libgnomeui/gnome-ui-init.c: (libgnomeui_set_property):
	Don't make all the GTypeInfo stuff static. Reduces
	relocations. Patch from Christian Persch. Closes
	bug #360628.

2006-12-22  Fernando Herrera  <fherrera@onirica.com>

	* libgnomeui/gnome_segv.c: (main): Add --disable-factory to
	gnome-terminal for running gdb when GNOME_HACKER=1. It uses a
	new terminal and prevents the crashed process to exit.

2006-12-20  Paolo Borelli  <pborelli@katamail.com>

	* configure.in: check for libxml to fix the build. bug #387961.

2006-12-05  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Post release bump to 2.17.1.

2006-12-04  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-authentication-manager.c:
	(construct_full_password_dialog): Add translator comment
	Closes bug #143698. Thanks to Alex for help with the wording.
	* libgnomeui/gnome-client.c:
	(gnome_client_module_get_goption_group):
	* libgnomeui/gnome-ui-init.c: (libgnomeui_get_goption_group):
	Add colons after the option group name for consistency. Reported
	by Davyd Madeley. Closes bug #350227.

2006-12-04  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-app-helper.h: Remove include that was causing
	some apps to miscompile. Warning is better than not compiling.
	Look at bug #143336.

2006-12-03  Kjartan Maraas  <kmaraas@gnome.org>

	* NEWS: Update
	* configure.in: Bump to 2.17.0
	* file-chooser/gtkfilesystemgnomevfs.c: (get_file_info_callback),
	(cancel_operation_callback):
	* file-chooser/prop-editor.c: (property_widget):
	* libgnomeui/gnome-about.c: (create_label),
	(gnome_about_set_comments), (gnome_about_set_copyright),
	(gnome_about_set_version):
	* libgnomeui/gnome-appbar.c: (gnome_appbar_constructor):
	* libgnomeui/gnome-client.c: (client_parse_func):
	* libgnomeui/gnome-entry.c: (free_item):
	* libgnomeui/gnome-file-entry.c: (gnome_file_entry_set_title):
	* libgnomeui/gnome-href.c: (gnome_href_instance_init):
	* libgnomeui/gnome-icon-list.c:
	* libgnomeui/gnome-mdi-child.c: (gnome_mdi_child_set_name):
	* libgnomeui/gnome-mdi.c: (app_clone),
	(gnome_mdi_set_child_menu_path), (gnome_mdi_set_child_list_path):
	* libgnomeui/gnome-scores.c: (gnome_scores_construct):
	* libgnomeui/gnome-thumbnail.c:
	(gnome_thumbnail_factory_generate_thumbnail):
	* test-gnome/testgnome.c: (file_entry_update_files):
	- g_free() and g_strdup() can handle NULL
	- pass NULL instead of "" to gtk_label_new() to save a bit of work.

2006-12-02  Christian Persch  <chpe@cvs.gnome.org>

	* test-gnome/testgnome.c: (verb_HelpAbout_cb), (main):

	Don't leak the GnomeProgram.

2006-12-02  Christian Persch  <chpe@cvs.gnome.org>

	* libgnomeui/gnome-password-dialog.c: (remember_button_toggled),
	(gnome_password_dialog_init):

	Notify when the remember mode changes.

2006-12-02  Christian Persch  <chpe@cvs.gnome.org>

	* libgnomeui/gnome-password-dialog.c:
	(gnome_password_dialog_set_message),
	(gnome_password_dialog_set_anon), (userpass_radio_button_toggled),
	(add_row), (remove_child), (update_entries_table),
	(username_entry_activate), (domain_entry_activate),
	(password_entry_activate), (gnome_password_dialog_init),
	(gnome_password_dialog_constructor),
	(gnome_password_dialog_finalize),
	(gnome_password_dialog_set_property),
	(gnome_password_dialog_get_property),
	(gnome_password_dialog_class_init), (gnome_password_dialog_show),
	(gnome_password_dialog_new), (gnome_password_dialog_run_and_block),
	(gnome_password_dialog_set_username),
	(gnome_password_dialog_set_password),
	(gnome_password_dialog_set_domain),
	(gnome_password_dialog_set_show_username),
	(gnome_password_dialog_set_show_domain),
	(gnome_password_dialog_set_show_password),
	(gnome_password_dialog_set_readonly_username),
	(gnome_password_dialog_set_readonly_domain),
	(gnome_password_dialog_get_username),
	(gnome_password_dialog_get_domain),
	(gnome_password_dialog_get_password),
	(gnome_password_dialog_set_show_userpass_buttons),
	(gnome_password_dialog_anon_selected),
	(gnome_password_dialog_set_show_remember),
	(gnome_password_dialog_set_remember),
	(gnome_password_dialog_get_remember):
	* libgnomeui/gnome-password-dialog.h:

	Clean up GnomePasswordDialog. HIGify and add GObject properties.
	Bug #344752.

	A test-gnome/prop-editor.c:
	A test-gnome/prop-editor.h:
	* test-gnome/test-password-dialog.c: (quality_func),
	(authenticate_boink_callback), (exit_callback):

	Add property editor to test-password-dialog.

2006-11-19  Vincent Untz  <vuntz@gnome.org>

	* libgnomeui/gnome_segv.c: (main): set title of the terminal used to
	launch gdb
	Fix bug #350886

2006-11-09  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome_segv.c: (main): Fix wording in the dialog
	that pops up if bug-buddy isn't installed. Noticed by Jonathan
	Blandford and Bill Nottingham. Closes bug #371889 and bug #372613.

2006-10-23  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-app-helper.h: Add #include <bonobo/bonobo-i18n.h>
	Closes bug #143336.

2006-10-23  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-file-entry.c:
	(gnome_file_entry_set_default_path): Fix build on Hurd.
	Closes bug #110039. Patch from Christian Marillat.

2006-10-23  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-dateedit.h: Add #include <time.h>
	Closes bug #361362.

2006-10-05  Kjartan Maraas  <kmaraas@gnome.org>

	* file-chooser/gtkfilesystemgnomevfs.c: (get_desktop_link_uri),
	(gtk_file_folder_gnome_vfs_get_info), (info_from_vfs_info):
	Fix for bug #358638 - network browsing doesn't work. Patch from
	Jan de Groot.
	* glade/glade-gnome.c: (druid_page_edge_new): Remove more unused
	bits.

2006-09-26  Matthew Barnes  <mbarnes@redhat.com>

	* doc/reference/libgnomeui-docs.sgml: Make the API documentation
	easier to navigate (bug #357835).

2006-09-26  Matthew Barnes  <mbarnes@redhat.com>

	* libgnomeui/gnome_segv.c
	(main): Give up if bug-buddy itself has aborted (bug #353760).

2006-08-11  Matthias Clasen  <mclasen@redhat.com>

	* file-chooser/gtkfilesystemgnomevfs.c 
	(gtk_file_system_gnome_vfs_dispose): Don't call the locking
	idle from dispose, to avoid deadlock.  (RH #206058)

2006-09-04  Kristian Rietveld  <kris@imendio.com>

	* file-chooser/gtkfilesystemgnomevfs.c
	(get_folder_complete_operation): guard our newly created folder
	during callback invocation.

======================== 2.16.0 ===========================

2006-09-02  Kristian Rietveld  <kris@imendio.com>

	* file-chooser/gtkfilesystemgnomevfs.c
	(gtk_file_system_gnome_vfs_dispose), (queue_vfs_idle_callback),
	(gtk_file_system_gnome_vfs_init), (handle_cancel_operation_fn):
	remove pending execute_vfs_callbacks_idle and pending vfs async
	handles during dispose, execute all idle callbacks waiting to be
	run in the next idle,
	(gtk_file_system_gnome_vfs_get_folder),
	(gtk_file_system_gnome_vfs_cancel_operation),
	(gtk_file_systel_gnome_vfs_volume_mount),
	(execute_vfs_callbacks_idle), (queue_vfs_idle_callback): refactor
	to maintain a list of idle callbacks to call per file system instead
	of globally, guard the file system during callback invocation,
	(get_folder_file_info_callback), (get_file_info_callback),
	(create_folder_progress_cb): guard the file system during callback
	invocation,
	(gtk_file_folder_gnome_vfs_get_info): set GError if uri doesn't
	exist in the folder.

2006-08-25  Kjartan Maraas  <kmaraas@gnome.org>

	* NEWS: Update
	* configure.in: Bump version
	* libgnomeui/gnome-client.c: Build fix for Solaris
	Damien Carberry. Closes bug #352274.
	* libgnomeui/gnome-icon-entry.c: Remove doubly included
	header.
	* libgnomeui/gnome-thumbnail-pixbuf-utils.c: Same.
	* libgnomeui/gnome-ui-init.c: Build fix ref above.

2006-08-22  Kristian Rietveld  <kris@imendio.com>

	* file-chooser/Makefile.am: add WARN_CFLAGS to INCLUDES.

2006-08-21  Tor Lillqvist  <tml@novell.com>

	* libgnomeui/gnome-ui-init.c: Include <gdk/gdkx.h> only if
	GDK_WINDOWING_X11.

2006-08-18  Kjartan Maraas  <kmaraas@gnome.org>

	* NEWS: Update some.
	* libgnomeui/gnome-mdi.c: (gnome_mdi_update_child):
	Remove some unused bits.
	* libgnomeui/gnome_segv.c: (main): Same here.

2006-08-17  Federico Mena Quintero  <federico@novell.com>

	* file-chooser/gtkfilesystemgnomevfs.c (struct
	_GtkFileSystemGnomeVFS): Added a "handles" hash table.  We'll use
	this to monitor which handles are still live when the file system
	object is finalized.
	(gtk_file_system_gnome_vfs_init): Initialize the "handles" hash
	table.
	(gtk_file_system_handle_gnome_vfs_new): Insert the new handle in
	the system_vfs's hash table of handles.
	(gtk_file_system_handle_gnome_vfs_class_init): Added a class_init
	function for handles; register a finalizer.
	(gtk_file_system_handle_gnome_vfs_finalize): Remove the handle
	from the file system's hash table of handles.
	(gtk_file_system_gnome_vfs_finalize): Check that we don't have any
	outstanding handles at finalization time.
	(check_handles_at_finalization): New helper function.
	(get_folder_complete_operation): Set the op_data->vfs_uri (a
	string) instead of the op_data->uri (a GnomeVFSURI) on the GError
	message!
	(gtk_file_system_gnome_vfs_get_folder): Removed unused variables.
	(get_folder_file_info_callback): Likewise.
	(gtk_file_system_gnome_vfs_get_info): Likewise.
	(gtk_file_system_gnome_vfs_volume_mount): Likewise.
	(lookup_folder_child_from_uri): Likewise.
	(create_folder_progress_cb): Removed unused label.
	(volume_mount_cb): Likewise.
	(unmark_all_fn): Removed unused function.
	(get_desktop_link_uri): Oops, initialize ditem_url.  Also, use the
	passed-in GError for g_key_file_load_from_file().

2006-08-17  Federico Mena Quintero  <federico@novell.com>

	* file-chooser/gtkfilesystemgnomevfs.c
	(gtk_file_system_gnome_vfs_parse): Don't append a '/' to the base
	URI if it already has one.  See
	https://bugzilla.novell.com/show_bug.cgi?id=184875.

2006-08-16  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-vfs-util.c:
	(gnome_gdk_pixbuf_new_from_uri_at_scale): Revert the fix
	for bug #345707 since it was wrong. New patch is in bugzilla
	please test!

2006-08-10  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-icon-entry.c: (entry_activated),
	(browse_clicked): Fix from Vincent Vuntz to fix a crash with
	gnome-desktop-item-edit. Should fix some critical warnings with
	following crashes too. Closes bug #350425.

2006-08-10  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-vfs-util.c:
	(gnome_gdk_pixbuf_new_from_uri_at_scale): Fix from Christian
	Neumair to avoid trashing memory on thumbnailing some files.
	Closes bug #345707.

2006-08-07  Fernando Herrera  <fherrera@onirica.com>

	* NEWS:
	* configure.in: Release 2.15.91

2006-07-18  Li Yuan      <li.yuan@sun.com>

	* gnome-icon-list.c (real_move_icon):
	Fix for #347477. If there is not new_focus_icon, just return.

2006-07-31  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-client.c: Remove now unused static function.

2006-07-26  Matthias Clasen  <mclasen@redhat.com>

	* libgnomeui/gnome-icon-list.c (icon_list_append): Re-add
	some not quite dead code to make GnomeIconList work again.

2006-07-24  Fernando Herrera  <fernando.herrera-de-las-heras@nokia.com>

	* NEWS:
	* configure.in: Release 2.15.90

2006-07-24  Fernando Herrera  <fernando.herrera-de-las-heras@nokia.com>

	* libgnomeui/gnome_segv.c: (main): Removed the crashing dialog.
	If GNOME_HACKER env variable is set, launch a gnome-terminal with
	gdb attached to the crashing proccess, if not, just launch bug-buddy.

2006-07-10  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-ui-init.c: (libgnomeui_segv_handle):
	Add missing XUngrabServer() call here. Closes bug #129930

2006-07-10  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-client.c: (master_client_connect):
	Fix bug #90345. Remove unneeded atexit() call.
	(Owen Taylor)

2006-06-20  Christian Persch  <chpe@cvs.gnome.org>

	* libgnomeui/gnome-ui-init.c: (show_url), (about_url_hook),
	(about_email_hook), (libgnomeui_private_free),
	(libgnomeui_get_property), (libgnomeui_set_property),
	(libgnomeui_class_init), (libgnomeui_post_args_parse),
	(libgnomeui_arg_callback): Set about dialogue hooks. Fixes bug
	#337358.

2006-05-27  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-icon-entry.c: (update_icon), (entry_activated),
	(setup_preview), (entry_changed): Fix critical warnings.
	(Travis Watkins). Should close bug #341111. Also remove some
	unneeded casts.

2006-05-16  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in: Update intltool requirement to 0.35.

2006-05-05  Travis Watkins  <alleykat@gmail.com>

	* libgnomeui/gnome-icon-entry.c: Autoupdate icon list on dir change
	and remove preview widget.
	* libgnomeui/gnome-file-entry.c: Filter out regular files when using
	with directory-entry.
	Closes bug #340478.

2006-05-02  Kristian Rietveld  <kris@imendio.com>

	Merge of the asynchronous file chooser branch.  Please see the
	kris-async-branch for more detailed ChangeLog entries.

	* configure.in:
	* file-chooser/Makefile.am:
	* file-chooser/gtkfilesystemgnomevfs.c:
	Merge from kris-async-branch.

	* file-chooser/sucky-desktop-item.h:
	* file-chooser/sucky-desktop-item.c:
	Merge from kris-async-branch (removed files).

2006-04-19  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove unneeded esd and audiofile checks and
	add a switch to make libjpeg conditional.
	* libgnomeui/gnome-ui-init.c: (event_sounds_changed_cb),
	(setup_event_listener): Same
	Closes bug #310974. Patch from Leonardo Boshell.

2006-04-19  Diego Gonzalez  <diego@pemas.net>

	* libgnomeui/gnome-icon-theme.[c-h]: mark as deprecated
	* libgnomeui/gnome-theme-parser.[c-h]: mark as deprecated
	Closes bug #128827.

2006-04-18  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-ui-init.h: Define GNOME_GTK_MODULE
	as gnome_gtk_module_info_get() which actually exists.
	Pointed out by Seth in bug #81424.

2006-04-18  Kjartan Maraas  <kmaraas@gnome.org>

	* images/Makefile.am: Don't install ancient icons
	Patch from Marinus Schraal. Closes bug #169044.

2006-04-18  Kjartan Maraas  <kmaraas@gnome.org>

	* .cvsignore:
	* Makefile.am:
	* configure.in:
	* po/LINGUAS: Patch from Przemysław Grzegorczyk
	to move libgnomeui to the new LINGUAS order.
	Closes bug #338552.
	* po/no.po: Remove this

2006-04-13 Vladimer Sichinava  <vlsichinava@gmail.com>

        * configure.in: Added "ka" (Georgian) to ALL_LINGUAS
	
2006-04-08  Christian Persch  <chpe@cvs.gnome.org>

	* libgnomeui/gnome-ui-init.c: (libgnomeui_pre_args_parse),
	(libgnomeui_post_args_parse), (libgnomeui_segv_setup): Fix
	  --disable-crash-dialog. Patch by Loïc Minier, bug #133071.

2006-04-04  Christian Persch  <chpe@cvs.gnome.org>

	* libgnomeui/gnome-ui-init.c: Fix compile warning by providing a
	  prototype for _gnome_ui_gettext_init().

2006-04-04  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-client.c: (gnome_client_module_instance_init):
	* libgnomeui/gnome-ui-init.c: (libgnomeui_private_free),
	(libgnomeui_instance_init): Fix leakage of private data
	structures and their content. Patch from Christian Persch.
	Closes bug #335742.

2006-04-04  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-client.c:
	(gnome_client_module_get_goption_group),
	(gnome_client_module_info_get): 
	* libgnomeui/gnome-ui-init.c: (_gnome_ui_gettext_init),
	(libgnomeui_get_goption_group), (libgnomeui_module_info_get),
	(libgnomeui_post_args_parse): Fix gettext initialization some.
	Fix for bug 335160. Patch from Christian Persch.

2006-04-04  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove unneeded checks.
	* glade/glade-gnome.c: (druid_page_edge_new): Remove unused code.
	* libgnomeui/gnome-about.c: (gnome_about_class_init): Remove
	unused code.
	* libgnomeui/gnome-appbar.c: (gnome_appbar_class_init): Same.
	* libgnomeui/gnome-authentication-manager.c:
	(vfs_async_fill_authentication_callback),
	(vfs_async_save_authentication_callback),
	(vfs_save_authentication_callback): 
	* libgnomeui/gnome-client.c: (client_set_ghash): Remove stray
	semi-colon.
	* libgnomeui/gnome-dialog.c: (gnome_dialog_class_init),
	(gnome_dialog_finalize): More unused code.
	* libgnomeui/gnome-druid-page-edge.c: Semicolon.
	* libgnomeui/gnome-icon-item.c: (iti_stop_editing),
	(iti_stop_selecting), (gnome_icon_text_item_draw): Unused code.
	* libgnomeui/gnome-icon-list.c: (gil_relayout_icons_at), (if):
	More unused code removal.
	* libgnomeui/gnome-icon-theme.c:
	(gnome_icon_theme_set_search_path),
	(gnome_icon_theme_get_search_path),
	(gnome_icon_theme_append_search_path),
	(gnome_icon_theme_prepend_search_path),
	(gnome_icon_theme_set_custom_theme), (gnome_icon_theme_has_icon),
	(gnome_icon_theme_list_icons),
	(gnome_icon_theme_get_example_icon_name),
	(gnome_icon_theme_rescan_if_needed): More of the same.
	* libgnomeui/gnome-mdi.c: (gnome_mdi_update_child): And some more.
	* libgnomeui/gnome-messagebox.c: (gnome_message_box_construct):
	Again.
	* libgnomeui/gnome-password-dialog.c: Unused variables removed.
	* libgnomeui/gnome-pixmap-entry.c: (gnome_pixmap_entry_construct):
	Unused code.
	* libgnomeui/gnome-propertybox.c: (dialog_clicked_cb): Same.
	* libgnomeui/gnome-scores.c: Semicolon.
	* libgnomeui/gnome-theme-parser.c: (escape_string): Unused code.
	* libgnomeui/gnome-thumbnail.c: Semi-colon.
	(gnome_thumbnail_factory_save_thumbnail),
	(gnome_thumbnail_factory_create_failed_thumbnail): Fix format
	specifiers.

2006-03-12  Christian Persch  <chpe@cvs.gnome.org>

	* doc/reference/libgnomeui-docs.sgml:
	* doc/reference/libgnomeui-sections.txt:
	* doc/reference/tmpl/gnome-ice.sgml:
	* doc/reference/tmpl/gnome-theme-parse.sgml:
	* libgnomeui/gnome-authentication-manager.c:
	* libgnomeui/gnome-ice.c:
	* libgnomeui/gnome-icon-entry.c:
	* libgnomeui/gnome-icon-item.c:
	* libgnomeui/gnome-icon-lookup.c:
	* libgnomeui/gnome-password-dialog.c:
	* libgnomeui/gnome-password-dialog.h:
	* libgnomeui/gnome-theme-parser.c: 

	Add documentation and Since: tags to a bunch of functions.
	No code changes. Bug #313898, patch by dinoop.thomas@wipro.com.
	Merged from stable.

2006-02-26  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-icon-list.c: Merge fix for critical warnings
	from stable. 

2006-02-08  Federico Mena Quintero  <federico@ximian.com>

	Merged from libgnomeui-2-14:

	* file-chooser/gtkfilesystemgnomevfs.c
	(gtk_file_system_gnome_vfs_create_folder): Add o+x permission to
	created folders; we were creating them with permissions 774
	instead of 775.

	* file-chooser/sucky-desktop-item.c
	(make_spawn_environment_for_sn_context),
	(make_environment_for_screen): Use g_listenv() instead of environ.
	Patch by Mark McLoughlin <mark@skynet.ie>, taken from bug #124277.
	Fixes bug #330350.

2006-02-07  Kjartan Maraas  <kmaraas@gnome.org>

	* glade/glade-gnome.c: (druid_page_edge_new),
	(glade_module_register_widgets): Fix initialization of
	edge pages when using language bindings. Closes bug #150412.
	Patch from Thayne Harbaugh.

2006-02-01  Federico Mena Quintero  <federico@ximian.com>

	* file-chooser/gtkfilesystemgnomevfs.c
	(network_servers_volume_token):  New variable to hold a pointer to
	a static string, which we can use as an opaque token for the fake
	"Network Servers" volume.
	(IS_NETWORK_SERVERS_VOLUME_TOKEN): New helper macro.
	(gtk_file_system_gnome_vfs_volume_free): Ignore the token for the
	Network Servers volume.
	(gtk_file_system_gnome_vfs_volume_get_base_path): Return
	"network:///" for the Network Servers volume.
	(gtk_file_system_gnome_vfs_volume_get_is_mounted): Always return
	"is mounted" for the Network Servers volume.
	(gtk_file_system_gnome_vfs_volume_mount): Simply return TRUE for
	the Network Servers volume.
	(gtk_file_system_gnome_vfs_volume_get_display_name): Generate the
	name for "Network Servers".
	(gtk_file_system_gnome_vfs_volume_render_icon): Use the icon named
	"gnome-fs-network" for Network Servers, like Nautilus does.
	(is_desktop_file_a_folder): Also consider .desktop files of
	Type=FSDevice to be folders.  This is the case for
	smblink-root in network:///.

2006-02-01  Federico Mena Quintero  <federico@ximian.com>

	Branched for GNOME 2.14; the branch there is "libgnomeui-2-14",
	anchored at the "LIBGNOMEUI_2_14_BRANCHPOINT" tag.

	* configure.in: Bump to version 2.15.0, interface age 0.

2006-01-29  Kjartan Maraas  <kmaraas@gnome.org>

	* doc/reference/tmpl/gnome-app-helper.sgml: Fix typo in the docs.
	(Behdad Esfahbod). Closes bug #328622.

2006-01-26  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Release 2.13.3 and bump version again.

2006-01-26  Alexander Larsson  <alexl@redhat.com>

	* libgnomeui/gnome-thumbnail.c (gnome_thumbnail_factory_save_thumbnail):
	Don't feed NULL as width/height strings when saving thumbnail. (#327323)

2006-01-24  Lucas Rocha  <lucasr@gnome.org>

	* libgnomeui/gnome-vfs-util.c: (size_prepared_cb) leave pixbuf with
	the original size if the image is smaller than the target thumbnail 
	size.

2006-01-16  Emmanuele Bassi  <ebassi@cvs.gnome.org>

	* configure.in, NEWS: release 2.13.2.

2006-01-16  Emmanuele Bassi  <ebassi@cvs.gnome.org>

	* libgnomeui/gnome-client.c: (gnome_client_module_info_get):
	* libgnomeui/gnome-ui-init.c: (libgnomeui_module_info_get): Apply patch
	from Christian Persch that makes libgnomeui use the correct struct
	member for parsing the command line arguments using GOption.
	Closes bug #326846.

2006-01-15  Kjartan Maraas <kmaraas@gnome.org>

	* libgnomeui/gnome-icon-lookup.c: (gnome_icon_lookup): Prevent
	a crash if mime_type is NULL. Patch from Felix Riemann.
	Closes bug #319549.

2006-01-15  Bastien Nocera  <hadess@hadess.net>

	* libgnomeui/gnome-thumbnail.c: (read_scripts): transform the second
	'@' in the GConf tree into a '+', to allow thumbnailing files with
	a '+' in their mime-type (Closes: #326638)

2006-01-13  Abel Cheung  <maddog@linuxhall.org>

	* configure.in: Added "zh_HK" to ALL_LINGUAS.

2006-01-09  Kjartan Maraas  <kmaraas@gnome.org>

	* NEWS: Update some.
	* configure.in: Bump reqs for libgnome and libbonoboui.
	* libgnomeui/gnome-client.c: 
	(gnome_client_module_get_goption_group),
	(gnome_client_module_info_get):
	* libgnomeui/gnome-ui-init.c: (libgnomeui_get_goption_group),
	(libgnomeui_module_info_get): Fix leaks introduced by the move
	to GOption. (Christian Perch). Closes bug #326237.

2006-01-01  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-app-helper.c: (showing_pixmaps_changed_notify),
	(menus_have_tearoff_changed_notify),
	(per_app_toolbar_style_changed_notify),
	(toolbar_style_changed_notify):
	* libgnomeui/gnome-app.c: (dock_item_changed_notify):
	* libgnomeui/gnome-client.c: (client_save_yourself_callback),
	(client_die_callback), (client_save_complete_callback),
	(client_shutdown_cancelled_callback):
	* libgnomeui/gnome-entry.c: (gnome_entry_history_changed):
	* libgnomeui/gnome-gconf-ui.c: (error_idle_func):
	* libgnomeui/gnome-icon-lookup.c: (make_compat_mime_name):
	* libgnomeui/gnome-icon-sel.c: (load_idle_func):
	* libgnomeui/gnome-pixmap-entry.c: (changed_timeout_func):
	* libgnomeui/gnome-thumbnail-pixbuf-utils.c: (vfs_src):
	* libgnomeui/gnome-ui-init.c: (event_sounds_changed_cb):
	Apply a patch to improve thread safety issues all over the place
	Patch from <jylefort at FreeBSD org>. Closes bug #152023 partially.

2006-01-01  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-icon-lookup.c: (make_compat_mime_name):
	Remove unused variable.
	* libgnomeui/gnome-thumbnail-pixbuf-utils.c: (vfs_src):
	Add cast to avoid compiler warning.
	* libgnomeui/gnome-ui-init.c: Remove prototype without matching
	function implementation.

2005-12-10  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-file-entry.c (build_filename): More
	encoding fixes. Patch from Yydzero <yandong.yao@sun.com>.

2005-12-09  Alexander Larsson  <alexl@redhat.com>

	* libgnomeui/gnome-vfs-util.[ch]:
	Add gnome_gdk_pixbuf_new_from_uri_at_scale

	* libgnomeui/gnome-thumbnail.c:
	Use gnome_gdk_pixbuf_new_from_uri_at_scale

	Patch from Victor STINNER (#307885)

2005-12-08  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-icon-item.c (gnome_icon_text_item_destroy):
	Don't request a redraw on the canvas here since that's already
	done in gnome_canvas_item_dispose(). Fixes a GnomeCanvas-CRITICAL
	warning in evolution, nautilus and possibly others. Closes
	bug #323521.

2005-12-08  Kjartan Maraas  <kmaraas@gnome.org>

	* file-chooser/gtkfilesystemgnomevfs.c (load_dir): Remove some
	stale code.

2005-12-08  Paolo Borelli  <pborelli@katamail.com>

	* libgnomeui/gnome-entry.c (gnome_entry_save_history): fix list leak.

2005-11-23  Rodney Dawes  <dobey@novell.com>

	* libgnomeui/gnome-icon-lookup.c (make_compat_generic_mime_name): Fix
	typo in use of ICON_NAME_MIME_PREFIX

2005-11-23  Rodney Dawes  <dobey@novell.com>

	* libgnomeui/gnome-icon-lookup.c: Define a suffix for the name spec
	(make_mime_name): Use the straight mime type by default
	(make_generic_mime_name): Use the generic part, with the fallback
	generic suffix "-x-generic" from the name spec
	(make_compat_mime_name): Method for using the compat method on gnome
	for the specific mime type icons
	(make_compat_generic_mime_name): Method for using the compat method
	for the generic type icons
	(gnome_icon_lookup): Add calls to the new compat methods so that we
	don't break backward compatibility with themes that don't follow the
	naming spec yet
	
2005-11-14  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* libgnomeui/gnome-file-entry.c: (gnome_file_entry_get_full_path):
	
	Convert text from entry to filename encoding before
	returning it. Patch from Yydzero <yandong.yao@sun.com>,
	bug #321144.

2005-11-10  Simos Xenitellis  <simos@gnome.org>

	* configure.in: Added Tatar in ALL_LINGUAS.

2005-10-07  Nate Nielsen  <nielsen@memberwebs.com>

	* libgnomeui/gnome-password-dialog.c: (dialog_show_callback)
	Focus the first non-empty field. Bug #318026

2005-09-29  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in: Require libgnome 2.13.0, and require libgnome
	and libbonobo 2.13.0 and glib 2.8.0.
	* libgnomeui/gnome-client.c: (gnome_client_module_info_get),
	(gnome_client_goption_sm_client_id),
	(gnome_client_goption_sm_disable),
	(gnome_client_goption_sm_config_prefix):
	* libgnomeui/gnome-ui-init.c: (libgnomeui_module_info_get),
	(libgnomeui_arg_callback),
	(libgnomeui_goption_disable_crash_dialog):
	Patch by Pawel Sliwowski <open.list@gmail.com>, bug #307312.
	* test-gnome/testgnome.c: (main): Use GOption argument parsing.

2005-09-27  Tor Lillqvist  <tml@novell.com>

	* configure.in: Set GNOME_KEYRING to gnome-keyring-1 on Unix,
	empty on Win32 (where we don't use gnome-keyring, at least not for
	now). AC_SUBST it.

	* libgnomeui/libgnomeui-2.0.pc.in: Correspondingly, use
	@GNOME_KEYRING@.

2005-09-23  Federico Mena Quintero  <federico@ximian.com>

	* file-chooser/gtkfilesystemgnomevfs.c: Removed stale TODO
	comment.

2005-09-21  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove useless check and warning about
	libglade-convert (Jens Elkner). Closes bug #118532.

2005-09-21  Ricardo Fern�dez Pascual  <ric@users.sourceforge.net>

	* libgnomeui/gnome-druid.c (gnome_druid_back_callback): Skip
	hidden pages, just like in gnome_druid_next_callback. Closes
	bug #89145.

2005-09-21  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-icon-entry.c: (setup_preview):
	Free filename in the error case. Unconstify.

2005-09-21  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-file-entry.c: (browse_dialog_ok):
	Fix a crasher. Fix from Petr Mladek. Closes
	bug #315549.
	* libgnomeui/gnome-pixmap-entry.c: (refresh_preview),
	(setup_preview): Fix a crash on Solaris. Patch from
	Vijaykumar Patwari. Closes bug #122703.

==================== 2.12.0 =====================

2005-09-06  Kjartan Maraas  <kmaraas@gnome.org>

	* NEWS: Update
	* configure.in: Release 2.12.0

2005-09-06  Kjartan Maraas  <kmaraas@gnome.org>

	No code is touched by these changes. :-)

	* libgnomeui/gnome-multiscreen.c: API doc fixes
	* libgnomeui/gnome-password-dialog.c: Same
	* libgnomeui/gnome-thumbnail-pixbuf-utils.c: Same
	* libgnomeui/gnome-thumbnail.c: Same.

2005-08-31  Baris Cicek <baris@teamforce.name.tr>

	* configure.in: Added ku to ALL_LINGUAS

2005-08-30  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-app-helper.c: Fix warning where _ got
	defined twice which breaks the AIX compiler. Closes
	bug #160956.

2005-08-30  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/libgnomeui-2.0.pc.in: Add gnome-keyring-1 to the
	Requires: line. Bug #167675.

2005-08-29  Tor Lillqvist  <tml@novell.com>

	* libgnomeui-zip.in: Include also documentation in the developer
	zipfile.

======================== 2.11.4 =====================

2005-08-26  Federico Mena Quintero  <federico@ximian.com>

	* file-chooser/gtkfilesystemgnomevfs.c: Oops, set this back to
	"#undef PROFILE_FILE_CHOOSER".

2005-08-26  Federico Mena Quintero  <federico@ximian.com>

	* file-chooser/gtkfilesystemgnomevfs.c (fs_module_init): See how
	long it takes to call gnome_vfs_init().

2005-08-26  Matthias Clasen  <mclasen@redhat.com>

	* file-chooser/gtkfilesystemgnomevfs.c (folder_purge_and_unmark): 
	Pass the address of the closure struct to the 
	g_hash_table_foreach_steal() call.  (#314586)

====================== 2.11.3 ======================

2005-08-19  Kjartan Maraas  <kmaraas@gnome.org>

	* file-chooser/gtkfilesystemgnomevfs.c:
	(gtk_file_system_gnome_vfs_render_icon): Fix
	crash in apps with trash:/// bookmarks. Closes
	bug #311637. Patch from Matthias Clasen.

2005-08-14  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-ui-init.h: Move G_BEGIN_DECLS
	after the #includes so it doesn't break build if 
	an app includes this single file in a program.

2005-08-05  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Post release version bump.

===================== 2.11.2 ======================

2005-08-04  Sunil Mohan Adapa  <sunil@atc.tcs.co.in>

	* configure.in: Added "te" to ALL_LINGUAS.

2005-07-25  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome_segv.c: (main): Add a window icon.
	Closes bug #309739. Patch from Jaap A. Haitsma

2005-07-25  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-druid.c: (gnome_druid_class_init),
	(gnome_druid_accessible_get_n_children),
	(gnome_druid_accessible_ref_child),
	(gnome_druid_accessible_class_init),
	(gnome_druid_accessible_get_type), (gnome_druid_accessible_new),
	(gnome_druid_accessible_factory_get_accessible_type),
	(gnome_druid_accessible_factory_create_accessible),
	(gnome_druid_accessible_factory_class_init),
	(gnome_druid_accessible_factory_get_type),
	(gnome_druid_get_accessible): Fix for bug #157936:
	"Unable to see buttons as accessible children of GnomeDruid"
	Patch from Padraig O'Briain.

2005-07-12  Federico Mena Quintero  <federico@ximian.com>

	* file-chooser/gtkfilesystemgnomevfs.c: Kill all the GConf code
	that was #ifdef-ed out - we haven't used it to load bookmarks for
	a long time now.
	(directory_load_callback): Call gdk_threads_leave() as well if we
	return prematurely.
	(monitor_callback): Likewise.
	(*): Add a little bunch of code to aid profiling.

2005-07-12  Matthias Clasen  <mclasen@redhat.com>

	* file-chooser/gtkfilesystemgnomevfs.c: Follow
	the Nautilus change and rename "Filesystem" to "File System",
	string change.  (#310047, Vincent Noel)

2005-07-11  Federico Mena Quintero  <federico@ximian.com>

	Merged from gnome-2-10:

	Add support for .desktop file links; fixes #136271:

	* file-chooser/gtkfilesystemgnomevfs.c
	(gtk_file_system_gnome_vfs_get_folder): If the URI refers to a
	.desktop link, read it, and try to get the destination URI
	instead.  Also, clean up a bit by using helper functions.
	(info_from_vfs_info): Take an error argument; we'll fill it in if
	there is an error while reading a .desktop file.
	(gtk_file_folder_gnome_vfs_get_info): Pass an error argument to
	info_from_vfs_info().
	(is_vfs_info_an_afs_folder): New helper function.
	(get_desktop_link_uri): New helper function.
	(get_options): Always request the MIME type, because we need to be
	able to distinguish .desktop files.
	(gtk_file_system_gnome_vfs_render_icon): If this is a .desktop
	file, get the icon information from it.
	(get_icon_from_desktop_file): New helper function.
	(get_cached_icon): Take a GError parameter.  Allow loading icons
	from absolute file names; these may come from the "Icon" attribute
	in .desktop files.
	(gtk_file_system_gnome_vfs_volume_render_icon): Pass the error
	argument to get_cached_icon().
	(gtk_file_system_gnome_vfs_render_icon): Likewise.

	* configure.in: Add libgnome to the modules needed by the
	file-chooser directory.
	Add a --with-kde-datadir option for KDE_ICONDIR.

	* file-chooser/sucky-desktop-item.[ch]: Sigh.  We need
	GnomeDesktopItem for GtkFileSystemGnomeVFS, but that sucker lives
	in the gnome-desktop module, which has libgnomeui as a dependency.
	So I just copied the relevant files and replaced "gnome" with
	"sucky".  To keep an optimistic outlook on life, those strings are
	of equal length, so indentation is preserved.

	* file-chooser/Makefile.am (libgnome_vfs_la_SOURCES): Added the
	sucky files.

2005-07-06  Tor Lillqvist  <tml@novell.com>

	* configure.in: Fix syntax error in gnome-keyring requirement.

2005-07-01  Kjartan Maraas  <kmaraas@gnome.org>

	* file-chooser/gtkfilesystemgnomevfs.c:
	(gtk_file_system_gnome_vfs_init), (unref_folder),
	(gtk_file_system_gnome_vfs_finalize):
	Plug some leaks. Patch from Matthias Clasen. Closes bug #300803.
	* libgnomeui/gnome-icon-entry.c: (gnome_icon_entry_instance_init):
	Remove bogus size request that made the text go outside of
	the button. Closes the libgnomeui part of bug #90932.

2005-07-01  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-icon-entry.c: (gnome_icon_entry_instance_init):
	Make it possible to pick a folder in the icon entry. Patch from
	Christian Neumair. Closes bug #142328

2005-07-01  Kjartan Maraas  <kmaraas@gnome.org>

        * gnome-password-dialog.c: (add_row), (gnome_password_dialog_new):
        HIGify the password dialog. Patch from Michael Terry. Closes
        bug #169273.

2005-07-01  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Bump version.
	* libgnomeui/DEPENDS.libgnomeui: Remove this.
	* libgnomeui/gnome-file-entry.c: (browse_dialog_ok):
	Plug a leak.
	* libgnomeui/gnome-icon-entry.c: (setup_preview),
	(icon_selected_cb), (gil_icon_selected_cb): Plug a few leaks.
	Closes bug #307491. (Kjartan)
	* test-gnome/Makefile.am: Fix build on Solaris. Patch from
	Lazslo Peter. Closes bug #307860.

2005-06-22  Matthias Clasen  <mclasen@redhat.com>

	* file-chooser/gtkfilesystemgnomevfs.c: Make the bookmark
	renaming conditional on the GTK+ version we're building
	against, pointed out by Alex Larsson.

2005-06-21  David Zeuthen  <davidz@redhat.com>

	* file-chooser/gtkfilesystemgnomevfs.c:
	(gtk_file_system_gnome_vfs_volume_get_base_path): Check GnomeVFSVolume
	for activation_uri since the one on the drive may be incorrect.
	See bug #308475.

2005-06-21  Matthias Clasen  <mclasen@redhat.com>

	* file-chooser/gtkfilesystemgnomevfs.c: Implement bookmark 
	renaming.  (#171264)

2005-05-16  Tor Lillqvist  <tml@novell.com>

	* libgnomeui/gnome-ui-init.c (libgnomeui_module_info_get): As we
	do include gnome-client also on Win32 now (see below), do include
	its module info.

2005-05-13  Tor Lillqvist  <tml@novell.com>

	* libgnomeui/Makefile.am: Do include gnome-client.c also on
	Win32. Presumably doesn't do anything awfully useful without any
	Win32-specific code, but having it in libgnomeui means that apps
	that call its functions don't need to ifdefify those calls.

	* libgnomeui/gnome-client.c: Remove unnecessary includes.

2005-05-11  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/ChangeLog-19990928: Typos
	* libgnomeui/gnome-app-helper.c: Same

2005-03-23  Dennis Cranston <dennis_cranston@yahoo.com>

	* libgnomeui/gnome-app-helper.c:
	HIG Fix: use header capitalization for game menu items.
	Closes bug #171435.

2005-05-11  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in:
	* libgnomeui/gnome-multiscreen.c: Fix build on Apple Darwin.
	Patch from Hans Petter Jansson <hpj at novell com>. Closes
	bug #166087.

2005-05-11  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-file-entry.c: Fix gcc warnings.
	(gnome_file_entry_drag_data_received): Same
	* libgnomeui/gnome-href.c: (drag_data_get): Same
	* libgnomeui/gnome-icon-entry.c: (drag_data_received),
	(drag_data_get): Same
	* libgnomeui/gnome-pixmap-entry.c: (drag_data_get): Same
	* libgnomeui/gnome-thumbnail.c: (thumb_md5): Same
	* libgnomeui/gnome-vfs-util.c: (gnome_gdk_pixbuf_new_from_uri):
	Same and remove a now unused var.

2005-05-11  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-client.c: Fix typos
	* libgnomeui/gnome-client.h: Same
	* libgnomeui/gnome-href.c: (gnome_href_clicked): Same
	* libgnomeui/gnome-theme-parser.c: Make an array static const
	* libgnomeui/gnome-thumbnail.c: (thumb_digest_to_ascii),
	(read_md5_dir): Fix GCC4 warnings.
	* libgnomeui/gnome-vfs-util.c: (gnome_gdk_pixbuf_new_from_uri):
	Remove a hack and a corresponding FIXME that was added because
	gdk_pixbuf_loader had problems with some file types back in the day.
	* libgnomeui/gnome_segv.c: (main): Plug a leak.
	* libgnomeui/libgnomeui-access.c: Make a var static.

2005-05-10  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-authentication-manager.c:
	(present_authentication_dialog_nonblocking),
	(present_full_authentication_dialog_nonblocking): Fix crash
	when escaping the password dialog. Same patch made by both
	Martin Wehner and Balamurali Viswanathan. Closes bug #134985
	and a whole slew of dupes.

2005-05-10  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-file-entry.c: (gnome_file_entry_class_init):
	Mark some property strings for translation. Remove corresponding
	FIXME.

2005-05-09  Federico Mena Quintero  <federico@ximian.com>

	Merged from gnome-2-10:

	Fix the GtkFileSystemGnomeVFS part of #301068:

	* file-chooser/gtkfilesystemgnomevfs.c (struct
	_GtkFileSystemGnomeVFS): Added these fields: afs_statbuf,
	net_statbuf, have_afs, have_net.  They are used when we have AFS.
	(struct _GtkFileFolderGnomeVFS): Added field is_afs_or_net.
	(gtk_file_system_gnome_vfs_init): Check for AFS folders.
	(gtk_file_system_gnome_vfs_get_folder): Fill the is_afs_or_net
	field in the new folder.  Only install a folder monitor if this is
	not an AFS folder.
	(gtk_file_folder_gnome_vfs_list_children): Don't use load_dir() to
	load AFS folders; use load_afs_dir().  Also, don't reverse the
	list of children - the hash table of children is not ordered, so
	reversing the list is pointless.
	(load_afs_dir): New function; reads a folder without using
	gnome-vfs as it doesn't support readdir() without stat().

2005-05-09  Frederic Crozat  <fcrozat@mandriva.com>

	* file-chooser/gtkfilesystemgnomevfs.c:
	(gtk_file_system_gnome_vfs_init):
	ensure locales are UTF-8, needed for programs which
	don't use libgnomeui directly (like firefox) (bug #168988).

2005-04-18  Tor Lillqvist  <tml@novell.com>

	* libgnomeui-zip.in: New file, used to build zipfile distribution
	of libgnomeui for Win32.

	* configure.in
	* Makefile.am: Add it.

	* configure.in: Require GTK+ 2.6.0 (and thus GLib 2.6.0).

	* */Makefile.am: Remove unused GNOME*DIR definitions for
	clarity. In libgnomeui prefix the few remaining in libgnomeui with
	LIBGNOMEUI_.

	* file-chooser/gtkfilesystemgnomevfs.c: Don't use authentication
	manager on Win32.

	* file-chooser/gtkfilesystemgnomevfs.c
	* file-chooser/testfilechooser.c
	* libgnomeui/gnome-icon-entry.c
	* libgnomeui/gnome-thumbnail.c: Use gstdio wrappers for better
	localized filename support on Win32.

	* libgnomeui/Makefile.am: Conditionalize platform-dependent
	sources. No authentication manager (at least for now) or session
	manager on Win32.

	* libgnomeui/gnome-about.c (gnome_about_set_property): Form path
	to logo file at run-time to accomodate for end-user selecatble
	installation path on Win32.

	* libgnomeui/gnome-app-util.c
	* libgnomeui/gnome-icon-item.c
	* libgnomeui/gnome-window.c: Remove unnecessary include of gdkx.h.

	* libgnomeui/gnome-icon-lookup.c
	* libgnomeui/gnome-file-entry.c: Use GLib path name functionality,
	like g_path_is_absolute(), G_DIR_SEPARATOR, G_IS_DIR_SEPARATOR().

	* libgnomeui/gnome-dateedit.c: No strtok_r() in the Microsoft C
	library, use strtok() on Win32 and document why it is good enough
	in this case.

	* libgnomeui/gnome-file-entry.c: No realpath() in the Microsoft C
	library, just use strcpy() for now. Don't support the tilde
	convention on Win32, as it is not used on Windows, and furthermore
	it's rather hard to find out the "home directory" (if any such
	concept even can be said to exist) of other accounts anyway.

	* libgnomeui/gnome-multiscreen.c (make_environment_for_screen):
	Bypass on Win32 where GDK doesn't support multiple screens,
	whatever they would be.

	* libgnomeui/gnome-theme-parser.c (calculate_locale): Use
	g_win32_getlocale() on Win32.

	* libgnomeui/gnome-ui-init.c (libgnomeui_segv_setup,
	libgnomeui_segv_handle): Don't try to handle segvs on Win32.
	(libgnomeui_module_info_get): Don't require the client module on
	Win32, as it isn't built.

	* libgnomeui/gnome-ui-win32.c: New file with Win32-only bits.
	(DllMain): DLL entry point that tucks away the handle to the DLL.
	(setup): Helper function that looks up the DLL's location at
	run-time using the recently added gnome_win32_get_prefixex()
	function and forms the paths to those subdirectoris of if we are
	interested in.
	(_gnome_ui_get_localedir, _gnome_uid_get_datadir): Get the
	run-time locale and data directories.

	* libgnomeui/gnome-thumbnail.c: Include g_chmod() implementation
	if building against GLib < 2.7.0. Use GMutex instead of pthread
	mutex. Use time() instead of calling gettimeofday() and then just
	using the seconds.

	* libgnomeui/gnome-window-icon.c (gnome_window_icon_init): Bypass
	the session manager client code on Win32.

	* libgnomeui/libgnomeuiP.h: On Win32 redefine the LIBGNOMEUI_*DIR
	macros to call the _gnome_ui_get_*dir functions.

	* libgnomeui/libgnomeui-2.0.pc.in: Require also gnome-vfs-2.0 as
	libgnomeui includes its headers in its public headers.

	* test-gnome/testgnome.c: Add comment that it is OK to use
	configure-time pathnames also on Win32, as this is a test program.

2005-04-17  Tor Lillqvist  <tml@novell.com>

	* configure.in (libgnomeui_minor_version): Post-branch version
	bump to 2.11.0. The gnome-2-10 branch has version 2.10.x. Check
	for Win32 (mingw), define OS_WIN32 Automake conditional. Don't
	require gnome-keyring-1 on Win32.

2005-03-26  Vincent Untz  <vincent@vuntz.net>

	* file-chooser/gtkfilesystemgnomevfs.c:
	(gtk_file_system_gnome_vfs_filename_to_path): check for an empty string
	Fix bug #169979.

2005-03-07  Anders Carlsson  <andersca@imendio.com>

	* configure.in: Release 2.10.0

2005-02-16  Alexander Larsson  <alexl@redhat.com>

	* file-chooser/gtkfilesystemgnomevfs.c:
	Make backend threadsafe, and handle
	cancellation thread issues.
	fixes #166852, in combination with the latest gnome-vfs
	
2005-02-08  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "xh" to ALL_LINGUAS.

2005-01-31  Federico Mena Quintero  <federico@ximian.com>

	Fixes the libgnomeui part of #164239:

	* file-chooser/gtkfilesystemgnomevfs.c (struct _FolderChild):  Add
	a "reloaded" flag which we'll set when we (re)read a file's
	information from within directory_load_callback().  This will let
	us purge files that don't have the flag set when the load
	terminates.
	(folder_child_new): Added a "reloaded" argument.
	(folder_purge_and_unmark): New utility function.
	(directory_load_callback): Set the "reloaded" flag on
	already-existing files and replace their info.  Call
	folder_purge_and_unmark() when we finish loading the folder.
	(monitor_callback): Set the "reloaded" flag on already-existing
	files and replace their info.
	(remove_all): Renamed to unmark_all_fn.
	(load_dir): Unmark all the children.

================= 2.9.1 ======================

2005-01-26  Kjartan Maraas  <kmaraas@gnome.org>

	* file-chooser/gtkfilesystemgnomevfs.c: #include
	"gnome-authentication-manager-private.h" to get rid
	of compiler warnings. It's internal to this library so
	it should be ok.
	* libgnomeui/gnome-about.c:
	* libgnomeui/gnome-client.h:
	* libgnomeui/gnome-druid-page-edge.h:
	* libgnomeui/gnome-druid-page-standard.c:
	* libgnomeui/gnome-druid.c:
	* libgnomeui/gnome-font-picker.c: AIX portability fixes
	from TheWrittenWord. Closes bug #131397.

2005-01-25  Federico Mena Quintero  <federico@ximian.com>

	* file-chooser/gtkfilesystemgnomevfs.c
	(gtk_file_system_gnome_vfs_render_icon): Free the file info.
	Fixes #147303; patch by Christian Persch <chpe@gnome.org>.

2005-01-25  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-password-dialog.c: (gnome_password_dialog_new):
	Fix compiler warnings.

2005-01-25  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-app.c: (gnome_app_instance_init): Make
	gnome-app mor robust when created without calling
	gnome_program_init(). Closes bug #164948. Patch from
	<scott at asofyet org>

2005-01-25  Fernando Herrera  <fherrera@onirica.com>

	* libgnomeui/gnome-thumbnail.c: (expand_thumbnailing_script),
	(gnome_thumbnail_factory_generate_thumbnail): Add proper size
	to the script command line. Fix bug #143790

2005-01-24  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Bump gnome-vfs req to 2.7.3
	Closes bug #154969. Reported by <foser at gentoo org>

2005-01-08  Anders Carlsson  <andersca@imendio.com>

	* libgnomeui/gnome-thumbnail.c 
	(gnome_thumbnail_factory_instance_init): 
	No need to do all initialization here, meaning
	that we can use the thumbnail factory without calling
	gnome_program_init (Yay!)
	
2005-01-05  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-client.c: Fix typo in docs for two functions.
	Closes bug #94338. Noticed by Matthias Warkus.

2004-12-15  Alexander Larsson  <alexl@redhat.com>

	* file-chooser/gtkfilesystemgnomevfs.c (info_from_vfs_info):
	Use the new g_filename_display_basename call to get the display name.

2004-12-02  Dwayne Bailey  <dwayne@translate.org.za>

	* configure.in: Added "zu" to ALL_LINGUAS.

2004-11-24  Alexander Larsson  <alexl@redhat.com>

	* file-chooser/gtkfilesystemgnomevfs.c (load_dir):
	Fix crasher. uri is a string, not a GnomeVFSUri.

2004-11-23  Federico Mena Quintero  <federico@ximian.com>

	Merged from gnome-2-8:

	* file-chooser/gtkfilesystemgnomevfs.c (load_dir): Use a different
	number of items per notification depending on whether the folder
	system is local or not.

2004-11-19  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "rw" to ALL_LINGUAS.

2004-11-15  Dwayne Bailey  <dwayne@translate.org.za>

	* configure.in: Added "nso" to ALL_LINGUAS.

2004-11-13  Anders Carlsson  <andersca@gnome.org>

	* libgnomeui/gnome-icon-item.h:
	Deprecate, used by GnomeIconList which is also deprecated.
	
2004-11-13  Anders Carlsson  <andersca@gnome.org>

	* libgnome/gnome-scores.h:
	Deprecate. This is too specialized, and eventually a replacement
	will find its way into gnome-games.

	* libgnomeui/gnome-about.h:
	Deprecate, use GtkAboutDialog.
	
	* libgnomeui/gnome-file-entry.h:
	Deprecate, use GtkFileChooserButton.
	
	* libgnomeui/gnome-icon-list.h:
	Deprecate, use GtkIconView.
	
	* libgnomeui/gnome-pixmap-entry.h:
	Deprecate, broken widget and no-one uses it.
	
	* libgnomeui/gnome-window-icon.h:
	Deprecate, use gtk_window_set_icon_name.

2004-11-08  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Update to 2.9.1

2004-09-22  J.H.M. Dassen (Ray) <jdassen@debian.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=153151
	* libgnomeui/gnome-entry.h: Removed prototype for
	gnome_entry_construct, as that function was removed in
	libgnomeui/gnome-entry.c 1.68 (2001-09-04).
	* libgnomeui/gnome-href.h: Removed prototype for gnome_href_construct
	as that function was removed in libgnomeui/gnome-href.c 1.31.2.1
	(2001-08-30).

2004-09-17  Matthias Clasen  <mclasen@redhat.com>

	* file-chooser/gtkfilesystemgnomevfs.c (gtk_file_system_gnome_vfs_parse): 
	Don't switch the folder until we have seen the full hostname.
	Otherwise, the auth dialog will come up for every single character
	of the hostname being typed in. (#151296, Rodney Dawes)

2004-09-13  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* configure.in: Bumped the gnome-vfs version requirement to 2.7.1 as
	that is the first release to have GNOME_VFS_MODULE_CALLBACK_QUESTION
	which is used in libgnomeui/gnome-authentication-manager.c's
	gnome_authentication_manager_init().

==================== 2.8.0 ====================

2004-09-13  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.8.0
	
	* NEWS: Update

2004-09-13  Jesus Bravo Alvarez  <suso@trasno.net>

	* configure.in: Added gl (Galician) to ALL_LINGUAS.

2004-09-03  Kjartan Maraas  <kmaraas@gnome.org>

	* file-chooser/gtkfilesystemgnomevfs.c: Include
	the right header so i18n works properly. Patch
	from Christian Persch <chpe at gnome org>. Closes
	bug #144529.

2004-08-30  Federico Mena Quintero  <federico@ximian.com>

	Merged from the gnome-2-6 branch:

	Fix #145200:

	* file-chooser/gtkfilesystemgnomevfs.c (struct
	_GtkFileSystemGnomeVFS): Added fields to store the signal
	connection IDs for the volume monitor.
	(gtk_file_system_gnome_vfs_init): Store the signal connection IDs.
	Do not create an extra reference to the volume monitor.
	(gtk_file_system_gnome_vfs_finalize): Disconnect from the volume
	monitor's signals.  For now, don't unref the monitor.  See
	http://bugzilla.gnome.org/show_bug.cgi?id=151463 for reference.

=================== 2.7.92 ====================

2004-08-30  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.7.92

2004-08-25  Alexander Larsson  <alexl@redhat.com>

	* libgnomeui/gnome-authentication-manager.[ch]:
	Add gnome_authentication_manager_dialog_is_visible.
	Its a big hack, but useful.

2004-08-25  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-appbar.c: Bitfield warnings
	* libgnomeui/gnome-druid-page-edge.c: Same
	* libgnomeui/gnome-druid.c: Same
	* libgnomeui/gnome-file-entry.c: Same
	* libgnomeui/gnome-font-picker.c: Same
	* libgnomeui/gnome-icon-entry.c: (browse_clicked): Add cast.
	* libgnomeui/gnome-icon-list.c: (if): NULL vs. FALSE
	* libgnomeui/gnome-icon-theme.c: (gnome_icon_theme_lookup_icon):
	Fix a leak.
	* libgnomeui/gnome-mdi.h: Bitfield warnings

2004-08-24  Kjartan Maraas  <kmaraas@gnome.org>

	* file-chooser/gtkfilesystemgnomevfs.c: (directory_load_callback):
	Plug the last remaining leak reported by valgrind. Closes
	bug #150857.

2004-08-22  William Jon McCann  <mccann@jhu.edu>

	* file-chooser/gtkfilesystemgnomevfs.c (gtk_file_system_gnome_vfs_get_folder):
	Ref the vfs_info if it is pulled from the hash table.  Fixes #150075.

2004-08-16  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "bs" to ALL_LINGUAS.

=================== 2.7.91 ====================
	
2004-08-16  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.7.91

2004-08-13  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Add this stuff.
	* po/nb.po: Same.

2004-08-10  Kjartan Maraas  <kmaraas@gnome.org>

	* file-chooser/gtkfilesystemgnomevfs.c: #include <config.h>

2004-08-05  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in: Added Breton (br) to ALL_LINGUAS

2004-07-28  Glynn Foster  <glynn.foster@sun.com>

	* libgnomeui/gnome-druid.c: (gnome_druid_set_page): Patch 
	from Eric Zhao <eric.zhao@sun.com> to unfocus the widgets
	on the the previous patch. Fixes #135743.

2004-07-20  Federico Mena Quintero  <federico@ximian.com>

	Fix #146185:

	* file-chooser/gtkfilesystemgnomevfs.c
	(lookup_folder_child): Renamed from lookup_vfs_info_in_folder();
	use lookup_folder_child_from_uri().  Return a FolderChild rather
	than a GnomeVFSFileInfo.
	(lookup_folder_child_from_uri): New helper function, code
	moved over from lookup_vfs_info_in_folder().
	(gtk_file_system_gnome_vfs_get_folder): Reorder things.  First,
	ensure that we exist as a child in the parent folder; here we can
	check whether the child is a folder.  Second, if the parent folder
	is not loaded, ensure that we are a folder.  Third, actually
	create the new folder_vfs.

=================== 2.7.2 ===================

Mon Jul 19 23:31:18 2004  Jonathan Blandford  <jrb@gnome.org>

	* configure.in: release 2.7.2

	* NEWS: Update

2004-07-18  Colin Walters  <walters@redhat.com>

	* file-chooser/gtkfilesystemgnomevfs.c
	  (gtk_file_system_gnome_vfs_list_volumes): Avoid crash if
	  gnome_vfs_volume_monitor_get_volume_for_path returns NULL.

2004-06-24  Alexander Larsson  <alexl@redhat.com>

	* libgnomeui/gnome-authentication-manager.c:
	Support for anonymous logins. Patch by laszlo.kovacs@sun.com.
	Implement question callback.
	
	* libgnomeui/gnome-password-dialog.c:
	* libgnomeui/gnome-password-dialog.h:
	Support for anonymous logins. Patch by laszlo.kovacs@sun.com.

2004-06-22  Federico Mena Quintero  <federico@ximian.com>

	Fixes the libgnomeui part of #142308:

	* file-chooser/gtkfilesystemgnomevfs.c
	(lookup_vfs_info_in_folder): Canonicalize the URI before looking
	it up in the folder's hash table.
	(gtk_file_system_gnome_vfs_filename_to_path): Canonicalize the
	URI.
	(gtk_file_system_gnome_vfs_uri_to_path): Likewise.

2004-06-01  Rodney Dawes  <dobey@novell.com>

	* libgnomeui/gnome-druid-page-edge.c (gnome_druid_page_edge_set_color):
	Fix the default colors to be theme compliant

	* libgnomeui/gnome-druid-page-standard.c
	(gnome_druid_page_standard_class_init):
	Add the "contents-background", "contents-background-gdk" and
	"contents-background-set" properties to fix #119298
	(gnome_druid_page_standard_set_color):
	Fix the default colors to be theme compliant

	Fixes #119298

2004-06-01 Pawan Chitrakar <pawan@nplinux.org>
	*configure.in: Added "ne" in ALL_LINGUAS

2004-05-31  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.7.1

	* NEWS: Update
	
2004-05-29  Martin Wehner  <martin.wehner@epost.de>

	* libgnomeui/gnome-thumbnail.c: (load_thumbnail_info):
	Handle invalid values from gdk_pixbuf_get_option.
	Fixes #139473.
	
2004-05-29  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "tk" to ALL_LINGUAS.

2004-05-24  Fernando Herrera  <fherrera@onirica.com>

	* libgnomeui/gnome-authentication-manager.c:
	(construct_full_password_dialog): Only show remember options if
	GNOME_VFS_MODULE_CALLBACK_FULL_AUTHENTICATION_SAVING_SUPPORTED flag is
	TRUE.

2004-05-13  James Henstridge  <james@daa.com.au>

	* configure.in (ACLOCAL_AMFLAGS): set so that aclocal gets called
	with contents of $ACLOCAL_FLAGS environment variable.

	* acconfig.h: remove file since it isn't needed anymore.

	* configure.in: add descriptions to AC_DEFINE() calls.

2004-05-11  James Henstridge  <james@daa.com.au>

	* configure.in (GCONF_CONFIG_SOURCE): get rid of checks for gconf,
	since the schemas in libgnomeui were removed in 2001.

	* demos/Makefile.am (INCLUDES): same here.

	* libgnomeui/Makefile.am (INCLUDES): don't define
	GNOMEUILOCALEDIR.

	* configure.in: use AM_GLIB_DEFINE_LOCALEDIR() to define the
	locale directory.

2004-05-05  James Henstridge  <james@daa.com.au>

	* test-gnome/Makefile.am (test_gnome_SOURCES): move testgnome.h to
	sources list.

	* libgnomeui/Makefile.am: fix up readonly srcdir build of
	generated files.  Don't build libgnomeui.defs since it wasn't
	being distributed and it wasn't being used for anything.

	* Makefile.am: require automake-1.7, and ensure that docs get
	built during "make distcheck".

	* configure.in: update configure script.

	* autogen.sh (REQUIRED_AUTOMAKE_VERSION): require Automake 1.7

2004-05-05  Anders Carlsson  <andersca@gnome.org>

	* libgnomeui/gnome-icon-list.c: (gnome_icon_list_select_all):
	Use g_return_if_fail. (#141833, Damien Carbery)
	
2004-05-02  Anders Carlsson  <andersca@gnome.org>

	* libgnomeui/gnome-app-helper.c: (create_and_popup_toolbar_menu):
	Add the worlds worst hack to make the toolbar popup menus translated.
	(#138730, Takao Fujiwara)
	
2004-05-02  Anders Carlsson  <andersca@gnome.org>

	* libgnomeui/gnome-icon-list.c: (gnome_icon_list_select_all):
	* libgnomeui/gnome-icon-list.h:
	Add gnome_icon_list_select_all.
	(#138553, Laurent Sansonetti)
	
2004-05-02  Fernando Herrera  <fherrera@onirica.com>
 
 	* libgnomeui/gnome-thumbnail.c:
 	(gnome_thumbnail_factory_generate_thumbnail): 
	Use g_file_open_tmp. Fix #133927
 
2004-05-02  Anders Carlsson  <andersca@gnome.org>

	* libgnomeui/gnome-authentication-manager.c:
	(construct_full_password_dialog):
	Make message work better for RTL languages.
	(#129254, Christian Rose)
	
2004-05-02  Anders Carlsson  <andersca@gnome.org>

	* libgnomeui/gnome-href.c: (gnome_href_clicked):
	Use gnome_url_show_on_screen.
	(#111923, Leena Gunda)
	
2004-05-02  Anders Carlsson  <andersca@gnome.org>

	* libgnomeui/gnome-thumbnail.c: (gnome_thumbnail_has_uri),
	(gnome_thumbnail_is_valid):
	Handle invalid values from gdk_pixbuf_get_option.
	(#141044, Torsten Schoenfeld)
	
2004-05-02  Anders Carlsson  <andersca@gnome.org>

	* configure.in:
	* doc/reference/Makefile.am:
	* doc/reference/libgnomeui-docs.sgml:
	* doc/reference/version.xml.in:
	Put version number in reference docs.
	(#125759, Steve Chaplin)

=================== 2.6.1.1 ===================

2004-05-02  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Fix soname, depend on gtk+ 2.4.1
	and release 2.6.1.1

	* file-chooser/gtkfilesystemgnomevfs.c 
	(gtk_file_system_gnome_vfs_volume_render_icon): It's
	gnome-dev-harddisk, not gnome-harddisk.

2004-04-21  Federico Mena Quintero  <federico@ximian.com>

	* file-chooser/gtkfilesystemgnomevfs.c
	(gtk_file_system_gnome_vfs_get_folder): Check that the URI exists
	before creating the folder structure.  Fixes #140095.

==================== 2.6.1 ====================

2004-04-20  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Version 2.6.1 "Magmoor"

	* NEWS: Update

2004-04-16  Alexander Larsson  <alexl@redhat.com>

	* file-chooser/gtkfilesystemgnomevfs.c (gtk_file_system_gnome_vfs_volume_render_icon):
	Use same icon for Filesystem as computer:.

2004-04-16  Alexander Larsson  <alexl@redhat.com>

	* libgnomeui/gnome-authentication-manager.c:
	Some threadsafeness for callbacks.

2004-04-16 Iñaki Larrañaga  <dooteo@euskalgnu.org>

	* configure.in: Added "eu" (Basque) to ALL_LINGUAS.

2004-04-16  Alexander Larsson  <alexl@redhat.com>
	
	* file-chooser/gtkfilesystemgnomevfs.c (gtk_file_system_gnome_vfs_init):
	disconnect volume-monitor callbacks when filesystem object dies

2004-04-15  Padraig O'Briain <padraig.obriain@sun.com>

	* libgnomeui/gnome-about.c (gnome_about_instance_init): Remove
	setting of role to ATK_ROLE_ALERT for bug #139541.

2004-04-15  John C Barstow  <jbowtie@amathaine.com>

        * configure.in: Added "mi" (Maori) to ALL_LINGUAS.

2004-04-14  Padraig O'Briain <padraig.obriain@sun.com>

	* libgnomeui/gnome-about.c (gnome_about_instance_init): Set role
	to ATK_ROLE_ALERT. Fixes bug #139541.

2004-04-12  Anders Carlsson  <andersca@gnome.org>

	* libgnomeui/gnome_segv.c (main): Remove call to 
	  gtk_dialog_set_has_separator.

2004-04-09  Guntupalli Karunakar  <karunakar@freedomink.org>

        * configure.in: Added "gu" (Gujarati) to ALL_LINGUAS.

2004-04-06  Federico Mena Quintero  <federico@ximian.com>

	* file-chooser/gtkfilesystemgnomevfs.c (fs_module_init): Ref the
	type class that we register so that the module won't get unloaded.
	I'd rather do this with g_module_make_resident(), but at this
	point in the code we don't have access to the GModule.  Fixes
	#139254.

2004-03-31  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "af" to ALL_LINGUAS.

2004-03-29  Federico Mena Quintero  <federico@ximian.com>

	* file-chooser/gtkfilesystemgnomevfs.c
	(gtk_file_folder_gnome_vfs_iface_init): Add the implementation of
	::is_finished_loading().
	(gtk_file_folder_gnome_vfs_is_finished_loading): Implement.
	(directory_load_callback): Emit the "finished-loading" signal when
	we are done.

2004-03-24  Alexander Larsson  <alexl@redhat.com>

	* libgnomeui/gnome-authentication-manager.c (present_authentication_dialog_nonblocking):
	Remove leftover gtk_window_set_modal.

2004-03-22  Guntupalli Karunakar  <karunakar@freedomink.org>

        * configure.in: Added "pa" (Punjabi) to ALL_LINGUAS.

==================== 2.6.0 ====================

2004-03-22  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Version 2.6.0 "Zeb"

	* NEWS: Update

	* Makefile.am (EXTRA_DIST): Add NEWS and COPYING.LIB

2004-03-19  Alexander Larsson  <alexl@redhat.com>

	* libgnomeui/gnome-authentication-manager.c (present_authentication_dialog_nonblocking),
	(present_full_authentication_dialog_nonblocking): 
	Fixed small bug in last change.

2004-03-18  Alexander Larsson  <alexl@redhat.com>

	* file-chooser/gtkfilesystemgnomevfs.c: (load_dir),
	(gtk_file_system_gnome_vfs_get_folder),
	(gtk_file_system_gnome_vfs_create_folder),
	(gtk_file_system_gnome_vfs_volume_mount), (get_vfs_info),
	(lookup_vfs_info_in_folder), (gtk_file_folder_gnome_vfs_get_info),
	(monitor_callback):
	Use the new auth push/pop api

	* libgnomeui/Makefile.am:
	* libgnomeui/gnome-authentication-manager-private.h:
	* libgnomeui/gnome-authentication-manager.c:
	Add api to allow auth callback push/pop
	Make auth dialog modal if there is a grab.

2004-03-15  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.5.92

2004-03-14  Federico Mena Quintero  <federico@ximian.com>

	* file-chooser/gtkfilesystemgnomevfs.c
	(gtk_file_folder_gnome_vfs_get_info): Handle the path being NULL
	for root URIs.

Sun Mar 14 01:05:29 2004  Jonathan Blandford  <jrb@gnome.org>

	* file-chooser/gtkfilesystemgnomevfs.c
	(gtk_file_system_gnome_vfs_parse): We don't really want to strip
	whitespace off the end of the string.  This is not the right place
	to editorialize on the appropriateness of such filenames.

2004-03-13  Mark McLoughlin  <mark@skynet.ie>

	Add a new "filechooser-action" property so we can use file
	entries in other modes e.g. save mode. API addition approved
	by the release team.

	* libgnomeui/gnome-file-entry.c: (gnome_file_entry_class_init),
	(fentry_set_property), (fentry_get_property): impl. the
	"filechooser-action" property.
	(browse_clicked): construct the file chooser with the appropriate
	GtkFileChooserAction and also append the appropriate buttons
	for that action.

Fri Mar 12 02:48:56 2004  Jonathan Blandford  <jrb@gnome.org>

	* file-chooser/gtkfilesystemgnomevfs.c (get_vfs_info): Patch from
	Alexander Larsson <alexl@redhat.com> to handle parent_path being
	NULL.

Thu Mar 11 22:33:10 2004  Jonathan Blandford  <jrb@gnome.org>

	* file-chooser/Makefile.am (libgnome_vfs_la_LIBADD): patch from
	Carlos Romero <kidcrash@bellsouth.net> to make the vfs module
	link with libgnomeui.

2004-03-09  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.5.91

2004-03-08  Anders Carlsson  <andersca@gnome.org>

	* file-chooser/gtkfilesystemgnomevfs.c:
	(gtk_file_system_gnome_vfs_init),
	(gtk_file_system_gnome_vfs_finalize),
	(gtk_file_system_gnome_vfs_volume_render_icon),
	(gtk_file_system_gnome_vfs_render_icon):
	Use an icon for the home directory.
	
2004-03-06  Dennis Cranston <dennis_cranston at yahoo com>

	* libgnomeui/gnome-file-entry.c: (browse_clicked):  get the
	folder-mode of the GtkFileChooser to work again.
	
2004-03-05  Joe Marcus Clarke  <marcus@freebsd.org>

	* configure.in:
	* file-chooser/Makefile.am: install file-chooser GTK+ module in
	$(libdir)/gtk-2.0/$(GTK_BINARY_VERSION)/filesystems

2004-03-03  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.5.90.1

2004-02-28  Paisa Seeluangsawat  <paisa@users.sf.net>

	* configure.in: Added "th" (Thai) to ALL_LINGUAS.

2004-02-27  Federico Mena Quintero  <federico@ximian.com>

	* file-chooser/gtkfilesystemgnomevfs.c
	(gtk_file_system_gnome_vfs_insert_bookmark): Renamed from
	gtk_file_system_gnome_vfs_add_bookmark(); update to conform to the
	new API.
	(gtk_file_system_gnome_vfs_remove_bookmark): Updated.

Thu Feb 26 20:01:03 2004  Jonathan Blandford  <jrb@gnome.org>

	* libgnomeui/gnome-file-entry.c (browse_clicked): use modified
	gtkfilechooser API.

2004-02-25  Danilo Šegan  <dsegan@gmx.net>

	* configure.in: Added sr@ije to ALL_LINGUAS.

2004-02-25  Dennis Cranston <dennis_cranston at yahoo com>

	* libgnomeui/gnome-file-entry.c: (browse_clicked):  fix the
	folder-mode of GtkFileChooser.

2004-02-24  Anders Carlsson  <andersca@gnome.org>

	* Makefile.am:
	* configure.in:
	* file-chooser/ChangeLog:
	* file-chooser/Makefile.am:
	* file-chooser/gtkfilesystemgnomevfs.c:
	Move over the file system backend from gnome-vfs.

2004-02-24  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.5.90

2004-02-20  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "en_CA" to ALL_LINGUAS.

2004-02-17  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome_segv.c: (main): Mark strings for
	translation and add mnemonics.

2004-02-16  Narayana Pattipati <narayana.pattipati@wipro.com>

	* libgnomeui/libgnomeui/gnome-icon-list.c:
	Implement Home/End keynavigation for GnomeIconList. Bugzilla
	bug#92938

2004-02-15  Christian Persch  <chpe@cvs.gnome.org>

	* libgnomeui/gnome-client.c: (gnome_client_module_class_init):
	* libgnomeui/gnome-ui-init.c: (libgnomeui_class_init): Mark the "sm-connect"
	and "show-crash-dialog" properties with G_PARAM_CONSTRUCT, so that they are
	correctly initialised to their defaults on object construction. (Bug #131867).

2004-02-11  Anders Carlsson  <andersca@gnome.org>

	* libgnomeui/gnome-icon-sel.c (sort_file_list): Use strcoll
	instead of strcmp.

2004-02-10  Christian Persch  <chpe@cvs.gnome.org>

	* libgnomeui/gnome-client.c: (gnome_client_module_class_init): Remove
	G_PARAM_CONSTRUCT_ONLY flag from the paramspec of the sm-connect
	proprety, since it's set after construct time when the args are parsed
	(Bug #131867).

2004-02-09  Fernando Herrera  <fherrera@onirica.com>

	* glade/glade-gnome.c: (file_entry_set_use_filechooser),
	(glade_module_register_widgets): Register "use_filechooser" prop in
	glade

2004-02-09  Carlos Garnacho Parro  <carlosg@gnome.org>

	* libgnomeui/gnome-file-entry.c: added "use_filechooser" property
	that enables the explicit use of GtkFileChooser instead of 
	GtkFileSelection
	* libgnomeui/gnome-pixmap-entry.c: ditto
	* libgnomeui/gnome-icon-entry.c: made it to use GtkFileChooser API

2004-02-07  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/Makefile.am: Remove more deprecated flags.

2004-02-04  Padraig O'Briain <padraig.obriain@sun.com>

	* libgnomeui/gnome-color-picker.c (gnome_color_picker_instance_init):
	Do not set accessible name for GnomeColorPicker. Fixes bug #133200.

	* libgnomeui/gnome-messagebox.c (gnome_message_box_construct): Set
	role to ATK_ROLE_ALERT. Fixes bug #129567.

2004-02-03  Jeffrey Stedfast  <fejj@ximian.com>

	* libgnomeui/gnome-ui-init.c (libgnomeui_class_init): Don't make
	the "show-crash-dialog" property CONSTRUCT_ONLY because it can't
	be set at construct time because we don't get to parse our args
	until afterwards.

2004-02-03  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.5.4

2004-01-21  Iain <iain@prettypeople.org>

	* libgnomeui/gnome_segv.c (main): Remove the separator from the window

2004-01-21  Alexander Larsson  <alexl@redhat.com>

	* libgnomeui/gnome-icon-lookup.c (gnome_icon_lookup):
	Fix GNOME_ICON_LOOKUP_FLAGS_ALLOW_SVG_AS_THEMSELVES behaviour
	when gdk-pixbuf supports svgs.

2004-01-21  Anders Carlsson  <andersca@gnome.org>

	* libgnomeui/gnome-client.c: (gnome_client_module_info_get):
	* libgnomeui/gnome-ui-init.c: (libgnomeui_module_info_get):
	Fix translation of program arguments. 
	(#106549, patch by Hidetoshi Tajima).

2004-01-21  Alex Duggan  <aldug@astrolinux.com>

	* libgnomeui/gnome-scores.c: (gnome_scores_instance_init)
	Use a close button instead of an OK button in the gnome
	scores dialog.  Fixes #116440

2004-01-20  Fernando Herrera  <fherrera@onirica.com>

	* libgnomeui/gnome_segv.c: (main): Add a button for restarting
	the crahsed application. Hide pid and signal information
	unless GNOME_HACKER env variable is set. Rewrote texts based on
	feedback for bug #127043. Removed bugzilla url.

2004-01-19  Ross Burton  <ross@burtonini.com>

	* libgnomeui/gnome-icon-theme.c (gnome_icon_theme_finalize):
	Check that priv->gtk_theme is not NULL before unrefing it.

2004-01-18  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/libgnomeui.h: Added #include of gnome-window.h.

2004-01-18  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-app-helper.c: Handle "both-horiz" too.
	Patch from Bryan Forbes. Closes #125323.
	* libgnomeui/gnome-icon-theme.h: Merge fix for bug #119788.
	* libgnomeui/gnome-theme-parser.h:

2004-01-16  Federico Mena Quintero  <federico@ximian.com>

	Fix #124789:

	* libgnomeui/gnome-icon-item.c (gnome_icon_text_item_configure):
	Don't store the fontname, as it is ignored elsewhere anyway.
	(gnome_icon_text_item_destroy): Free the private structure.

	* libgnomeui/gnome-icon-list.c (gil_style_set): Don't pass a
	fontname parameter to gnome_icon_text_item_configure().
	(gil_realize): Don't copy the style.

2004-01-14  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.5.3

2004-01-08  David Coulthart  <davec@columbia.edu>

	* libgnomeui/gnome-authentication-manager.c (construct_full_password_dialog):
	s/gnome_keyring_is_availible/gnome_keyring_is_available/

2004-01-06  Alexander Larsson <alexl@redhat.com>

	* libgnomeui/gnome-icon-lookup.c (gnome_icon_lookup): 
	Treat image/svg+xml as svgs too.

Mon Jan 05 17:21:19 2004  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-file-entry.c: make _set_default_path work if
	  the entry field is empty.  That is, set the file selector path
	  to this.

2004-01-04  Anders Carlsson  <andersca@gnome.org>

	* libgnomeui/gnome-password-dialog.h: Remove extra comma
	in enumeration. (#130505, Franz Klammer).

2003-12-30  Anders Carlsson  <andersca@gnome.org>

	* libgnomeui/gnome-druid.c (gnome_druid_remove): 
	Handle the last page being the current page when removing it, 
	(Fixes #85675, reported by Damon Chaplin).

2003-12-29  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "hr" to ALL_LINGUAS.

2003-12-28  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.5.2

2003-12-26  Fernando Herrera  <fherrera@onirica.com>

	* glade/glade-gnome.c: Show documenters in gnome-about dialog and only show 
	translators if they exist. (Fix two typos, bugzilla #119382 and #11934).
	Patches from Jon Willeke.

2003-12-19  Alexander Larsson  <alexl@redhat.com>

	* libgnomeui/gnome-icon-lookup.h:
	Include gnome-icon-theme.h for backwards compat.

2003-12-18  Alexander Larsson  <alexl@redhat.com>

	* libgnomeui/gnome-icon-theme.c:
	Fix typo that broke build

2003-12-18  Alexander Larsson  <alexl@redhat.com>

	* libgnomeui/gnome-icon-lookup.c: 
	* libgnomeui/gnome-icon-theme.[ch]:
	Remove/Internalize some new api I accidentally added

2003-12-18  Alexander Larsson  <alexl@redhat.com>

        * doc/reference/tmpl/gnome-icon-theme.sgml:
	* doc/reference/tmpl/gnome-icon-lookup.sgml:
	Update
	
	* libgnomeui/gnome-icon-lookup.[ch]:
	Use GtkIconThemes instead, but accept GnomeIconThemes for
	backwards compat.

	* libgnomeui/gnome-icon-theme.[ch]:
	Turn into a GtkIconTheme wrapper
	
2003-12-17  Mark McLoughlin  <mark@skynet.ie>

	* libgnomeui/gnome-multiscreen.c: (make_environment_for_screen):
	Fix silly where we weren't actually setting $DISPLAY. Similar
	patch from Vijaykumar Patwari in bug #129516.

2003-12-14  Fernando Herrera  <fherrera@onirica.com>

	* configure.in: requiere gnome-vfs-2.0 >= 2.5.3 for new auth sutff

2003-12-11  Mark McLoughlin  <mark@skynet.ie>

	* libgnomeui/libgnomeui.h: include gnome-help.h
	and gnome-url.h

2003-12-10  Richard Hult  <richard@imendio.com>

	* doc/reference/Makefile.am (install-data-local): Install the
	devhelp file.

2003-12-08  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.5.1

2003-12-06  Anders Carlsson  <andersca@gnome.org>

	* libgnomeui/pixmaps/stock_attach.png:
	* libgnomeui/pixmaps/stock_book_blue.png:
	* libgnomeui/pixmaps/stock_book_green.png:
	* libgnomeui/pixmaps/stock_book_open.png:
	* libgnomeui/pixmaps/stock_book_red.png:
	* libgnomeui/pixmaps/stock_book_yellow.png:
	* libgnomeui/pixmaps/stock_line_in.png:
	* libgnomeui/pixmaps/stock_mail.png:
	* libgnomeui/pixmaps/stock_mail_compose.png:
	* libgnomeui/pixmaps/stock_mail_forward.png:
	* libgnomeui/pixmaps/stock_mail_receive.png:
	* libgnomeui/pixmaps/stock_mail_reply.png:
	* libgnomeui/pixmaps/stock_mail_send.png:
	* libgnomeui/pixmaps/stock_mic.png:
	* libgnomeui/pixmaps/stock_midi.png:
	* libgnomeui/pixmaps/stock_multiple_file.png:
	* libgnomeui/pixmaps/stock_not.png:
	* libgnomeui/pixmaps/stock_scores.png:
	* libgnomeui/pixmaps/stock_table_borders.png:
	* libgnomeui/pixmaps/stock_table_fill.png:
	* libgnomeui/pixmaps/stock_text_bulleted_list.png:
	* libgnomeui/pixmaps/stock_text_indent.png:
	* libgnomeui/pixmaps/stock_text_numbered_list.png:
	* libgnomeui/pixmaps/stock_text_unindent.png:
	* libgnomeui/pixmaps/stock_timer.png:
	* libgnomeui/pixmaps/stock_timer_stopped.png:
	* libgnomeui/pixmaps/stock_trash.png:
	* libgnomeui/pixmaps/stock_trash_full.png:
	* libgnomeui/pixmaps/stock_volume.png:
	Use new icons from Jimmac.
	
2003-12-05  Mark McLoughlin  <mark@skynet.ie>

	* libgnomeui/gnome-help.h,
	  libgnomeui/gnome-url.h,
	  libgnomeui/gnome-multiscreen.c:
	(gnome_url_show_on_screen),
	(gnome_help_display_on_screen),
	(gnome_help_display_with_doc_id_on_screen),
	(gnome_help_display_desktop_on_screen),
	(gnome_help_display_uri_on_screen): Add multi-screen
	variants of the help and url display methods.

	* libgnomeui/Makefile.am: install gnome-help.h and gnome-url.h.
	Build gnome-multiscreen.c
	
2003-12-05  Alexander Larsson  <alexl@redhat.com>

	* libgnomeui/gnome-authentication-manager.c:
	Just show, not show_all. Means we don't show
	remember checkboxes for old auth dialog.

2003-12-04  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Require gnome-keyring

	* libgnomeui/gnome-authentication-manager.c:
	Implement new gnome-vfs

2003-12-04  Alexander Larsson  <alexl@redhat.com>

	* libgnomeui/gnome-icon-lookup.c (gnome_icon_lookup):
	Fix warning.

	* libgnomeui/gnome-password-dialog.[ch]:
	Update API for stuff needed for keyring integration.

2003-11-24  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.5.0

2003-11-02  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* libgnomeui/gnome-color-picker.c: Even though this is
	deprecated, make it build with GDK_DISABLE_DEPRECATED defined.

2003-10-23  Padraig O'Briain <padraig.obriain@sun.com>

        * libgnomeui/libgnomeui.c (_add_atk_relation): Avoid leaking
        reference to AtkRelationSet.

Tue Oct 14 17:06:59 2003  Jonathan Blandford  <jrb@redhat.com>

	* libgnomeui/gnome-file-entry.h:
	* libgnomeui/gnome-icon-entry.h: undeprecate these two.  They
	don't have GTK+ equivelants yet.

Mon Oct 13 17:45:16 2003  Jonathan Blandford  <jrb@redhat.com>

	* libgnomeui/gnome-dateedit.h: undeprecate.

Mon Oct 13 17:32:40 2003  Jonathan Blandford  <jrb@redhat.com>

	* libgnomeui/gnome-window.h: deprecated
	* libgnomeui/gnome-color-picker.h: deprecated
	* libgnomeui/gnome-dateedit.h: deprecated
	* libgnomeui/gnome-dialog.h: deprecated
	* libgnomeui/gnome-entry.h: deprecated
	* libgnomeui/gnome-file-entry.h: deprecated
	* libgnomeui/gnome-font-picker.h: deprecated
	* libgnomeui/gnome-pixmap-entry.h: deprecated
	* libgnomeui/gnome-popup-menu.h: deprecated
	* libgnomeui/gnome-window.h: deprecated

2003-10-08  Mark McLoughlin  <markmc@sun.com>

	* libgnomeui/libgnomeui-access.[ch]: re-license to LGPL.
	It should never have been GPL ...

2003-10-06  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "mr" to ALL_LINGUAS.

2003-09-25  Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

	* libgnomeui/gnome-file-entry.c (browse_dialog_ok): Emit changed signal
	instead of activate signal. Bug #123203

2003-09-17  Alexander Larsson  <alexl@redhat.com>

	* libgnomeui/gnome-icon-lookup.c (gnome_icon_lookup):
	Handle vfs icons in mime info with absolute paths.

2003-09-15  Not Zed  <NotZed@Ximian.com>

	* libgnomeui/gnome-icon-list.c (real_select_icon): Only add the
	icon to the selection if it isn't already in the selected list.
	Fixes bug #122356.

2003-09-09  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.4.0.1

2003-09-01  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.4.0

2003-08-25  Anders Carlsson  <andersca@gnome.org>

	* configure.in: Release 2.3.7

2003-09-05  Taneem Ahmed  <taneem@bengalinux.org>

	* configure.in: Added "bn" to ALL_LINGUAS.

2003-09-01  Laurent Dhima  <laurenti@alblinux.net>

	* configure.in: Added "sq" to ALL_LINGUAS.
	
2003-08-11  Anders Carlsson  <andersca@codefactory.se>

	* configure.in: Release 2.3.6

2003-07-04  Anders Carlsson  <andersca@codefactory.se>

	* configure.in: Release 2.3.3.1

Fri Jul  4 04:27:42 2003  Soeren Sandmann  <sandmann@daimi.au.dk>

	* libgnomeui/gnome-app.c (gnome_app_add_toolbar): remove setting
	of border width, thus getting rid of double bevels.

2003-07-03  Anders Carlsson  <andersca@codefactory.se>

	* doc/reference/.cvsignore:
	* doc/reference/Makefile.am:
	* doc/reference/libgnomeui-docs.sgml:
	Generate xml reference docs (#111798, Matthias Clasen)

2003-07-01  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-thumbnail-pixbuf-utils.c (vfs_src): Merge
	fix for bug #114928
	* libgnomeui/gnome-ui-init.c: Merge fix for bug #111496.

2003-06-25  Thomas Vander Stichele <thomas at apestaart dot org>

        * po/az.po: removed \- which was causing msgfmt to break

2003-06-15  Anders Carlsson  <andersca@codefactory.se>

	* libgnomeui/gnome-icon-theme.c: (load_themes),
	(string_from_suffix), (suffix_from_name), (scan_directory):
	Treat files ending with ".svgz" as svg files. 
	
2003-06-05  Alexander Larsson  <alexl@redhat.com>

	* libgnomeui/gnome-thumbnail.c (gnome_thumbnail_factory_ensure_failed_uptodate):
	Avoid using uninitialized value tv.tv_sec

Wed Jun 04 15:54:18 2003  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-password-dialog.c: fix cast warning

	* libgnomeui/gnome-ui-init.c: things that are normally only
	  with HAVE_ESD were generating a warning so added #ifdef HAVE_ESD
	  around those as well.

2003-05-26  Anders Carlsson  <andersca@codefactory.se>

	* libgnomeui/gnome-file-entry.c: (browse_dialog_ok):
	Fix a warning.
	
	* libgnomeui/Makefile.am:
	* libgnomeui/gnome-authentication-manager.c:
	(construct_password_dialog),
	(present_authentication_dialog_blocking),
	(mark_callback_completed), (authentication_dialog_button_clicked),
	(authentication_dialog_closed), (authentication_dialog_destroyed),
	(present_authentication_dialog_nonblocking),
	(vfs_async_authentication_callback), (vfs_authentication_callback),
	(gnome_authentication_manager_init):
	* libgnomeui/gnome-authentication-manager.h:
	* libgnomeui/gnome-password-dialog.c:
	(gnome_password_dialog_get_type),
	(gnome_password_dialog_class_init), (gnome_password_dialog_init),
	(gnome_password_dialog_finalize), (dialog_show_callback),
	(dialog_close_callback), (add_row), (username_entry_activate),
	(gnome_password_dialog_new), (gnome_password_dialog_run_and_block),
	(gnome_password_dialog_set_username),
	(gnome_password_dialog_set_password),
	(gnome_password_dialog_set_readonly_username),
	(gnome_password_dialog_get_username),
	(gnome_password_dialog_get_password):
	* libgnomeui/gnome-password-dialog.h:
	* libgnomeui/gnome-stock-icons.c: (get_default_icons):
	* libgnomeui/gnome-stock-icons.h:
	* libgnomeui/libgnomeui.h:
	* libgnomeui/pixmaps/Makefile.am:
	* test-gnome/Makefile.am:
	* test-gnome/test-password-dialog.c: (authenticate_boink_callback),
	(exit_callback), (main):
	Add authentication callbacks, a password dialog, and a authentication
	stock icon.
	
2003-05-26  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-app.c: Merge fix for
	bug #111168 from stable.

2003-05-24  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-file-entry.c: Merge fix for
	bug #110500 from stable.
	* libgnomeui/gnome-icon-entry.c: Merge fix for
	bug #106298 from stable branch.
	* libgnomeui/gnome-icon-entry.c: Merge fix for
	bug #112651 from stable.
	* libgnomeui/gnome-color-picker.c: Merge fix for
	bug #105730 from stable.
	* libgnomeui/gnome-entry.c: Merge fix for
	bug #105388 from branch.
	* libgnomeui/gnome-ui-init.c: Fix the fix for
	bug #84778. Patch from <malcolm@commsecure.com.au>
	* libgnomeui/gnome-icon-list.c: Merge fix for
	bug #83748 from stable branch.
	* libgnomeui/gnome-app.c: Merge fix for bug #106342
	from stable branch.
	
2003-05-20  Kenneth Rohde Christiansen  <kenneth@gnu.org>

	* configure.in: Added Limburgish to ALL_LINGUAS

2003-05-19  Christian Neumair  <chris@gnome-de.org>

	* libgnomeui/gnome-ui/gnome-about.c: HIGified about dialog.

2003-05-19  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-ui-init.c: (libgnomeui_segv_handle): Merge fix
	for bug #84778 from branch.

2003-05-19  Kjartan Maraas  <kmaraas@gnome.org>

	* glade/glade-gnome.c: (icon_entry_set_max_saved):
	* libgnomeui/gnome-icon-entry.c: (gnome_icon_entry_set_max_saved):
	* libgnomeui/gnome-icon-entry.h: Patch from Jacob Berkman that
	adds an API entry point to work around another being deprecated.
	Fixes bug #79324.

2003-05-15  Jaka Mocnik  <jaka@gnu.org>

	* libgnomeui/gnome-mdi.c: fixed referencing problems. sink the object
	instead of unrefing them. patch by Ecmel Ercan. this is actually not
	a Proper(tm) fix, but it serves its purpose: finalization is done
	properly. the Right Way(tm) would be to make GnomeMDI and
	GnomeMDIChild GObject descendants, but since the MDI API is
	deprecated, I won't bother.

2003-05-13  Anders Carlsson  <andersca@codefactory.se>

	* libgnomeui/gnome-app-helper.c: Accept both-horiz here too.

2003-05-09  Telsa Gwynne  <hobbit@aloss.ukuu.org.uk>
                                                                                
        * configure.in: Added cy to ALL_LINGUAS

2003-05-08  Masahiro Sakai  <sakai@tom.sfc.keio.ac.jp>

	* configure.in: call AC_LIBTOOL_WIN32_DLL which is necessary for
	building shared library on win32 platform.

	* libgnomeui/Makefile.am (libgnomeui_2_la_LDFLAGS):
	* glade/Makefile.am (libgnome_la_LDFLAGS):
	add -no-undefined which is necessary for building shared library
	on some platforms (e.g. Win32, BeOS).

2003-05-06  Danilo Šegan  <dsegan@gmx.net>

	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

2003-05-01  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-about.c: Pass NULL to g_string_new.
	* libgnomeui/gnome-app-helper.c: Same
	* libgnomeui/gnome-client.c: Reapply Arjan's leak
	patch. And don't break it in the process this time :-)
	Fixes bug #104986.

2003-04-23  Gustavo Giraldez  <gustavo.giraldez@gmx.net>

	* libgnomeui/gnome-icon-theme.c (gnome_icon_theme_class_init):
	Set parent_class.
	(gnome_icon_theme_finalize): Chain parent_class' finalize.

2003-04-07  Mark McLoughlin  <mark@skynet.ie>

	* libgnomeui/gnome-icon-theme.c: (theme_lookup_icon):
	Merge the two seperate iterations of the theme's directory
	list into a single iteration.

2003-04-02  Loban A Rahman <loban@earthling.net>

	* libgnomeui/gnome-color-picker.h: Fixed bug #106154,
	  header misdocumentation.

2003-03-27  Anders Carlsson  <andersca@codefactory.se>

	* configure.in: Release 2.3.0

2003-03-26  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "yi" to ALL_LINGUAS.

2003-03-24  Narayana Pattipati <narayana.pattipati@wipro.com>

	*libgnomeui/gnome-file-entry.c (browse_clicked): Fix the problem
	application crash when Gnome File Selector widget's OK button is
	double clicked. Fixes bugzilla bug#104906

2003-03-19  Paul Duffy <dubhthach@frink.nuigalway.ie>

        * configure.in: Added "ga" to ALL_LINGUAS.
	
2003-03-13  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "ml" to ALL_LINGUAS.

2003-03-10  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "eo" to ALL_LINGUAS.

2003-03-09  Narayana Pattipati <narayana.pattipati@wipro.com>

	*libgnomeui/gnome-icon-entry.c (ientry_browse): Fix the problem 
	of Browse dialog(gnome-file-entry) being non-responsive to user 
	inputs. Fixes bugzilla bug#107255.
		
2003-03-08  Sebastian Rittau  <srittau@jroger.in-berlin.de>

	Documentation fixes:

	* libgnomeui/gnome-client.c (gnome_client_set_discard_command): Removed
	doc string and added a comment where the true doc string can be found.
	(Namely in the corresponding templates file.)
	* doc/reference/libgnomeui-sections.txt: Inserted *Class definitions
	in the Standard sections.
	* doc/reference/libgnomeui-docs.sgml: FIXME -> Miscellaneous Widgets

2003-03-05  Anders Carlsson  <andersca@codefactory.se>

	* libgnomeui/gnome-icon-list.c:
	Don't return FALSE in pointer functions.
	#107652, reported by Morten Welinder.
	
2003-03-04  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* libgnomeui/gnome-icon-theme.c (gnome_icon_theme_rescan_if_needed):
	* libgnomeui/gnome-thumbnail-pixbuf-utils.c (convert_cmyk_to_rgb):
	* libgnomeui/gnome-thumbnail.c (read_scripts):
	Remove unused variables to eliminate compiler warnings.

	* libgnomeui/gnome-theme-parser.c (parse_key_value):
	Initialise locale_end to some value (NULL) before use.

2003-03-02  Anders Carlsson  <andersca@codefactory.se>

	* libgnomeui/gnome-icon-lookup.c:
	(mimetype_supported_by_gdk_pixbuf), (gnome_icon_lookup):
	* libgnomeui/gnome-thumbnail.c: (mimetype_supported_by_gdk_pixbuf):
	Ask gdk-pixbuf for supported mime types, fixes #106609, reported by
	Christian Schaller.
	
2003-02-21  Roozbeh Pournader  <roozbeh@sharif.edu>

	* configure.in: Added "fa" to ALL_LINGUAS.

2003-02-13  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnome/gnome-font-picker.c
	(gnome_font_picker_label_use_font_in_label): Fix a leak.
	
2003-02-10  Mohammad DAMT  <mdamt@bisnisweb.com>

	* po/id.po: Added Indonesian translation
	* configure.in: Added "id" to ALL_LINGUAS

2003-02-09  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "kn" to ALL_LINGUAS.

2003-02-04  Anders Carlsson  <andersca@codefactory.se>

	* libgnomeui/gnome-client.c: (client_set_restart_command):
	Revert fix since it caused brokenness.
	
2003-02-01  Anders Carlsson  <andersca@codefactory.se>

	* libgnomeui/gnome-client.c (client_set_restart_command): Fix
	memory leak, patch by Arjan van de Ven, #104986.

2003-01-31  Alexander Larsson  <alexl@redhat.com>

	* libgnomeui/gnome-icon-lookup.c (gnome_icon_lookup):
	Use gnome-regular for text files if 
        GNOME_ICON_LOOKUP_FLAGS_EMBEDDING_TEXT is set. 
        This enables top-left text for nautilus.

2003-01-25  Samúel Jón Gunnarsson  <sammi@techattack.nu>

	* configure.in: Added "is" to ALL_LINUGAS.

2003-01-23  Alexander Larsson  <alexl@redhat.com>

	* configure.in (LIBGNOMEUI_AGE):
	Add EXTRAVERSION and set to .1

	* libgnomeui/Makefile.am (libgnomeui_2_la_LDFLAGS):
	Correct version number bug

2003-01-22  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "mn" to ALL_LINGUAS.

2003-01-21  Anders Carlsson  <andersca@codefactory.se>

	* configure.in: Fixup libtool versioning and release
	2.2.0

2003-01-14  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Amharic (am), Arabic (ar),
	Macedonian (mk) and Dutch (nl) to ALL_LINGUAS.

2003-01-14  Alexander Larsson  <alexl@redhat.com>

	* libgnomeui/gnome-icon-theme.c (theme_lookup_icon):
	Don't scale up unless we have to. Scaling down gives
	much better results.

2003-01-12  Anders Carlsson  <andersca@gnu.org>

	* libgnomeui/gnome-uidefs.h (GNOME_KEY_MOD_PAUSE_GAME): Use
	GDK_Pause as the pause key. #92358.

2003-01-08  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 2.1.90

2003-01-08  Anders Carlsson  <andersca@codefactory.se>

	* libgnomeui/gnome-app-helper.c:
	(gnome_app_install_statusbar_menu_hints):
	Apply fix for #102812, by Tom Ball.
	
	* libgnomeui/gnome-popup-menu.c: 
	(gnome_popup_menu_do_popup_modal):
	Apply fix for #96899, by Erwann Chenede.
	
2003-01-07  Alexander Larsson  <alexl@redhat.com>

	* libgnomeui/gnome-icon-theme.c:
	Revert the change that made "gnome" a default theme.
	This needs some more thought, but I think its right for now.
	
2003-01-07  Alexander Larsson  <alexl@redhat.com>

	* libgnomeui/gnome-thumbnail.c:
	Move thumbnail config to gconf.

2003-01-06  Arvind Samptur <arvind.samptur@wipro.com>
	* libgnomeui/gnome-icon-entry.c:
	(gnome_icon_entry_instance_init) Don't set the modality
	for file entry. 

2002-12-24  Sebastian Rittau  <srittau@jroger.in-berlin.de>

	* libgnomeui/gnome-app.c (gnome_app_class_init): Make app_id a
	construct time property as well. Fixes problem exhibited when using
	toolbars.

2002-12-19  Alexander Larsson  <alexl@redhat.com>

	* libgnomeui/gnome-icon-theme.c (load_themes):
	Always load icons from the "gnome" theme.

2002-12-16  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 2.1.5

2002-12-09  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 2.1.4

2002-12-06  Alexander Larsson  <alexl@redhat.com>

	* libgnomeui/gnome-icon-theme.c:
	The fallback theme is called "hicolor" in the latest spec.

2002-12-02  Glynn Foster  <glynn.foster@sun.com>

	* libgnomeui/gnome-href.c: (gnome_href_clicked): Update for a nicer
	string. Should fix #99907.

2002-11-28  Glynn Foster  <glynn.foster@sun.com>

	* libgnomeui/gnome-href.c: (gnome_href_clicked): Change reference
	of Control Center to Preferred Applications.

2002-11-27  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 2.1.3

	* libgnomeui/gnome-stock-icons.h: Include gtkstock.h.
	#97429, reported by Ettore Perazzoli.

2002-11-23  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* configure.in: Fix gtk-doc version detection.

2002-11-22  Pasupathi Duraisamy <pasupathi.duraisamy@wipro.com>

	* libgnomeui/gnome-font-picker.c:
	(gnome_font_picker_label_use_font_in_label): Modify only the font style
	without changing other style properties. Fixes Bug#93214.

2002-11-19  Alexander Larsson  <alexl@redhat.com>

	* libgnomeui/gnome-vfs-util.c (gnome_gdk_pixbuf_new_from_uri):
	Always close loader when done. Correctly handle EOF.

2002-11-10  Ole Laursen  <olau@hardworking.dk>

	* configure.in: Added da to the list in ALL_LINGUAS. Too bad I
	first discovered this now.

2002-11-10  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* doc/reference/Makefile.am:
	Include stock icon images.

	* doc/reference/libgnomeui-docs.sgml:
	Put id attributes on all the sections.

	* doc/reference/tmpl/gnome-dialog.sgml,
	* doc/reference/tmpl/gnome-popup-menu.sgml,
	* doc/reference/tmpl/gnome-stock-icons.sgml,
	* libgnomeui/gnome-app.c:
	Documentation updates.

2002-11-09  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* doc/reference/Makefile.am:
	Don't scan libgnomeui-access.h; it's only for internal use.

	* doc/reference/tmpl/libgnomeui-access.sgml: Removed.

	* doc/reference/libgnomeui-docs.sgml,
	* doc/reference/libgnomeui-sections.txt:
	Reordered some sections.

	* doc/reference/tmpl/gnome-dialog.sgml,
	* doc/reference/tmpl/gnome-messagebox.sgml,
	* doc/reference/tmpl/gnome-propertybox.sgml,
	* doc/reference/tmpl/gnome-uidefs.sgml,
	* libgnomeui/gnome-dialog.c,
	* libgnomeui/gnome-dialog.h,
	* libgnomeui/gnome-messagebox.h,
	* libgnomeui/gnome-propertybox.c,
	* libgnomeui/gnome-propertybox.h:
	Documentation updates.

2002-11-08  Deepa Natarajan  <deepa.natarajan@wipro.com>

	* libgnomeui/gnome-about.c: Removed mnemonics for "Written by",
	"Documented by" and "Translated by" notebook tabs which show up
	in the about dialog. Fixes bug# 96699.

2002-11-08  Malcolm Tredinnick <malcolm@commsecure.com.au>

	A small pile of fixes to make the API docs build without
	warnings and to include all of the new thumbnail and theme
	stuff.

	* doc/reference/tmpl/gnome-icon-lookup.sgml,
	* doc/reference/tmpl/gnome-icon-theme.sgml,
	* doc/reference/tmpl/gnome-theme-parse.sgml,
	* doc/reference/tmpl/gnome-thumbnail.sgml:
	New files.

	* doc/reference/tmpl/gnome-typebuiltins.sgml:
	Add some type functions that come with the new functionality.

	* doc/reference/libgnomeui-docs.sgml,
	* doc/reference/libgnomeui-sections.txt:
	Update to include the new icon, theme and thumbnail files.

	* doc/reference/tmpl/gnome-app-helper.sgml:
	Fix the descriptions of L_() and D_().

	* doc/reference/tmpl/gnome-icon-list.sgml:
	Remove a private structure from public view.

	* doc/reference/.cvsignore:
	Ignore some new files generated by gtk-doc.

	* libgnomeui/gnome-popup-menu.c:
	Add missing documentation.

	* libgnomeui/gnome-about.c,
	* libgnomeui/gnome-icon-lookup.c:
	Fix some doc comments.

	* libgnomeui/gnome-icon-lookup.h,
	* libgnomeui/gnome-thumbnail.h:
	Remove trailing comma from last item in an enum. It is not
	portable and it also makes gtk-doc explode.

	* libgnomeui/gnome-theme-parser.h:
	Move some comments to before a typedef definition to avoid a
	gtk-doc error. Will document this typedef properly later.

2002-11-03  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS

2002-11-01  Dennis Cranston <dennis_cranston@yahoo.com>

	* images/gnome-about-logo.png:  Replace about logo
	with the GNOME 2.x image.  Fixes #95764.

2002-11-01  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 2.1.2

2002-10-24  Alexander Larsson  <alexl@redhat.com>

	* libgnomeui/gnome-icon-theme.c:
	Fix memory leaks.

2002-10-16  James Willcox  <jwillcox@gnome.org>

	* libgnomeui/gnome-icon-lookup.c: (get_icon_name):
	Make it so you can get the icon for a directory, even if
	there is no GnomeVFSFileInfo available.

2002-10-15  Paolo Maggi  <maggi@athena.polito.it>

	* libgnomeui/gnome-entry.c (gnome_entry_save_history): save the list in
	the right way, i.e. not reversed

2002-10-15  Anders Carlsson  <andersca@gnu.org>

	* configure.in (LIBGNOMEUI_COMPONENTS_CFLAGS): Require pango 1.1.2

	* libgnomeui/gnome-icon-item.c (update_pango_layout): Use 
	PANGO_WRAP_WORD_CHAR.

2002-10-14  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release libgnomeui 2.1.1

2002-10-08  Paolo Maggi  <maggi@athena.polito.it>

	* libgnomeui/gnome-entry.h: removed duplicated gnome_entry_get_history_id
	entry

	* libgnomeui/gnome-entry.c (entry_activated): don't save the history, it is
	already saved by gnome_entry_prepend_history
	(gnome_entry_set_history_id: added documentation and a warning in the case
	the user tries to modify an already existing id
	(gnome_entry_get_history_id)(gnome_entry_set_max_saved): fixed doc
	(gnome_entry_add_history): remove duplicates and save the history list if
	needed
	(gnome_entry_prepend_history)(gnome_entry_append_history): fixed doc,
	check parameters
	(gnome_entry_load_history)(gnome_entry_save_history): s/g_assert/g_return_if_fail
	(gnome_entry_clear_history): fixed doc, save the history list

	Bug #91780 fixed.
	Bug #87377 partially fixed.

2002-10-09  Dave Camp  <dave@ximian.com>

	* libgnomeui/gnome-druid.c (gnome_druid_instance_init): Grab the
	focus on the next button rather than just setting the HAS_FOCUS
	flag.

2002-10-10  Alexander Larsson  <alexl@redhat.com>

	* libgnomeui/gnome-thumbnail.c (gnome_thumbnail_factory_ensure_uptodate):
	Fix shortcut to avoid stat:ing thumbnail dir a lot.

	* libgnomeui/gnome-icon-theme.c (gnome_icon_theme_rescan_if_needed):
	Implement rescanning

2002-10-04  Vladimir Vukicevic  <vladimir@pobox.com>

	* libgnomeui/gnome-ui-init.c (libgnomeui_segv_setup): don't reset
	signals to SIG_DFL if do_crash_dialog is false, leave them
	as-is.

2002-10-08  Alexander Larsson  <alexl@redhat.com>

	* libgnomeui/gnome-thumbnail-pixbuf-utils.c (_gnome_thumbnail_load_scaled_jpeg):
	Handle CMYK jpegs.

2002-10-04  Alexander Larsson  <alexl@redhat.com>

	* libgnomeui/gnome-icon-theme.c (gnome_icon_theme_list_icons):
	g_strdup() the returned strings, since they can change when
	we implement rescanning.

2002-09-27  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 2.1.0

2002-09-27  Alexander Larsson  <alexl@redhat.com>
	
	* configure.in:
	Bump version to 2.1.0
	
2002-09-27  Alexander Larsson  <alexl@redhat.com>

	* acconfig.h:
	Look for libjpeg
	
	* libgnomeui/Makefile.am:
	* libgnomeui/gnome-icon-lookup.[ch]:
	* libgnomeui/gnome-icon-theme.[ch]:
	* libgnomeui/gnome-thumbnail-pixbuf-utils.c:
	* libgnomeui/gnome-thumbnail.[ch]:
	* libgnomeui/gnome-theme-parser.[ch]:
	New code.
	
	* libgnomeui/libgnomeui.h:
	Add includes
	
	* tests/Makefile.am:
	* tests/test-icon-theme.c:
	Small testcase

2002-09-25  Anders Carlsson  <andersca@gnu.org>

	* libgnomeui/gnome-client.c (client_save_yourself_callback): 
	Use GTK_TYPE_INVISIBLE instead of GTK_TYPE_WIDGET.

2002-09-04  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 2.0.5

2002-09-04  Marius Andreiana <mandreiana@yahoo.com>

	* configure.in: added 'ro' to ALL_LINGUAS

2002-08-28  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 2.0.4

2002-08-26  Padraig O'Briain <padraig.obriain@sun.com>

	* libgnomeui/gnome-icon-list.c (impl_initialize): Allow for
	accessible object not being a GtkAccessible.

2002-08-20  Peteris Krisjanis <peteris.krisjanis@os.lv>

	* configure.in (ALL_LINGUAS): Added Latvian (lv) language support.

2002-08-16  Michael Meeks  <michael@ximian.com>

	* configure.in: print out whether we configured
	using esd or not.

2002-08-14  Michael Meeks  <michael@ximian.com>

	* libgnomeui/gnome-ui-init.c
	(setup_event_listener): pre-load level & split out of
	(initialize_gtk_signal_relay): here, update
	this to only init the relay, and only do it once.
	(event_sounds_changed_cb): do an init if we get
	turned on, use both enable_esd and event_sounds.
	(relay_gtk_signal): init esd if neccessary here,
	rather than at every program init.

2002-08-06  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 2.0.3

2002-08-06  Arvind Samptur <arvind.samptur@wipro.com>

	* libgnomeui/gnome-icon-entry.c (entry_activated) (icon_selected_cb):
	The icon to be loaded is picked up from the  file entry widget
	instead of icon selection widget. Fixes 87599.

2002-08-05  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 2.0.2

2002-08-03  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-app-helper.c: Fix up translation of
	Help->Contents menu entry. (Zbigniew Chyla)
	
2002-07-29  Dave Camp  <dave@ximian.com>

	* libgnomeui/gnome-icon-item.c: (send_focus_event): #ifed out the
	bogus assertion.
	(realize_cursor_gc): Use black as the default instead of red.
	(gnome_icon_text_item_draw): Draw with the correct text color
	if editing.

2002-07-27  James Henstridge  <james@daa.com.au>

	* glade/glade-gnome.c (about_set_translator_credits): handle
	translator_credits.
	(about_set_documentors): add "documentors" handler.

2002-07-25  Federico Mena Quintero  <federico@ximian.com>

	* libgnomeui/gnome-file-entry.c (browse_clicked): Do not add a
	grab.  Call gtk_window_set_modal() before showing the window.  Set
	the file selection dialog to be a transient of the toplevel window
	of the file entry.  Fixes the libgnomeui part of #88849.

Fri Jul 19 03:14:27 2002  Kristian Rietveld  <kris@gtk.org>

	* glade/glade-gnome.c (dialog_build_children): free label,
	(app_build): free s.

2002-07-16  Anders Carlsson  <andersca@gnu.org>

	* libgnomeui/Makefile.am:
	* libgnomeui/gnome-ui-init.c: (libgnomeui_segv_handle):
	* libgnomeui/libgnomeui-2.0.pc.in:
	Move gnome2_segv into libexec.
	
2002-07-16  Rajkumar Sivasamy <rajkumar.siva@wipro.com>

	* gnome-app-helper.c: Removed the ellipses for "Properties" and 
	"Preferences" menu items. Fixes #88325

2002-06-27  Yanko Kaneti <yaneti@declera.com>

	* configure.in: (ALL_LINGUAS) Added Bulgarian (bg).

2002-06-25  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: check for gtk-2.1.x and define
	HAVE_GTK_MULTIHEAD instead of checking for
	specific functions.

	* libgnomeui/gnome-client.c: (client_set_restart_command):
	use HAVE_GTK_MULTIHEAD and
	s/gdk_get_default_display/gdk_display_get_default/

2002-06-10  Malcolm Tredinnick <malcolm@commsecure.com.au>
	
	* libgnomeui/gnome-app-helper.c: Translate the word "Contents"
	  in the libgnomeui domain (i.e. correctly).

2002-06-10  Naba Kumar <kh_naba@users.sourceforge.net>

	* configure.in: Added hi in ALL_LINGUAS

2002-06-10  Malcolm Tredinnick <malcolm@commsecure.com.au>
	* doc/reference/libgnomeui-docs.sgml:
	  Make a miscellaneous section to aid the reading of said document.

	* doc/reference/libgnomeui-sections.txt:
	  Hide a few more functions.

	* doc/reference/tmpl/gnome-druid-page-edge.sgml,
	  doc/reference/tmpl/gnome-druid-page-standard.sgml,
	  doc/reference/tmpl/gnome-druid-page.sgml,
	  doc/reference/tmpl/gnome-druid.sgml,
	  libgnomeui/gnome-druid-page-edge.c,
	  libgnomeui/gnome-druid-page-edge.h,
	  libgnomeui/gnome-druid-page-standard.c,
	  libgnomeui/gnome-druid-page-standard.h,
	  libgnomeui/gnome-druid-page.c,
	  libgnomeui/gnome-druid.c:
	  All the druid stuff should now make approximate sense.
	  
	* doc/reference/tmpl/gnome-href.sgml:
	  I think gtk-doc just hates me and changes files at random sometimes.

	* libgnomeui/gnome-druid-page-standard.h:
	  Removed useless declaration of gnome_druid_page_standard_construct().

2002-06-07  Anders Carlsson  <andersca@gnu.org>

	* Release 2.0.0

2002-06-07  Malcolm Tredinnick <malcolm@commsecure.com.au>
	* libgnomeui/Makefile.am: Fix the last commit by balancing the
	  quotes.  It builds again now.

2002-06-06  Anders Carlsson  <andersca@gnu.org>

	* configure.in:
	* libgnomeui/Makefile.am:
	Change localedir definition. (#83633, Hidetoshi Tajima)
	
2002-06-05  Bastien Nocera  <hadess@hadess.net>

	* libgnomeui/gnome-app-helper.h: fix macro problem when using
	GNOMEUIINFO_HELP in a C++ program, casting away constness is
	not implicit in C++ (Closes: 83916)

2002-06-05  Malcolm Tredinnick <malcolm@commsecure.com.au>
	* doc/reference/libgnomeui-docs.sgml,
	doc/reference/libgnomeui-sections.txt,
	doc/reference/tmpl/gnome-app-helper.sgml,
	doc/reference/tmpl/gnome-window.sgml,
	libgnomeui/gnome-app-helper.c,
	libgnomeui/gnome-app-helper.h,
	libgnomeui/gnome-window.c: Document gnome-app-helper,
	gnome-window and start on the druid stuff (well, wrote the
	introduction, at least).

2002-06-04  Abel Cheung  <maddog@linux.org.hk>

	* libgnomeui/gnome-scores.c (gnome_scores_construct): Modify
	translation comment on strftime format.

2002-06-03  Federico Mena Quintero  <federico@ximian.com>

	* libgnomeui/gnome-ui-init.c (relay_gtk_signal): See whether the
	user has selected to make noises for events or not.
	(initialize_gtk_signal_relay): Add a notification handler for the
	event_sounds key.  Fixes #81442.

2002-06-02  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "ca" to ALL_LINGUAS again. Updated and fixed
	ca.po is added.

2002-06-02  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* doc/reference/tmpl/gnome-client.sgml,
	  libgnomeui/gnome-client.c,
	  doc/reference/tmpl/gnome-ui-init.sgml,
	  libgnomeui/gnome-ui-init.c,
	  doc/reference/tmpl/gnome-appbar.sgml,
	  libgnomeui/gnome-appbar.c
	  libgnomeui/gnome-app.c,
	  doc/reference/tmpl/gnome-app.sgml: API documentation updates.

	* doc/reference/libgnomeui-docs.sgml: One can never reorder this
	  file too many times in the search for perfection (or even
	  comprehensibility).
	
	* doc/reference/libgnomeui-sections.txt: Moved a few things into
	  private sections, get rid of the gconf entries. Just a general
	  casualty of running gtk-doc a few times, really, but I want to
	  pretend it was all intentional.

	* doc/reference/Makefile.am: Don't bother scanning
	  gnome-gconf-ui.h; it's just for internal use.

	* doc/reference/tmpl/gnome-gconf-ui.sgml: Removed.


2002-06-01  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* doc/reference/Makefile.am: Add GNOME_DISABLE_DEPRECATED guards
	  into the scanning.

	* doc/reference/libgnomeui-docs.sgml: Add an object hierarchy
	  diagram and begin to order the sections in some sane fashion.

	* doc/reference/libgnomui-sections.txt: Put *Private classes
	  into the private subsection. Add in the introspected parameter
	  documentation for the widgets.

	* doc/reference/tmpl/gnome-about.sgml, libgnomeui/gnome-about.c:
	  Document the GnomeAbout widget. One down, a few hundred to go.
	  This is sooo not fun.
	
	* doc/reference/tmpl/.cvsignore: Ignore *-unused.sgml.

	* doc/reference/tmpl/libgnomeui-unused.sgml: Removed.

2002-05-31  Federico Mena Quintero  <federico@ximian.com>

	* libgnomeui/gnome-ui-init.c (relay_gtk_signal): Last part of the
	patch by Frederic Crozat <fcrozat@mandrakesoft.com>.  Changes the
	prefix of sample IDs to "gtk-events-2".

2002-05-31  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* libgnomeui/gnome-app-helper.c, gnome-app-helper.h,
	gnome-client.c, gnome-client.h, gnome-color-picker.c,
	gnome-dateedit.c, gnome-dialog-util.c, gnome-dialog.c,
	gnome-dialog.h, gnome-druid-page-edge.c,
	gnome-druid-page-edge.h, gnome-druid-page-standard.h,
	gnome-druid-page.c, gnome-druid.c, gnome-entry.c,
	gnome-file-entry.c, gnome-href.c, gnome-icon-entry.c,
	gnome-icon-list.c, gnome-icon-list.h, gnome-icon-sel.c,
	gnome-mdi-session.h, gnome-messagebox.c, gnome-messagebox.h,
	gnome-pixmap-entry.c, gnome-pixmap-entry.h, gnome-popup-menu.c,
	gnome-scores.c, gnome-scores.h, gnome-ui-init.c, gnome-window.h:
	Lots of little changes to the API documentation comments (adding
	parameters, removing old no-long-existing parameters, matching
	variable names between function declarations and definitions).
	This makes the API docs, such as they are, now build with 250
	less warnings so that we can detect the real problems.

	* doc/reference/tmpl/gnome-about.sgml, gnome-app-helper.sgml,
	gnome-client.sgml, gnome-dialog.sgml,
	gnome-druid-page-edge.sgml, gnome-druid-page-standard.sgml,
	gnome-gconf-ui.sgml, gnome-href.sgml, gnome-icon-item.sgml,
	gnome-icon-list.sgml, gnome-marshal.sgml,
	gnome-mdi-session.sgml, gnome-messagebox.sgml,
	gnome-pixmap-entry.sgml, gnome-scores.sgml, gnome-uidefs.sgml,
	gnome-window-icon.sgml, gnome-window.sgml, gnome.sgml,
	gnometypebuiltins.sgml, libgnomeui-access.sgml,
	libgnomeui-unused.sgml: Changed template files as a result of
	all the above fixes.

	* doc/reference/libgnomeui-docs.sgml: Remove gnome-macros.sgml
	template, since it's not used any longer.

	* doc/reference/tmpl/gnome-macros.sgml: Removed. Obsolete.

	* doc/reference/libgnomeui-sections.txt: A much more complete
	version of this file. Still not ordered correctly, though.

2002-05-30  Kristian Rietveld  <kris@gtk.org>

	* glade/glade-gnome.c (gnome_add_dock_item): set the behavior of the
	dock item.

2002-05-27  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 1.117.2

2002-05-26  Jacob Berkman  <jacob@ximian.com>

	* configure.in (ALL_LINGUAS): remove ca, it broke the build

2002-05-25  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added "ca" to the languages list.

2002-05-23  Federico Mena Quintero  <federico@ximian.com>

	* libgnomeui/gnome-icon-entry.c (entry_activated): Set the
	priv->picked_file if we have a full filename so that update_icon
	will pick it up.  Fixes #82681.

2002-05-22  Federico Mena Quintero  <federico@ximian.com>

	[Falta ver qué pasa con "activate" en el entry del GnomeFileEntry,
	porque emite esa señal cuando dan double-click en el file selector
	o pican OK]

	* libgnomeui/gnome-icon-entry.c (browse_clicked): Connect to
	"changed" on the selection of the file selector's file list; this
	widget is no longer a GtkCList and thus we don't have a
	"select_row" signal anymore.  Fixes bug #82681.

2002-05-22  Federico Mena Quintero  <federico@ximian.com>

	* libgnomeui/gnome-file-entry.c (build_filename): Append a "/" to
	the filename if we are in directory mode or if the file actually
	exists and is a directory.  This will make the GtkFileSelection
	look in the directory "/foo/bar/baz/" rather than thinking that we
	want to look in "/foo/bar" and put "baz" in the filename entry
	box.  Fixes bug #74319.

2002-05-16  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=81442
	* libgnomeui/gnome-ui-init.c (initialize_gtk_signal_relay) : part of
	  Frederic's patch.

Tue May 21 19:09:39 2002  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-file-entry.c: make sure not to set the file
	  selection to NULL

2002-05-14  Balamurali Viswanathan  <balamurali.viswanathan@wipro.com>

	Fixes #81150 (patch integrated by Federico Mena Quintero
	<federico@ximian.com>).

	* configure.in: Check for new functions in gtk
	* libgnomeui/gnome-client.c (client_set_restart_command): Save the
	screen number in restart command 

2002-05-21  Federico Mena Quintero  <federico@ximian.com>

	Accessibility support for libgnomeui, by several people at Ximian.

	* libgnomeui/libgnomeui-access.[ch]: New files with utility
	functions for accessibility.

	* libgnomeui/Makefile.am (libgnomeui_2_la_SOURCES): Added
	libgnomeui-access.[ch].

	* libgnomeui/gnome-color-picker.c
	(gnome_color_picker_instance_init): Added ATK name/description.

	* libgnomeui/gnome-dateedit.c (create_children): Added ATK
	name/description/relations.

	* libgnomeui/gnome-file-entry.c (gnome_file_entry_init): Added ATK
	name/description/relation.

	* libgnomeui/gnome-href.c (gnome_href_instance_init): Added ATK
	name/description.

	* libgnomeui/gnome-icon-entry.c (ientry_browse): Added ATK
	name/description.
	(gnome_icon_entry_instance_init): Likewise.

	* libgnomeui/gnome-icon-list.c: Implemented accessibility
	interfaces for the icon list widget.

	* libgnomeui/gnome-icon-sel.c (gnome_icon_selection_show_icons):
	Added ATK relation.

	* libgnomeui/gnome-pixmap-entry.c (refresh_preview): Added ATK
	name/description.

Mon May 20 17:07:42 2002  George Lebl <jirka@5z.com>

	* configure.in: add cs to languages

2002-05-20  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 1.117.1

2002-05-17  Anders Carlsson  <andersca@gnu.org>

	* libgnomeui/gnome-icon-item.c: (gnome_icon_text_item_draw):
	Draw focus correctly.
	
	* libgnomeui/gnome-icon-list.c: 
	Select the first item on focus-in, also make cursor handling a bit
	more sane. Fixes #81142, reported by Glynn Foster.
	
2002-05-17  Mark McLoughlin  <mark@skynet.ie>

	* libgnomeui/gnome-ui-init.c: (libgnomeui_rc_parse): since
	this is called after gtk_rc_init, we need to parse the
	rc files instead of adding them to the list of files
	gtk_rc_init parses. Also removed FIXME, that I think this
	fixes.

Wed May 15 20:30:14 2002  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-file-entry.c: remove dnd dest from the gtk entry and
	  setup dest on the whole file entry.  Also parse the uri list
	  differently, we can't use _is_local since it's not what I thought
	  it meant when I originally wrote this code.  So that for example
	  drops from applications:// won't work since we can so far only
	  handle files.  Also this will remove the drag_data_received from
	  being called twice because we set dest twice, etc...

	* libgnomeui/gnome-pixmap-entry.c: since the drag dest is now bound
	  on the  whole file entry and we derive from it remove it from here

	* libgnomeui/gnome-icon-entry.c: parse the uri list in the same way
	  we do for file entry now, so that we work correctly.  We really
	  need at least a little bit of vfs support so that we could snarf
	  icons out of desktop files from the vfolders.

2002-05-15  Federico Mena Quintero  <federico@ximian.com>

	* libgnomeui/gnome-icon-item.c (update_pango_layout): Use
	PANGO_WRAP_WORD most of the time, until we get a word that is
	wider than the layout width.  In this case, switch to
	PANGO_WRAP_CHAR.  Fixes #78508 in a semi-ugly way, but currently
	PangoLayout provides no other way to do this.

	* libgnomeui/gnome-icon-list.c (gil_get_items_per_line): Do a
	slightly better computation of how many icons fit in a row, by
	remembering that there are DEFAULT_COL_SPACING pixels between the
	icons and each of the left/right edges of the window.

2002-05-14  Michael Meeks  <michael@ximian.com>

	* libgnomeui/gnome-app-helper.c: 
	(create_and_popup_toolbar_menu): update string, argh,
	tolerate odd gconf key values.
	(toolbar_styles): correctly terminate the gconf enum.
	(per_app_toolbar_style_changed_notify),
	(create_and_popup_toolbar_menu),
	(toolbar_style_changed_notify),
	(gnome_app_setup_toolbar): repair all cut and paste in
	here so we don't SEGV on bogus gconf key values, isn't
	gconf enum handling great :-)

2002-05-13  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 1.117.0

2002-05-10  Glynn Foster  <glynn.foster@sun.com>

	* libgnomeui/gnome-app-helper.c: Give the help item 
	hints.

2002-05-08  Glynn Foster  <glynn.foster@sun.com>

	* libgnomeui/gnome-appbar.c: (gnome_appbar_constructor):
	s/-/_ for the gconf keys.

2002-05-08  Paolo Maggi  <maggi@athena.polito.it>

	* libgnomeui/gnome-app-helper.c (create_help_entries):
	use setup_image_menu_item to setup the icon of the 
	"Contents" menu item

Tue May 07 22:55:14 2002  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-file-entry.c, libgnomeui/gnome-entry.c: do a bit
	  of cut and pasting from GtkEntry to fix up the GtkEditable
	  implementation of the file entry and the entry.  (the
	  do_insert_text and do_delete_text impls).  Fixes bad crashes
	  when you wish to use insert_text or delete text on these widgets.

2002-05-07  Paolo Maggi  <maggi@athena.polito.it>

	* libgnomeui/gnome-app-helper.c:
	* libgnomeui/gnome-uidefs.h: now gnome stock menus should be
	HIG compliant

	* libgnomeui/gnome-app-helper.c (create_help_entries): added 
	an icon and an accellerator to the "Contents" menu item

2002-05-06  Anders Carlsson  <andersca@gnu.org>

	* libgnomeui/gnome-app-helper.c: (create_and_popup_toolbar_menu):
	Fix a typo and make the wording a bit better.
	
2002-05-03  Glynn Foster  <glynn.foster@sun.com>

	* libgnomeui/gnome-app-helper.c: (scale_pixbuf), 
	(create_pixmap): New function to scale pixmaps if they 
	are greater than the GtkIconSize requested.

2002-05-01  Anders Carlsson  <andersca@gnu.org>

	* libgnomeui/gnome-icon-list.c (gnome_icon_list_clear): Set
	focus_icon to -1 to prevent segfaults. 
	Fixes #80391. (Reported by Peter Bloomfield).

2002-04-29  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 1.116.1

	* libgnomeui/gnome-app.c: define BONOBO_UI_INTERNAL.

2002-04-29  jacob berkman  <jacob@ximian.com>

	* libgnomeui/gnome-app-helper.h (GNOMEUIINFO_MENU_EXIT_ITEM):
	un-deprecate as this broke stuff

2002-04-29  Anders Carlsson  <andersca@gnu.org>

	* Release 1.116.0

	* libgnomeui/gnome-app-helper.c:
	(menus_have_tearoff_changed_notify), (gnome_app_fill_menu_custom):
	* libgnomeui/gnome-app.c: (remove_notification_cb),
	(dock_item_changed_notify), (setup_notification_for_dock_item),
	(gnome_app_set_menus), (gnome_app_add_toolbar),
	(gnome_app_add_docked):
	* libgnomeui/gnome-icon-item.c: (iti_draw_cursor),
	(gnome_icon_text_item_draw):
	Add support for toggling the tear-off menus and wether menu bars
	can be detachable on-the-fly.
	
2002-04-29  Anders Carlsson  <andersca@gnu.org>

	* libgnomeui/gnome-dateedit.c: (gnome_date_edit_mnemonic_activate),
	(gnome_date_edit_class_init):
	* libgnomeui/gnome-entry.c: (gnome_entry_mnemonic_activate),
	(gnome_entry_class_init):
	* libgnomeui/gnome-file-entry.c:
	(gnome_file_entry_mnemonic_activate),
	(gnome_file_entry_class_init):
	* libgnomeui/gnome-icon-entry.c: (gnome_icon_entry_class_init),
	(delete_event_handler), (ientry_mnemonic_activate):
	Connect to ::mnemonic_activate so that mnemonic activation will work
	for the entries. Fixes #78941.
	
2002-04-29  Glynn Foster  <glynn.foster@sun.com>

	* libgnomeui/gnome-app-helper.c: Change to use the HIG
	  recommendation of Quit instead of Exit.
	* libgnomeui/gnome-app-helper.h: Add compatibility defines
	  for above changes.
	* libgnomeui/gnome-uidefs.h:  Add compatibility defines for
	  above changes.
	* libgnomeui/gnome-appbar.c: (gnome_appbar_get_response): 
	  Remove an g_return_val_if_fail which is not needed.

2002-04-27  Simos Xenitellis  <simos@hellug.gr>

	* configure.in: Added Greek (el) to ALL_LINGUAS. 

2002-04-26  Bill Nottingham <notting@redhat.com>

	* libgnomeui/gnome-font-picker.h: fix spelling in comments

2002-04-25  Jody Goldberg <jody@gnome.org>

	* libgnomeui/gnome-app-helper.c (toolbar_styles) : add BOTH_HORIZ.
	(create_and_popup_toolbar_menu) : ditto.

2002-04-18  Murray Cumming  <murrayc@usa.net>

	* glade/glade-gnome.c: Fixed use of GladeWidgetInfo "class" field
	name now that libglade no longer uses that reserved C++ keyword.
	
2002-04-23  Jody Goldberg <jody@gnome.org>

	* libgnomeui/gnome-file-entry.c (browse_clicked) : suppress warning on
	  blank.

2002-04-22  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 1.115.0

Fri Apr 19 16:26:41 2002  George Lebl <jirka@5z.com>

	* test-gnome/testgnome.c: add more testing functionality for
	  gnome-icon-entry so that we may test monitoring of changes and
	  getting icons and all that fun stuff.

2002-04-19  jacob berkman  <jacob@ximian.com>

	* glade/glade-gnome.c (entry_set_max_saved): 
	(file_entry_set_max_saved):
	(icon_entry_set_max_saved): handle the max_saved property

	fixes bug #73747

2002-04-17  Federico Mena Quintero  <federico@ximian.com>

	* libgnomeui/gnome-about.c (gnome_about_display_credits_dialog):
	Add mnemonics to the notebook tab labels.

2002-04-17  Federico Mena Quintero  <federico@ximian.com>

	* libgnomeui/gnome-icon-list.c
	(gnome_icon_list_set_icon_data_full):
	s/GtkDestroyNotify/GDestroyNotify.

2002-04-16  Richard Kinder <r_kinder@yahoo.com>

	* libgnomeui/gnome-mdi.c (copy_ui_info_tree): remove bogus
	g_malloc check.

2002-04-15  Richard Hult  <rhult@codefactory.se>

	* libgnomeui/gnome-href.c (gnome_href_style_set): Remove debug
	output.
	(gnome_href_clicked): Destroy the dialog after it's dismissed.

2002-04-14  Abigail Brady  <morwen@evilmagic.org>

	* configure.in: Added en_GB.

2002-04-09  Jeroen Zwartepoorte  <jeroen@xs4all.nl>

	* libgnomeui/gnome-dateedit.c: (gnome_date_edit_class_init): Removed
	unused widget_class variable.

2002-04-08  Wayne Schuller  <k_wayne@linuxpower.org>
 
 	* libgnomeui/gnome-file-entry.c: (gnome_file_entry_init): 
	Give the browse button an accelerator. Fixes #77416

2002-04-08  Wayne Schuller  <k_wayne@linuxpower.org>

	* libgnomeui/gnome-entry.c: (gnome_entry_load_history): 
	Free the key. http://bugzilla.gnome.org/show_bug.cgi?id=74788

2002-04-04  jacob berkman  <jacob@ximian.com>

	* libgnomeui/gnome-app-helper.c (create_help_entries): just create
	1 entry which shows the table on contents
	(help_view_display_callback): display our help file
	(quote_string):
	(get_toc_location):
	(get_best_toc_location):
	(get_topics): kill unused functions

	fixes #73312, based on patch from Satyajit Kanungo
	<satyajit.kanungo@wipro.com>
	
2002-04-04  Anders Carlsson  <andersca@gnu.org>

	* libgnomeui/gnome-icon-sel.c: Remove debugging output.

2002-04-03  Gustavo Maciel Dias Vieira  <gdvieira@zaz.com.br>

	* configure.in (ALL_LINGUAS): Added pt_BR.

2002-03-30  Anders Carlsson  <andersca@gnu.org>

	* Release 1.114.0

2002-03-29  Mark McLoughlin  <mark@skynet.ie>

	* libgnomeui/gnome-pixmap-entry.c:
	(gnome_pixmap_entry_class_init): set the property methods
	before installing properties to avoid warnings.

2002-03-25  jacob berkman  <jacob@ximian.com>

	* libgnomeui/gnome-gconf-ui.c: (error_idle_func): set the default
	reponse for the dialog and add a bevel around the TextView

2002-03-22  Richard Hult  <rhult@codefactory.se>
 
 	* libgnomeui/gnome-dateedit.c (gnome_date_edit_class_init):
 	Override grab_focus.
 	(grab_focus): Grab focus on the entry.
 	(gnome_date_edit_instance_init): Set GTK_CAN_FOCUS flag. These
 	changes make GnomeDateEdit work as a target for mnemonic
 	activation.

2002-03-22  Havoc Pennington  <hp@pobox.com>

	* libgnomeui/gnome-gconf-ui.c (_gnomeui_gconf_lazy_init): remove
	unused call to gconf_init().
	(error_idle_func): consider NO_WRITABLE_DATABASE to also mean 
	"setting is locked down"

Thu Mar 21 16:47:55 2002  Owen Taylor  <otaylor@redhat.com>

        * libgnomeui/gnome-dateedit.c (select_clicked): 
	Fix grabbing so that:
	
	 - it grabs the keyboard to the window, not just the mouse
	 - it handles failure, and doesn't leave a window up
	   with no grab.
	 - it grabs before popping up the window. (Not really
	   needed here because we pop up on button release, but 
	   generally a good thing.)
	
	* libgnomeui/gnome-dateedit.c (hide_popup): Don't
	need to ungrab the pointer, since hiding a window
	automatically ungrabs.
	
2002-03-20  Cody Russell  <cody@jhu.edu>

	* libgnomeui/gnome-icon-list.c: Fix a warning that appears with
	gcc 3.1 in real_move_cursor().

2002-03-18  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Up to 1.113.0.

2002-03-18  Zbigniew Chyla  <cyba@gnome.pl>

	* libgnomeui/gnome_segv.c (main):
	g_strsignal returns UTF-8 string, don't try to convert it again.

2002-03-13  Michael Meeks  <michael@ximian.com>

	* libgnomeui/gnome-ui-init.c
	(gnome_gtk_module_info_get): chain on to
	libbonoboui, for bin-compat.
	(libgnomeui_module_info_get): prune the
	requirements & depend on libbonoboui

2002-03-10  Changwoo Ryu  <cwryu@debian.org>

	* configure.in: Added 'ko' to ALL_LINGUAS.

2002-03-06  Paolo Maggi  <maggi@athena.polito.it>

	* libgnomeui/gnome-font-picker.c (gnome_font_picker_update_font_info):
	fix mem leak (bug #72976)
	(gnome_font_picker_get_font_name): memleak

2002-03-05  Iain <iain@ximian.com>

	* libgnomeui/gnome-ui-init.c (relay_gtk_signal): Wrap relay_gtk_signal
	in #ifdef HAVE_ESD so that it compiles with -Werror and HAVE_ESD not
	defined

2002-03-05  Christian Meyer  <chrisime@gnome.org>

	* configure.in: Added 'de' to ALL_LINGUAS.

2002-03-04  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Up to 1.112.1

Sat Mar  2 19:50:24 2002  Owen Taylor  <otaylor@redhat.com>

	* configure.in: Add $X_LIBS into $SM_LIBS since we no
	longer inherit them from GTK+.

2002-03-02  Tõivo Leedjärv  <leedjarv@interest.ee>

	* configure.in: Added et to ALL_LINGUAS.

2002-02-27  Johan Dahlin^W^WAnders Carlsson <andersca@gnu.org

	* libgnomeui/libgnomeui.h: include gnome-icon-item.h

2002-02-26  Richard Hult  <rhult@codefactory.se>

	* libgnomeui/gnome-dateedit.c (select_clicked): Don't #if 0 the
	grab, otherwise we can't close the popup without selecting a
	date, and the code to handle Escape won't work either.
	(create_children): Don't set vertical size request to 0! Change to
	-1. 
	Use OUT shadow. IN looks really weird here.
	(position_popup): Get the width/height from the allocation instead
	of trying to get it from the window size (which doesn't work
	because GtkButton is NO_WINDOW now).

2002-02-25  Darin Adler  <darin@bentspoon.com>

	* configure.in: Call ourselves libgnomeui, not gnome-libs.

2002-02-23  Havoc Pennington  <hp@pobox.com>

	* libgnomeui/gnome-file-entry.c (gnome_file_entry_class_init):
	fill in set_property/get_property prior to installing properties
	so glib won't whine.

2002-02-23  Jody Goldberg <jody@gnome.org>

	* libgnomeui/gnome-uidefs.h : Use lower case for the stock accelerator
	  keys.

	* test-gnome/testgnome.c (helper_file_menu) : Use some STOCK items
	  too.  These illustrate the current accelerator breakage.

	* libgnomeui/gnome-app-helper.h : constify the label and hint.

2002-02-22  Murray Cumming  <murrayc@usa.net>

	* Renamed GnomeIconList::select_all default signal handler
	to unused, and removed the signals enum SELECT_ALL value, because
	there is no such signal in GnomeIconList.
	* Changed gnome_icon_text_item_focus() and 
	gnome_icon_text_item_select() args from int to gboolean.
	
2002-02-22  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-app-helper.c: Remove unsupported #ifdef ENABLE_NLS.
	
2002-02-21  Federico Mena Quintero  <federico@ximian.com>

	* libgnomeui/gnome-dialog.c: Use
	g_signal_* and g_object_* instead of gtk_signal_* and
	gtk_object_*, respectively.
	* libgnomeui/gnome-dateedit.c: Likewise.
	* libgnomeui/gnome-color-picker.c: Likewise.
	* libgnomeui/gnome-client.c: Likewise.
	* libgnomeui/gnome-appbar.c: Likewise.
	* libgnomeui/gnome-app-util.c: Likewise.
	* libgnomeui/gnome-app-helper.c: Likewise.
	* libgnomeui/gnome-dialog-util.c: Likewise.
	* libgnomeui/gnome-druid.c: Likewise.
	* libgnomeui/gnome-druid-page.c: Likewise.
	* libgnomeui/gnome-entry.c: Likewise.

	* libgnomeui/gnome-file-entry.c: Likewise.

	* libgnomeui/gnome-font-picker.c: Likewise.

	* libgnomeui/gnome-gconf-ui.c: Likewise.
	* libgnomeui/gnome-href.c: Likewise.

	* libgnomeui/gnome-ice.c: Likewise.
	* libgnomeui/gnome-icon-entry.c: Likewise.

	* libgnomeui/gnome-icon-item.c: Likewise.

	* libgnomeui/gnome-icon-list.c: Likewise.
	* libgnomeui/gnome-mdi.c: Likewise.

	* libgnomeui/gnome-mdi-child.c: Likewise.
	* libgnomeui/gnome-mdi-generic-child.c: Likewise.

	* libgnomeui/gnome-pixmap-entry.c: Likewise.
	* libgnomeui/gnome-popup-menu.c: Likewise.

	* libgnomeui/gnome-propertybox.c: Likewise.

	* libgnomeui/gnome-scores.c: Likewise.

	* glade/glade-gnome.c: Likewise.

	* test-gnome/testgnome.c: Likewise.

	* libgnomeui/gnome-appbar.c (gnome_appbar_get_progress): Return a
	GtkProgressBar, not a deprecated GtkProgress.
	(gnome_appbar_constructor): gtk_widget_set_usize() ->
	gtk_widget_set_size_request().

	* libgnomeui/gnome-color-picker.c
	(gnome_color_picker_instance_init): gtk_drawing_area_size() ->
	gtk_widget_set_size_request().
	(cs_ok_clicked): Use the new color selection API.
	(gnome_color_picker_clicked): Likewise.
	(gnome_color_picker_set_d): gtk_widget_draw() -> gtk_widget_queue_draw().
	(gnome_color_picker_set_i8): Likewise.
	(gnome_color_picker_set_i16): Likewise.
	(gnome_color_picker_set_dither): Likewise.
	(gnome_color_picker_set_use_alpha): Likewise.

	* libgnomeui/gnome-dateedit.c (position_popup): Use
	gtk_widget_set_uposition() -> gtk_window_move().
	(create_children): gtk_widget_set_usize() ->
	gtk_widget_set_size_request().  gtk_entry_new_with_max_length() ->
	gtk_entry_new() with gtk_entry_set_max_length().
	gtk_window_set_policy() -> gtk_window_set_resizable().

	* libgnomeui/gnome-dialog.c (gnome_dialog_init):
	gtk_window_set_policy() -> gtk_window_set_resizable().
	(gnome_dialog_set_parent): gtk_widget_set_uposition() ->
	gtk_window_move().

	* libgnomeui/gnome-entry.c (set_combo_items): Re-create the list
	of items for the combo and use gtk_combo_set_popdown_strings().
	We cannot longer use the GtkList deprecated functions.
	(gnome_entry_add_history): Keep the items list in the same order
	as specified, and use set_combo_items() instead of inserting the
	item string directly into the GtkCombo list.

	* libgnomeui/gnome-file-entry.c (browse_clicked):
	gtk_widget_set_uposition() -> gtk_window_move().

	* libgnomeui/gnome-font-picker.c: Be stricter in what we don't
	compile when building with GTK_DISABLE_DEPRECATED.
	(gnome_font_picker_fi_set_use_font_in_label):
	gtk_widget_restore_default_style() -> gtk_widget_set_style().

	* libgnomeui/gnome-href.c (gnome_href_get_text): gtk_label_get()
	-> gtk_label_get_text().

	* libgnomeui/gnome-messagebox.c (gnome_message_box_construct):
	gtk_widget_set_usize() -> gtk_widget_set_size_request().

	* libgnomeui/gnome-mdi.c (book_button_release):
	gtk_widget_set_usize() -> gtk_widget_set_size_request().
	(app_create): Removed unneeded gtk_window_set_policy().
	(gnome_mdi_set_mode): gtk_widget_set_usize() ->
	gtk_widget_set_size_request().

	* libgnomeui/gnome-mdi-generic-child.c: Be stricter in what we
	don't compile when building with GTK_DISABLE_DEPRECATED.

	* libgnomeui/gnome-mdi-session.c (restore_window_child):
	gtk_widget_set_usize() -> gtk_window_set_default_size().
	gtk_widget_set_uposition() -> gtk_window_move().
	(restore_window): Likewise.

	* libgnomeui/gnome-popup-menu.c (relay_popup_button_pressed):
	Don't leak the list of the container's children.

	* libgnomeui/gnome-propertybox.c (dialog_clicked_cb):
	gtk_notebook_current_page() -> gtk_notebook_get_current_page().

	* libgnomeui/gnome-icon-entry.c (browse_clicked):
	gtk_widget_set_usize() -> gtk_widget_set_size_request().
	(ientry_browse): Removed unused gtk_window_set_policy().
	(gnome_icon_entry_instance_init): gtk_widget_set_usize() ->
	gtk_widget_set_size_request().

	* libgnomeui/gnome-icon-item.c (iti_start_editing):
	set_uposition() -> window_move().
	(gnome_icon_text_item_draw): gtk_draw_focus() ->
	gtk_paint_focus().

	* libgnomeui/gnome-icon-sel.c
	(gnome_icon_selection_instance_init): usize() -> size_request().
	(load_idle_func): progress_bar_update() -> progress_bar_set_fraction().

2002-02-19  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 1.112.0

2002-02-17  Zbigniew Chyla  <cyba@gnome.pl>

	* configure.in (ALL_LINGUAS): Added pl (Polish).

2002-02-16  Gediminas Paulauskas <menesis@delfi.lt>

	* libgnomeui/libgnomeui-2.0.pc.in: replace
	@GNOME_INTERFACE_VERSION@ (nowhere defined) with 2.
	* configure.in: remove GNOME_COMMON_INIT, GNOME_PLATFORM_GNOME_2
	macros, fix warning macro to match latest gnome-common.

2002-02-13  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Up to 1.111.1

2002-02-11  Federico Mena Quintero  <federico@ximian.com>

	* libgnomeui/gnome-appbar.c (entry_insert_text_cb): Use
	g_signal_stop_emission_by_name().
	(entry_activate_cb): Use g_signal_emit().
	(gnome_appbar_refresh): Use gtk_editable_set_editable().
	(gnome_appbar_refresh): Use gtk_editable_set_position().
	(gnome_appbar_set_progress_percentage): Use
	gtk_progress_bar_set_fraction().

	* libgnomeui/gnome-app-util.c (gnome_app_flash): Use
	g_signal_connect().
	(reply_clear_prompt_cb): Use
	g_signal_handlers_disconnect_by_func().
	(gnome_app_set_progress): Use gtk_progress_bar_set_fraction().
	(gnome_app_progress_done): Use g_signal_handler_disconnect().

	* libgnomeui/gnome-app-helper.c
	(install_menuitem_hint_to_statusbar): Use g_signal_connect() and
	g_object_set_data().
	(create_help_entries): Use g_object_set_data_full().
	(do_ui_signal_connect): Use g_signal_connect_full().

	* libgnomeui/gnome-app.c (gnome_app_set_contents): use
	g_signal_connect().

2002-02-11  Federico Mena Quintero  <federico@ximian.com>

	* libgnomeui/gnome-app-util.c (ack_clear_prompt_cb): Use
	g_signal_handlers_disconnect_by_func().
	(gnome_app_message_bar): Use g_signal_connect().
	(remove_message_timeout): Use g_signal_handler_disconnect().

	* libgnomeui/gnome-app-helper.c (showing_pixmaps_changed_notify):
	Use g_object_get_data().
	(remove_notify_cb): Likewise.
	(setup_image_menu_item): Use g_object_set_data().
	(setup_image_menu_item): Use g_object_set_data_full().
	(setup_image_menu_item): Use g_signal_connect().
	(put_hint_in_statusbar): Use g_object_get_data().
	(put_hint_in_appbar): Likewise.
	(create_menu_item): No need to use
	gtk_check_menu_item_set_show_toggle(), which is deprecated and
	silly anyways.
	(help_view_display_callback): Use g_object_get_data().
	(create_help_entries): Use g_signal_connect_closure_by_id().

	* libgnomeui/gnome-app.c (gnome_app_instance_init): Use
	g_signal_connect().
	(gnome_app_destroy): Use g_object_unref().
	(contents_parent_set): Use g_signal_handlers_disconnect_by_func().
	(gnome_app_set_menus): Use g_object_get_data().
	(gnome_app_add_toolbar): Likewise.
	(gnome_app_add_dock_item): Use g_signal_emit_by_name().

2002-02-11  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 1.111.0

2002-02-11  Richard Hult  <rhult@codefactory.se>

	* libgnomeui/gnome-about.c: Escape strings before using them in
	markup.

2002-02-10  Cody Russell  <bratsche@gnome.org>

	* libgnomeui/gnome-dateedit.c: Fixed a warning.

2002-02-10  Cody Russell  <bratsche@gnome.org>

	* libgnomeui/gnome-about.c: Fixed a bug in
	set_value_array_from_list().  Pass &tmp_value instead of &value.

2002-02-11  Anders Carlsson  <andersca@gnu.org>

	* images/gnome-about-logo.png: Add.

	* images/Makefile.am (pixmapdir): add gnome-about-logo.png

2002-02-10  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Add check for bind_textdomain_codeset.

2002-02-10  Pauli Virtanen  <ptvirtan@cc.hut.fi>

	* configure.in (ALL_LINGUAS): Added "fi" (Finnish).

2002-02-09  Gediminas Paulauskas <menesis@delfi.lt>

	* configure.in (ALL_LINGUAS): add Lithuanian

2002-02-08  Mark McLoughlin  <mark@skynet.ie>

	* gnome-ui-init.c:
	(libgnomeui_post_args_parse): fix leak.

	* libgnomeui.h: include gnome-window-icon.h, poor
	forgotten thing.

2002-02-05  Federico Mena Quintero  <federico@ximian.com>

	* libgnomeui/gnome-about.c (gnome_about_instance_init): Nullify
	the initial fields.

2002-02-05  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Release 1.110.1

2002-02-01  Dave Camp  <dave@ximian.com>

	* libgnomeui/gnome-icon-item.c: (realize_cursor_gc),
	(gnome_icon_text_item_realize), (gnome_icon_text_item_unrealize),
	(iti_draw_cursor) : New functions to handle creating and drawing a
	cursor with the right GC.
	(iti_start_editing): Call realize_cursor_gc if the canvas is
	realized.
	(gnome_icon_text_item_draw): Call iti_draw_cursor.
	(gnome_icon_text_item_destroy): New function.
	(gnome_icon_text_item_class_init): Initialize destroy, realize,
	and unrealize.

2002-02-01  Dave Camp  <dave@ximian.com>

	* configure.in: Bump the version number to 1.110.1.

	* libgnomeui/gnome-icon-item.c: Added editing support based on the
	NautilusIconTextItem object in nautilus.
	(draw_pixbuf_aa), (gnome_icon_text_item_render),
	(iti_entry_activate), (iti_handle_arrow_key_event),
	(get_layout_index), (iti_selection_motion),
	(iti_entry_text_changed_by_clipboard),
	(iti_start_selecting), (iti_stop_selecting),
	(iti_ensure_focus), (send_focus_event),
	(gnome_icon_text_item_get_editable): New functions.
	(update_pango_layout): If editing, use the GtkEntry's text instead
	of the item's text.
	(gnome_icon_text_item_event), (iti_start_editing),
	(iti_stop_editing), (iti_edition_accept): Implemented.
	(gnome_icon_text_item_draw): Draw the selection if text is selected,
	and draw text with the text_gc instead of fg_gc.
	(gnome_icon_text_item_class_init): Initialize the render member.
	(gnome_icon_text_item_configure):  Stop editing here.
	(gnome_icon_text_item_get_text): Return the text in the entry if
	the item is editing.
	(gnome_icon_text_item_start_editing): Call iti_ensure_focus instead
	of gnome_canvas_item_grab_focus.
	(recompute_bounding_box): Use gnome_canvas_item_i2w and
	gnome_canvase_w3c_d to simplify the operation, and only ask for
	a bounding box big enough to display the text size.

	* libgnomeui/gnome-icon-item.h: Added a create_entry virtual
	function and removed one of the padding items, and added
	gnome_icon_text_item_get_editable().

	* libgnomeui/gnome-icon-list.c: (selection_one_icon_event),
	(selection_many_icon_event): Save the editing icon and
	don't try to process events meant for the editing widget.

2002-01-31  Federico Mena Quintero  <federico@ximian.com>

	* libgnomeui/gnome-icon-list.c (real_move_cursor): Fixed
	off-by-one error; you could not focus the last icon in the list by
	pressing the Right arrow key.  Removed some ifdefed code.

2002-01-29  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Up version to 1.110.0

2002-01-28  Szabolcs Ban  <shooby@gnome.hu>

	* configure.in: Added Hungarian. I hope this
        will not break anything :)))...

2002-01-28  Ross Golder  <ross@golder.org>

	* configure.in: Updated popt URL.

2002-01-25  Darin Adler  <darin@bentspoon.com>

	* libgnomeui/gnome-app-helper.c: Remove unused include <ctype.h>.
	* libgnomeui/gnome-dateedit.c: (gnome_date_edit_get_time): Use
	g_ascii_isdigit instead of isdigit and remove include of <ctype.h>.
	* libgnomeui/gnome-font-picker.c: Remove unused include <ctype.h>.

2002-01-23  Laszlo Peter  <laca@ireland.sun.com>

	* libgnomeui/gnome-client.c: use g_get_prgname() instead of
	program_invocation.*_name.

2002-01-21  Rodrigo Moya <rodrigo@gnome-db.org>

	* ChangeLog: merged all ChangeLog's into a single file

2002-01-20 Hasbullah Bin Pit <sebol@ikhlas.com>

        * ms.po: Updated Malay translation.

2002-01-17  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomeui/gnome-about.c: removed unneeded '#define _ ...', already
	defined in bonobo-i18n.h

2002-01-16  Richard Hult  <rhult@codefactory.se>

	* libgnomeui/gnome-app-helper.c (gnome_app_setup_toolbar): Remove unused
	variable.

	* libgnomeui/gnome-about.c (gnome_about_free_person_list): Fix build.

2002-01-16  Anders Carlsson  <set EMAIL_ADDRESS environment variable>

	reviewed by: <delete if not using a buddy>

	* doc/reference/tmpl/gnome-file-entry.sgml:

2002-01-16  Anders Carlsson  <andersca@gnu.org>

	* libgnomeui/gnome-about.c:
	Make the about box a bit nicer.

	* libgnomeui/gnome-app-helper.c: (setup_image_menu_item),
	(gnome_app_fill_menu_custom), (gnome_app_create_menus_custom),
	(per_app_toolbar_style_changed_notify),
	(toolbar_style_changed_notify), (style_menu_item_activated),
	(global_menu_item_activated), (create_and_popup_toolbar_menu),
	(button_press), (gnome_app_setup_toolbar):
	Update for new gconf schemas.

	* libgnomeui/gnome-app.c: (gnome_app_instance_init), (gnome_app_set_menus),
	(gnome_app_set_toolbar):
	Update for new gconf schemas.


2002-01-15  Mark McLoughlin  <mark@skynet.ie>

	* libgnomeui/gnome-druid.c: (undefault_button): kill unused.

2002-01-15  Jody Goldberg <jody@gnome.org>

	* libgnomeui/gnome-app-helper.c (create_toolbar_item) : toggle items should use
	  "clicked" in gtk-1.3.

2002-01-14  jacob berkman  <jacob@ximian.com>

	* libgnomeui/gnome-druid-page-edge.c (struct _GnomeDruidPageEdgePrivate):
	remove canvas items and replace with widgets
	(gnome_druid_page_edge_instance_init): dupicate layout of
	GnomeDruidPageStandard - don't use the canvas
	(gnome_druid_page_edge_construct): just call various setting
	functions
	(gnome_druid_page_edge_configure_canvas):
	(gnome_druid_page_edge_setup): remove
	(gnome_druid_page_edge_set_color): set the color like in
	GnomeDruidPageStandard - use the theme
	(gnome_druid_page_edge_set_*): rewrite all color things to use the
	widgets
	(gnome_druid_page_edge_style_set):
	(gnome_druid_page_edge_realize): update the color for themes

	* libgnomeui/gnome-druid-page-standard.c
	(gnome_druid_page_standard_instance_init): redo with a different
	layout.  use a GtkTable rather than a GtkLayout - makes things
	much simpler, not lockup when shown, and fix RTL layout
	(gnome_druid_page_standard_get_property): fix memory leaks with
	boxed properties
	(gnome_druid_page_standard_set_property): remove redundant
	notifies
	(gnome_druid_page_standard_set_*): simplify the color setting code
	(gnome_druid_page_standard_set_color): simplify and update for new
	layout

	* libgnomeui/gnome-druid.c (gnome_druid_instance_init): pack the button in a
	bbox rather than placing them manually (fixes RTL issues)
	(gnome_druid_destroy): destroy the bbox rather than individual
	buttons
	(gnome_druid_size_request): #if 0 out the old layout, and size
	request the bbox
	(gnome_druid_size_allocate): same
	(gnome_druid_map): map the bbox rather than individual buttons
	(gnome_druid_add): same
	(gnome_druid_forall):
	(gnome_druid_expose): same sort of thing
	(gnome_druid_set_show_help): fix a typo such that this actually
	works correctly

Fri Jan 11 20:36:01 2002  Owen Taylor  <otaylor@redhat.com>

	* libgnomeui/gnome-app.h gnome-client.h: Fix gboolean : 1 uses. (gboolean
	is signed!)

2002-01-14  Stanislav Visnovsky  <visnovsky@nenya.ms.mff.cuni.cz>

	* configure.in: added 'sk' to ALL_LINGUAS.

2002-01-13  Murray Cumming  <murrayc@usa.net>

	* libgnomeui/gnome-app-helper.cc: gnome_app_find_menu_pos() was
 	not working, due to a faulty optimisation. I'm not sure what
 	changed since gnome-libs 1.2, but the problem is solved by
 	removing the optimisation. This fixes gnome_app_insert_menus(),
 	which uses it.

2002-01-12 Hasbullah Bin Pit <sebol@ikhlas.com>

	* configure.in: added ms in ALL_LINGUAS

2002-01-10  jacob berkman  <jacob@ximian.com>

	* libgnomeui/gnome-dialog.c (gnome_dialog_init_action_area): use END layout
	like GtkDialog, remove FIXME

2002-01-08  jacob berkman  <jacob@ximian.com>

	* libgnomeui/gnome-dialog.c (gnome_dialog_init): remove declaration of 'bf'

2002-01-08  Richard Hestilow  <hestilow@ximian.com>

	* libgnomeui/gnome-ui-init.c: Re-added gtk+/sound event bridge code.

2002-01-08  Richard Hestilow  <hestilow@ximian.com>

	* configure.in: Check for ESD.

	* acconfig.h: Declare HAVE_ESD, HAVE_LIBAUDIOFILE.

2002-01-07  jacob berkman  <jacob@ximian.com>

	* libgnomeui/gnome-druid-page-standard.c
	(gnome_druid_page_standard_size_allocate): remove
	(gnome_druid_page_standard_class_init): remove size allocate
	handler

	* libgnomeui/gnome-dialog.c (gnome_dialog_init): remove the bevel border to
	be consistent with GtkDialog

2002-01-04  Laszlo Peter <laca@ireland.sun.com>

	* doc/reference/Makefile.am: pass CFLAGS and LDFLAGS to the gtk-doc
	scan program

2002-01-04  Duarte Loreto <happyguy_pt@hotmail.com>

        * gnome-dateedit.c: Fixed a small i18n glitch

2002-01-04  Duarte Loreto <happyguy_pt@hotmail.com>

        * configure.in: Added Portuguese (pt) to ALL_LINGUAS

2001-12-28  jacob berkman  <jacob@ximian.com>

	* libgnomeui/gnome-vfs-util.h: gnome-vfs-types.h is deprecated, use
	gnome-vfs-result.h

	* libgnomeui/gnome-dateedit.c (create_children): set expand to true for the
	arrow, such that when time display is off it is properly centered
	in the button

2001-12-28  jacob berkman  <jacob@ximian.com>

	* glade/glade-gnome.c: don't include libgnomeuiP.h any more

	* glade/glade-gnome.c: sigh, forgot to commit fixes for
	de-privatization of GnomeDialog


2001-12-27  jacob berkman  <jacob@ximian.com>

	* libgnomeui/gnome-font-picker.c
	(gnome_font_picker_fi_set_use_font_in_label): remove workaround as
	it has been fixed in gtk
	(gnome_font_picker_fi_set_use_font_in_label): work around for gtk
	bug #67598

	* libgnomeui/gnome-font-picker.c (gnome_font_picker_set_preview_text): don't
	free/dup the text if it is the same (pointer) as our current text
	(gnome_font_picker_set_font_name): ditto

	* libgnomeui/gnome-dateedit.c (fill_time_popup): set the menu on the
	optionmenu after populating it to workaround bug #66969
	(day_selected): gtk_calendar_get_date() already returns month in
	the 0-11 range
	(select_clicked): gtk_calendar_select_month() expects month to be
	in the 0-11 range, while g_date_get_month() is 1-12.

	* libgnomeui/libgnomeuiP.h: remove _GnomeDialogPrivate struct.

	* libgnomeui/gnome-dialog.h (struct _GnomeDialog): revert the privatization,
	as we are deprecated anyway
	* libgnomeui/gnome-dialog.c: fix to work without ->_priv

Wed Dec 26 17:56:25 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-scroes.c, gnome-dateedit.c: the output of strftime is
	  not in utf8 so convert it

	* libgnomeui/gnome-pixmap-entry.c: a bit of cleanup and remove race where
	  you could get two preview frames if you pressed the browse
	  button twice

	* libgnomeui/gnome-scores.c: when setting font use pango, we can't use
	  gdk_fontset_load as that's deprecated, and this is non-deprecated
	  api.

	* libgnomeui/Makefile.am, gnome-about.c, gnome-app-helper.c, gnome-app-util.c,
	  gnome-color-picker.c, gnome-dateedit.c, gnome-dialog.c,
	  gnome-druid-page-edge.c, gnome-druid-page-standard.c,
	  gnome-file-entry.c, gnome-href.c, gnome-ice.c, gnome-icon-entry.c,
	  gnome-icon-list.c, gnome-icon-sel.c, gnome-pixmap-entry.c,
	  gnome-pixmap.c, gnome-scores.c, gnome-stock-icons.c,
	  gnome-vfs-util.c:  Compile with G_DISABLE_DEPRECATED,
	  GDK_DISABLE_DEPRECATED and GDK_PIXBUF_DISABLE_DEPRECATED, yay!

Wed Dec 26 14:34:14 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-icon-list.c: When appending a file it could happen that
	  there was no icon loaded, so deal with icon->image being NULL
	  without crashing and all that bad stuff.

Sat Dec 22 23:29:15 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-icon-list.c: do a little bit of removing the use of
	  deprecated gtk methods.  Probably because I was bored.

2001-12-23  Takayuki KUSANO  <AE5T-KSN@asahi-net.or.jp>

	* configure.in: Added "ja" to ALL_LINGUAS.

2001-12-21  jacob berkman  <jacob@ximian.com>

	* libgnomeui/gnome_segv.c (main): export an env var to tell bug-buddy that we
	are a gnome 2 app.

2001-12-21  Mark McLoughlin  <mark@skynet.ie>

	* libgnomeui/gnome-entry.c: (build_gconf_key): escape app_id before
	using it in the gconf key.

2001-12-19  jacob berkman  <jacob@ximian.com>

	* libgnomeui/gnome-stock-icons.h (GNOME_STOCK_PIXMAP_SCORES): define to
	GNOME_STOCK_SCORES

2001-12-18  jacob berkman  <jacob@ximian.com>

	* doc/reference/libgnomeui.hierarchy: remove generated file

	* doc/reference/tmpl/*: letting gtk-doc do its thing

	* doc/reference/Makefile.am: make it build docs on our objects

	* doc/reference/libgnomeui.types: include instantiable types

	* doc/reference/Makefile.am (scan-build.stamp): run gtkdoc-scangobj
	rather than gtkdoc-scanobj

2001-12-14  jacob berkman  <jacob@ximian.com>

	* libgnomeui/Makefile.am: another attempt at generated files fixage

Fri Dec 14 16:24:04 2001  Jonathan Blandford  <jrb@redhat.com>

	* libgnomeui/libgnomeui.schemas: remove half-backed schema here.

	* libgnomeui/gnome-app-helper.c (setup_image_menu_item): change schema key.

2001-12-14  Josh Barrow  <drleary@mac.com>

	* libgnomeui/Makefile.am:
	Removed references to libgnomeui.schemas.  It no longer lives
	here.

2001-12-14  Anders Carlsson  <andersca@gnu.org>

	* libgnomeui/Makefile.am: Fix marshal build.

2001-12-14  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Up version, disable tests/
	until it works with srcdir!=builddir.

2001-12-13  Darin Adler  <darin@bentspoon.com>

	* test-gnome/.cvsignore: Ignore test-iconlist.

2001-12-13  Darin Adler  <darin@bentspoon.com>

	* libgnomeui/.cvsignore: Ignore the generated marshal files.

2001-12-13  Darin Adler  <darin@bentspoon.com>

	* acconfig.h:
	* configure.in:
	Add GNOME_DEBUG_CHECK.

2001-12-12  James Henstridge  <james@daa.com.au>

	* glade/glade-gnome.c (app_build_children): correctly handle
	internal children in GnomeApps.
	(gnome_add_dock_item): use gtk_widget_get_ancestor() instead of
	glade_xml_get_toplevel() now that app_build_children is working.

2001-12-11  jacob berkman  <jacob@ximian.com>

	* libgnomeui/gnome-mdi.c (gnome_mdi_class_init): use our private marshaller,
	and not the libgnome one

2001-12-11  Ettore Perazzoli  <ettore@ximian.com>

	* libgnomeui/Makefile.am: Add `gnome-marshal-main.c' to `BUILT_SOURCES'.

2001-12-10  jacob berkman  <jacob@ximian.com>

	* libgnomeui/Makefile.am (gnome-marshal-main.c): add an explicit dep here
	because automake sucks

2001-12-10  jacob berkman  <jacob@ximian.com>

	* tests/Makefile.am: there is no
	test-libglade-gnome-noupgrade.glade

2001-12-10  Yanko Kaneti  <yaneti@declera.com>

	* libgnomeui/libgnomeui.schemas: (menus/show-icons) fix default value

Sun Dec 09 14:24:57 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-icon-entry.c: don't use the deprecated _gtk_entry method
	  internally even. (it's kind of hypocritical of a widget to use
	  it's own deprecated api)

Sun Dec 09 14:15:01 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-dialog.c, gnome-messagebox.c: Contrary to popular belief,
	  va_list is not a pointer and certainly not a string vector.  Use
	  the constructv method in the messagebox and don't check for
	  nullness of va_list in gnome_dialog_construct.

Sun Dec 09 14:04:22 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-popup-menu.c, gnome-app.c:
	  s/gtk_accel_group_unref/g_object_unref/ to avoid using deprecated
	  macro and a warning

2001-12-10  Kristian Rietveld  <kris@gtk.org>

	* libgnomeui/gnome-dialog.c (gnome_dialog_constructv): don't append
	buttons when buttons == NULL

2001-12-10  jacob berkman  <jacob@ximian.com>

	* tests/test-libglade-gnome-noupgrade.c (main): test
	libglade-convert --noupgrade

	* glade/glade-gnome.c (gnome_add_dock_item): fix dock item
	placement

	* glade/glade-gnome.c: accept more values for boolean true

2001-12-09  Kristian Rietveld  <kris@gtk.org>

	* libgnomeui/gnome-dialog.c (gnome_dialog_construct): don't append
	buttons when ap == NULL

2001-12-08  Rodrigo Moya <rodrigo@gnome-db.org>

	* glade/glade-gnome.c (app_build_children):
	* libgnomeui/gnome-messagebox.c: removed unused variable

	* libgnomeui/gnome-ui-init.c: #include gtkaccelmap.h to avoid
	warnings

2001-12-08  Murray Cumming  <murrayc@usa.net>

	* libgnomeui/gnome-font-picker.h: font_set default signal
	handler's char* arg corrected to  const char*.

2001-12-08  James Henstridge  <james@daa.com.au>

	* libgnomeui/gnome-app-helper.c (create_label): make the accel label
	use_underline, so that we have an underline.
	(create_menu_item): get rid of keyval arg to create_label, and
	don't bother setting up the uline.
	(create_help_entries): same here.
	(setup_uline_accel): remove useless function (not needed since
	addition of mnemonic support).
	(gtk_menu_ensure_uline_accel_group): remove this as well.
	(create_menu_item): remove the uline_accels argument, as it is
	useless.  It is still in the public APIs.

2001-12-08  Glynn Foster  <glynn.foster@sun.com>

	* libgnomeui/Makefile.am: Build fix.

2001-12-08  ERDI Gergo  <cactus@cactus.rulez.org>

	* libgnomeui/gnome-ui-init.c (libgnomeui_segv_handle):
	* libgnomeui/gnome-client.c (gnome_client_new_without_connection):
	* libgnomeui/gnome-app.c (gnome_app_class_init): use g_get_prgname () instead
	of program_invocation_name

2001-12-08  James Henstridge  <james@daa.com.au>

	* libgnomeui/gnome-appbar.c (gnome_appbar_constructor): _priv->interactivity
	is a member of the enum.  When deciding on whether to make the
	status bar a label or entry, we want to check _priv->interactive.

	* libgnomeui/gnome-ui-init.c (libgnomeui_post_args_parse): looks like the
	accelerator loading code got lost at some point.  Adding it back
	here, using gtk_accel_map_load().

	* libgnomeui/gnome-app-helper.c (create_menu_item): get rid of the
	GtkItemFactory call.  Accel saving/changing no longer needs to go
	through the item factory code.
	(gnome_app_fill_menu_custom): if the menu shell is a GtkMenu, make
	sure it knows what accel group to use for dynamic accelerator
	changing.

2001-12-08  Anders Carlsson  <andersca@gnu.org>

	* libgnomeui/gnome-marshal-main.c: Add file which includes gnome-marshal.[ch].

2001-12-07  jacob berkman  <jacob@ximian.com>

	* libgnomeui/gnome-druid-page-standard.c
	(gnome_druid_page_standard_class_init): make it build for people
	with -Werror, and subsequently break for people who want to run it

	* libgnomeui/gnome-dateedit.c (create_children): add a forward decl

	* libgnomeui/gnome-messagebox.c (gnome_message_box_construct): make public
	and fix some bugs

	* libgnomeui/gnome-mdi-session.c (gnome_mdi_save_state): fix reference to
	BonoboDockLayout

	* libgnomeui/gnome-icon-list.c (gnome_icon_list_constructor): don't call the
	canvas functions until here, since they will not be available
	until after the object has been constructed

	* libgnomeui/gnome-druid-page-edge.c (gnome_druid_page_edge_setup): use
	PangoFontDescriptions, and remove incorrect properties on some of
	the canvas items

	* libgnomeui/gnome-dialog.c (GnomeDialogPrivate): move definition to
	libgnomeuiP.h such that libglade support can peek into it

	* libgnomeui/gnome-dateedit.c (gnome_date_edit_instance_init): create
	children here
	(gnome_date_edit_construct): just set the properties, rather than
	creating the children

	* libgnomeui/gnome-appbar.c (gnome_appbar_new): call g_object_new rather than
	the constructor
	(gnome_appbar_construct): remove in favor of construct-time
	properties
	(gnome_appbar_constructor): instead of gnome_appbar_construct
	(gnome_appbar_set_property):
	(gnome_appbar_get_property): implement
	(gnome_appbar_class_init): add some construct time properties

	* libgnomeui/gnome-app.c (gnome_app_show):
	(layout_changed): BonoboDockLayout is no longer a GtkObject

2001-12-07  jacob berkman  <jacob@ximian.com>

	* Makefile.am:
	* configure.in: add tests/

	* glade/glade-gnome.c: implement a lot of missing things and fix
	what was in there (but broken)

	* tests/: test libglade support

2001-12-07  Anders Carlsson  <andersca@gnu.org>

	* libgnomeui/gnome-icon-sel.c (gnome_icon_selection_instance_init): Update
	for the changed GnomeIconList API.

	* libgnomeui/gnome-icon-list.h: Bring back some of the old, working API,
	also add new signals to the vtable.

	* libgnomeui/gnome-icon-list.c: Make GnomeIconList work, and add support
	for focus and keybindings. Editing will follow.

	* libgnomeui/gnome-icon-entry.c: Fix some bugs.

	* libgnomeui/gnome-client.c: Update to use our marshaller.

	* libgnomeui/gnome-druid-page.c: Likewise.

	* libgnomeui/gnome-dialog.c: Likewise.

	* libgnomeui/gnome-color-picker.c: Likewise.

	* libgnomeui/gnome-marshal.list: Add.

	* libgnomeui/Makefile.am: Add gnome-icon-item.[ch] and
	gnome-marshal.list.

	* libgnomeui/gnome-icon-item.c: Add.

	* libgnomeui/gnome-icon-item.h: Add.

2001-12-04  Murray Cumming  <murrayc@usa.net>

	* libgnomeui/gnome-about.h/.c: Added gnome_about_construct(), for
	  language bindings.

2001-11-30  Richard Hestilow  <hestilow@ximian.com>

	* libgnomeui/gnome-messagebox.c (gnome_message_box_new):
	Only try to grab button focus if buttons != NULL.

	* libgnomeui/gnome-pixmap-entry.c (gnome_pixmap_entry_instance_init):
	Set do_preview to 0 instead of 1, as it is not really set up
	by default and thus will confuse gnome_pixmap_entry_set_preview.

2001-11-30  Anders Carlsson  <andersca@gnu.org>

	* test-gnome/testgnome.c (create_app_helper): Bring back the
	GnomeApp test.

2001-11-30  Anders Carlsson  <andersca@gnu.org>

	* libgnomeui/gnome-font-picker.c (gnome_font_picker_label_use_font_in_label):
	Queue a resize after setting the new style.

	* libgnomeui/gnome-entry.c: Add saving_history to priv struct.
	(gnome_entry_history_changed): If we're getting a notification
	from saving our own history, don't reload it.

	* libgnomeui/gnome-app.c (layout_changed): ref/sink the layout.

2001-11-30  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Up version to 1.107.0

2001-11-28  jacob berkman  <jacob@ximian.com>

	* libgnomeui/Makefile.am (EXTRA_DIST): add libgnomeui.schemas

2001-11-28  jacob berkman  <jacob@ximian.com>

	* configure.in: install the .schemas into $DESTDIR

Tue Nov 27 17:48:02 2001  Owen Taylor  <otaylor@redhat.com>

	* configure.in (GCONF_CONFIG_SOURCE): Add config tests
	for GConf.

2001-11-28  Gediminas Paulauskas <menesis@delfi.lt>

	* libgnomeui/libgnomeui.schemas: entry for show-icons should be of type bool.

	* libgnomeui/Makefile.am: fix GNOMEUILOCALEDIR to point to correct location.

	* libgnomeui/gnome-app-init.c: find translations and get them in UTF-8.

Tue Nov 27 17:41:30 2001  Owen Taylor  <otaylor@redhat.com>

	* libgnomeui/Makefile.am: Install the schema file.

	* libgnomeui/libgnomeui.schemas: Add a scheme entry
	for show-icons, hopefully resulting with this defaulting
	to on.

	* libgnomeui/gnome-app.c (gnome_app_instance_init): Ref/sink
	app->layout.

	* libgnomeui/gnome-app-helper.c (do_ui_signal_connect): Use a standard
	signal connection and a thunk to implement the "relay_func"
	feature, rather the (no longer present) marshaller feature
	of gtk_signal_connect_full().

	* libgnomeui/gnome-popup-menu.c (pop_connect_func): Use a thunk rather than
	the (no longer present) marshaller feature of
	gtk_signal_connect_full().

2001-11-28  Anders Carlsson  <andersca@gnu.org>

	* libgnomeui/gnome-href.c (gnome_href_realize): Set the cursor on the input
	window.

	* libgnomeui/gnome-propertybox.c: Add patch from Gediminas Paulauskas to change
	button order to conform with the usability guidelines.

	* libgnomeui/gnome-dialog-util.c: Change button order to conform with the
	usability guidelines.

	* libgnomeui/gnome-entry.c (build_gconf_key): Update gconf key to match
	the specifications.

2001-11-26  Gediminas Paulauskas <menesis@delfi.lt>

	* libgnomeui/gnome-app-helper.c: remove gtk_item_factory_add_foreign()

2001-11-26  Gediminas Paulauskas <menesis@delfi.lt>

	* *Makefile.am: remove -I*intl/ and -DVERSION from INCLUDES

2001-11-22  Mark McLoughlin  <mark@skynet.ie>

	* libgnomeui/gnome-app.c: (gnome_app_set_menus), (gnome_app_add_toolbar):
	update for gtk_accel_groups_from_acceleratable to
	gtk_accel_groups_from_object.

Tue Nov 20 16:12:09 2001  Owen Taylor  <otaylor@redhat.com>

	* libgnomeui/libgnomeuiP.h: Remove excess gobject/* include.

Sun Nov 18 2001  Miles Lane <miles@megapathdsl.net>

	* libgnomeui/libgnomeui/Makefile.am: replace <gobject/genums.h>
	  with <glib-object.h> due to the addition of an #error into
	  genums.h that specifies that only glib-object.h should
	  be included directly.  This patch fixes the build.
	  Approved by Michael.

Sun Nov 18 14:31:59 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-icon-sel.c, gnome-mdi.c: Get rid of GTK_OBJECT_DESTROYED
	  usage.  The code was very very broken in those cases anyway
	  actually.

	* libgnomeui/gnome_segv.c: use g_find_program_in_path instead of
	  gnome_is_program_in_path

Fri Nov 16 02:06:32 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-file-entry.c: change order of includes to make this compile
	  yet again

2001-11-22  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: LIBGNOMEUI_CFLAGS and LIBGNOMEUI_GLADE_CFLAGS needs
	  gnome-vfs-module-2.0 include path.

2001-11-15  Kjartan Maraas  <kmaraas@gnome.org>

	* libgnomeui/gnome-href.c: Fix a typo.

2001-11-14  Michael Meeks  <michael@ximian.com>

	* libgnomeui/gnome-app-helper.c (gnome_save_accels):
	gtk_accel_map_save instead of dump_rc.
	disable
	(create_help_entries, create_menu_item): kill
	gtk_widget_lock_accelerators.

	* libgnomeui/gnome-app.c (gnome_app_set_menus): use
	gtk_accel_groups_from_acceleratable instead of from_object;
	(gnome_app_add_toolbar): ditto.

2001-11-12  Darin Adler  <darin@bentspoon.com>

	* libgnomeui/Same files again.
	Update for name change to GNOME_CALL_PARENT.

2001-11-12  Darin Adler  <darin@bentspoon.com>

	* libgnomeui/gnome-about.c:
	* libgnomeui/gnome-app.c:
	* libgnomeui/gnome-appbar.c:
	* libgnomeui/gnome-client.c:
	* libgnomeui/gnome-color-picker.c:
	* libgnomeui/gnome-dateedit.c:
	* libgnomeui/gnome-druid-page-edge.c:
	* libgnomeui/gnome-druid-page-standard.c:
	* libgnomeui/gnome-druid-page.c:
	* libgnomeui/gnome-druid.c:
	* libgnomeui/gnome-font-picker.c:
	* libgnomeui/gnome-href.c:
	* libgnomeui/gnome-icon-entry.c:
	* libgnomeui/gnome-icon-list.c:
	* libgnomeui/gnome-icon-sel.c:
	* libgnomeui/gnome-mdi-child.c:
	* libgnomeui/gnome-mdi-generic-child.c:
	* libgnomeui/gnome-mdi.c:
	* libgnomeui/gnome-messagebox.c:
	* libgnomeui/gnome-pixmap-entry.c:
	* libgnomeui/gnome-pixmap.c:
	* libgnomeui/gnome-propertybox.c:
	* libgnomeui/gnome-scores.c:
	Updated for change to GNOME_CLASS_BOILERPLATE.

2001-11-08  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Upped version and Released 1.106.0

2001-11-07  jacob berkman  <jacob@ximian.com>

	* glade/Makefile.am (glademoduledir): just install into our prefix
	rather than libglade's

	* configure.in: remove check for glade module dir

2001-11-05  Michael Meeks  <michael@ximian.com>

	* test-gnome/testgnome.c (create_newwin): update for new API.

Sun Oct 21 01:57:03 2001  George Lebl <jirka@5z.com>

	* test-gnome/testgnome.c: fix the font picker stuff, bind the signals
	  and make the whole font picker test work

2001-11-05  Maciej Stachowiak  <mjs@noisehavoc.org>

	* libgnomeui/gnome-file-entry.c, gnome-pixmap-entry.c, gnome-icon-entry.c,
	gnome-icon-sel.c: Stop including gnome-vfs module API headers; use
	preferred public functions where needed / appropriate.

2001-11-01  Mark McLoughlin  <mark@skynet.ie>

	* libgnomeui/gnome-app-helper.c: (help_view_display_callback): update for
	gnome_help_display changes.

2001-10-31  Havoc Pennington  <hp@redhat.com>

	* libgnomeui/gnome-client.c (gnome_client_get_config_prefix): fix some utter
	braindamage (if you passed in the wrong type, it silently returned
	the master client)
	(gnome_client_get_desktop_id): new function

2001-10-30  jacob berkman  <jacob@ximian.com>

	* libgnomeui/libgnomeui-2.0.pc.in (Cflags): use the correct includedir

	* libgnomeui/Makefile.am (libgnomeuiincludedir): put headers in
	libgnomeui-2.0 rather than gnome-2.0

2001-10-30  Anders Carlsson  <andersca@gnu.org>

	* libgnomeui/gnome-icon-list.h: Add function definitions for added functions.

	* libgnomeui/gnome-icon-list.c (gnome_icon_list_get_icon_text_item): Add function
	to get the rich text item for an icon.
	(gnome_icon_list_get_icon_pixbuf_item): Add function to get the pixbuf
	item for an icon. Fixes #61706.

2001-10-29  jacob berkman  <jacob@ximian.com>

	* libgnomeui/gnome_segv.c (main): use GETTEXT_PACKAGE

	* libgnomeui/gnome-ui-init.c: use GETTEXT_PACKAGE

	* libgnomeui/gnome-stock-icons.c: remove GETTEXT_PACKAGE definition

	* libgnomeui/gnome-i18nP.h (GNOME_EXPLICIT_TRANSLATION_DOMAIN): use
	GETTEXT_PACKAGE

	* libgnomeui/gnome-client.c: use GETTEXT_PACKAGE where appropriate

2001-10-29  jacob berkman  <jacob@ximian.com>

	* configure.in: drop the 2 from the package name, and set
	GETTEXT_PACKAGE

	* acconfig.h: add GETTEXT_PACKAGE

2001-10-29  Seth Nickell  <snickell@stanford.edu>

	* doc/ChangeLog:
	* doc/reference/tmpl/gnome-gconf-ui.sgml:
	* doc/reference/tmpl/gnome-stock-icons.sgml:
	* doc/reference/tmpl/libgnomeui-unused.sgml:

	Give in to the mighty gods of the auto-generated
	docs.

Sun Sep 09 00:17:31 2001  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* doc/reference/*: Add the beginnings of the API reference manual.
	  Nothing of substance in here yet, but it builds.

2001-10-28  jacob berkman  <jacob@ximian.com>

	* libgnomeui/gnome-ui-init.c (libgnomeui_segv_handle): pass
	program_invocation_name to gnome_segv, as this is what it actually
	expects

2001-10-27  jacob berkman  <jacob@ximian.com>

	* libgnomeui/gnome-vfs-util.c (gnome_gdk_pixbuf_new_from_uri_async): update
	to new vfs priority macro name

Tue Oct 23 14:42:04 2001  George Lebl <jirka@5z.com>

	* libgnomeui/*.h: make sure all non-deprecated widgets have some class
	  structure padding in case we need to expand.

2001-10-24  jacob berkman  <jacob@ximian.com>

	* glade/glade-gnome.c: (file_entry_find_internal_child): fix a
	tyop

	* glade/glade-gnome.c: move from libglade/glade/

	* configure.in: add libglade check

	* Makefile.am (SUBDIRS): build glade/

2001-10-22  Cristiano De Michele <cristiano.demichele@na.infn.it>

	* libgnomeui/gnome-entry.c (gnome_entry_finalize): don't NULL priv and
	then de-reference it.

Sun Oct 21 13:27:07 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-font-picker.h: add padding to class structure.  There are
	  no worries about bincompat, this widget wasn't part of the build
	  until yesterday.

Sun Oct 21 13:26:08 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-mdi.[ch]: mistakenly this was not marked deprecated when it
	  in reality IS deprecated

Sun Oct 21 01:56:11 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-font-picker.c: fix font size foo, some other small fixes to
	  use of pango,  Properly set use_label/size, add properties for
	  use label, use label size, and show size.

Sun Oct 21 00:24:59 2001  George Lebl <jirka@5z.com>

	* libgnomeui/libgnomeui.h: add font-picker it's now installed

	* libgnomeui/gnome-font-picker.[ch]: port to pango, though it still doesn't
	  work completely, it doesn't crash now and is almost sane

2001-10-17  jacob berkman  <jacob@ximian.com>

	* libgnomeui/gnome-vfs-util.c (gnome_gdk_pixbuf_new_from_uri_async): pass
	priority to gnome_vfs_asyn_open()

2001-10-16  James Henstridge  <james@daa.com.au>

	* libgnomeui/gnome-href.c (gnome_href_class_init): install a "link_colour"
	style property for changing the link colour.
	(gnome_href_instance_init): modify the fg of the link using the
	style property (default to blue).
	(gnome_href_set_text): use markup to add the underline to the
	link. (this doesn't seem to work correctly yet, but that is a gtk
	bug.

2001-10-14  Bastien Nocera  <hadess@hadess.net>

	* test-gnome/testgnome.c: (create_font_picker), (main):
	included font picker test, use new API

Wed Oct 17 17:48:04 2001  George Lebl <jirka@5z.com>

	* test-gnome/testgnome.c: use gtk_main instead of bonobo_main

2001-10-14  Bastien Nocera  <hadess@hadess.net>

	* libgnomeui/Makefile.am:
	* libgnomeui/gnome-font-picker.c: (gnome_font_picker_class_init),
	(gnome_font_picker_set_property), (gnome_font_picker_get_property),
	(gnome_font_picker_uw_get_widget),
	(gnome_font_picker_label_use_font_in_label): fixes and
	porting to gnome2

Wed Oct 17 18:08:34 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-ui-init.c: #if 0 out  some options which don't seem to be
	  present in GTK+.  Note that some options are X11 only, we need
	  some way to query these from gtk/gdk, I think that IS possible.
	  Also don't call gdk_rgb_init anymore.

2001-10-13  Seth Nickell  <snickell@stanford.edu>

	* libgnomeui/libgnomeui.h:

	gnome-font-picker.h is currently not an installed header
	(nor is gnome-font-picker.c built, nor does it appear to
	build on my system). Removing the include so things that
	depend on libgnomeui will build.


2001-10-13  Michael Meeks  <michael@ximian.com>

	* libgnomeui/gnome-entry.c (gnome_entry_class_init): remove 'changed'
	(entry_changed): ditto. - we already inherit 'changed' from
	the editable interface.

Sun Oct 14 20:14:52 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-ui-init.c:  Use the "GnomeProgram" data that's set in
	  libgnome popt stuff now.  Also correctly use the right GnomeProgram
	  object in more places.

Sun Oct 14 18:03:38 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-ui-init.c: Fix an INCREDIBLE hack, and a couple of leaks
	  in the gtk init stuff.  All runtime data needs to be stored
	  with the GnomeProgram and NOT the GnomeModuleInfo.

2001-10-13  Bastien Nocera  <hadess@hadess.net>

	* libgnomeui/libgnomeui.h: gnome-font-picker.h was missing from the include

Thu Oct 11 03:09:08 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-mdi.c, gnome-mdi-child.c:  Make
	  gnome_mdi_child_list_menu_remove_item and
	  gnome_mdi_child_list_menu_add_item private by crafty use of
	  a leading underscore

	* libgnomeui/gnome-stock-icons.[ch], gnome-ui-init.c: make
	  gnome_stock_icons_init private by use of a leading underscore.
	  This is reminding me to do a sweep to catch all the private
	  functions and do this trick on them.

2001-10-11  Michael Meeks  <michael@ximian.com>

	* test-gnome/testgnome.c (create_newwin): use bonobo_ui_util_set_ui
	again.

	* test-gnome/Makefile.am (EXTRA_DIST): dist test-gnome.xml, define
	BUILDDIR

	* test-gnome/testgnome.c (main, create_font_selector): impl. a font
	selector test stub.

Sat Sep 29 15:51:17 2001  George Lebl <jirka@5z.com>

	* test-gnome/testgnome.c: cut-n-paste a bonobo function so that we can
	  load the ui from the current directory.  Also add test cases for
	  the icon entry, the pixmap entry, and make the about menu item
	  work

Tue Sep 04 19:11:54 2001  George Lebl <jirka@5z.com>

	* test-gnome/testgnome.c: add a testcase for gnome-about

2001-10-10  jacob berkman  <jacob@ximian.com>

	* libgnomeui/gnome-stock-icons.c (add_unsized):
	(add_sized): update to new pixbuf api

Tue Oct 09 19:35:23 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-gconf-ui.[ch], gnome-app-helper.c, gnome-app.c,
	  gnome-appbar.c, gnome-file-entry.c:  Get rid of any reference
	  to gnome-preferences.h in the drive to whack them.  This means
	  some preferences actually work again.  Some FIXMEs added where
	  appropriate

	* libgnomeui/gnome-uidefs.c: only include the button defines if including
	  deprecated stuff (these are the: GNOME_YES/NO/OK/CANCEL, they
	  are only used with GnomeDialog, GtkDialog does smarter things)

2001-10-10  Michael Meeks  <michael@ximian.com>

	* libgnomeui/gnome-file-entry.c (gnome_file_entry_class_init),
	(gnome_file_entry_class_init): remove changed bits -
	this conflicted with the editable interface.
	(entry_changed_signal): upd.

2001-10-10  Michael Meeks  <michael@ximian.com>

	* libgnomeui/gnome-color-picker.c (expose_event): don't setup gc here
	(gnome_color_picker_realize): set it up here instead so we
	don't get warnings from (render_dither).

2001-10-10  Havoc Pennington  <hp@redhat.com>

	 Fix output of:
	 nm -g -l .libs/libgnomeui-2.so | grep ' T ' | grep -v ' gnome_' |
	 grep -v ' GNOME_'

	* libgnomeui/gnome-stock-icons.c (gnome_stock_icons_init): renamed from
	init_gnome_stock_icons, to be in the right namespace.

	* libgnomeui/gnome-mdi.c (child_list_menu_remove_item):
	(child_list_menu_add_item): rename with gnome_mdi prefix

	* libgnomeui/gnome-mdi-child.c: fixes for renames

2001-10-04  James Henstridge  <james@daa.com.au>

	* libgnomeui/gnome-icon-list.c (gnome_icon_list_class_init): change second
	argument of "text_changed" signal from GTK_TYPE_POINTER to
	GTK_TYPE_STRING.

	* libgnomeui/gnome-icon-entry.c (gnome_icon_entry_class_init): change
	pick_dialog property type to GTK_TYPE_WIDGET.

	* libgnomeui/gnome-file-entry.c (gnome_file_entry_class_init): fix up
	property types for gnome_entry and gtk_entry properties.

	* libgnomeui/gnome-druid-page.c (gnome_druid_page_class_init): change
	argument type from GTK_TYPE_POINTER to GTK_TYPE_WIDGET for "back"
	signal.

Sun Sep 30 12:55:02 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-icon-entry.c: eliminate warning on icon select

	* libgnomeui/gnome-icon-sel.c: fix segv on icon load

	* libgnomeui/gnome-icon-list.c: use correct properties for the rich text item

Sat Sep 29 15:48:56 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-about.c: destroy the dialog when OK is pressed, just like the
	  1.0 behaviour

	* libgnomeui/gnome-icon-sel.c: Fix the FIXME in the load, by using our own main
	  loop.  Also fixes race issues that could happen when you mess with
	  the icons while the load is in progress.

	* libgnomeui/gnome-icon-entry.c: Fix the accepting of .desktop files (it
	  snarfs the icon from those).  So it's now at 1.0 level
	  functionality :)

Fri Sep 28 15:54:23 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-app.c: set the icon if the property of GnomeProgram is set.
	  the string can be a ';' separated list of files, so that multiple
	  icons can be optionally set.

	* libgnomeui/gnome-about.c, gnome-app.c, gnome-appbar.c, gnome-client.c
	  gnome-color-picker.c, gnome-file-entry.c, gnome-href.c,
	  gnome-icon-entry.c, gnome-icon-list.c, gnome-pixmap-entry.c,
	  gnome-scores.c, gnome-entry.c, gnome-druid-page-edge.c,
	  gnome-druid-page-standard.c, gnome-druid-page.c,
	  gnome-font-picker.c, gnome-icon-sel.c, gnome-messagebox.c,
	  gnome-propertybox.c:  Make finalize and destroy behave
	  as described in gtk docs.  Add finalize where needed,
	  and add some more use of the gnome-macros.h.  Also remove
	  unused finalize and destroy overrides as they just add
	  cruft code.

	* libgnomeui/gnome-about.c: Actually free stuff on finalize

	* libgnomeui/gnome-window-icon.c: add some preconditions

	* libgnomeui/gnome-entry.c: correct gconf usage

2001-09-26  Michael Meeks  <michael@ximian.com>

	* libgnomeui/libgnomeui-2.0.pc.in: add libbonoboui-2.0 for gnome
	dock stuff.

2001-09-26  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Up to 1.104.0 and require libgnome 1.104.0 and
	libgnomecanvas 1.104.0

2001-09-24  Havoc Pennington  <hp@redhat.com>

	* autogen.sh (srcdir): remove CERTIFIED_GNOMIE

2001-09-23  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* libgnomeui/.cvsignore: Ignore gnome_segv2 binary.

2001-09-22  Wang Jian <lark@linux.net.cn>

	* configure.in(ALL_LINGUAS): Added zh_CN.

2001-09-22  Abel Cheung <maddog@linux.org.hk>

	* configure.in: Added "zh_TW" to ALL_LINGUAS.

2001-09-20  Frank Belew <frb@ximian.com>

	* configure.in: removed AM_CONDITIONAL(FALSE...)

2001-09-19  James Henstridge  <james@daa.com.au>

	* libgnomeui/gnome-scores.c (gnome_scores_set_logo_label): use
	gtk_style_set_font rather than direct structure access.  This
	needs pangoification.

	* libgnomeui/gnome-about.c (gnome_about_draw_names): changes to take into
	account pango changes.

Tue Sep 18 20:44:26 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-app-helper.c, gnome-file-entry.c, gnome-icon-sel.c: use
	  g_build_filename instead of g_concat_dir_and_file

	* libgnomeui/gnome-app-helper.c, gnome-font-picker.c: g_string_free now has
	  a nice return value, where so we can avoid a temporary and have
	  nicer code

Tue Sep 18 17:40:59 2001  George Lebl <jirka@5z.com>

	* libgnomeui/Makefile.am, gnome-gconf-ui.[ch], gnome-app-helper.c,
	  gnome-entry.c: do the private symbol dance and add the gconf lazy
	  init function here since it's now not exported from libgnome

	* libgnomeui/gnome-client.h: define GNOME_CLIENT_MODULE

Fri Sep 14 12:36:25 2001  George Lebl <jirka@5z.com>

	* libgnomeui/Makefile.am, *.c, *.h: remove gnome-macros.h it is now in libgnome.
	  Also at the same time make sure we use GType for all type
	  references and not guint nor GtkType.  Also since gnome-macros
	  changed slightly, use the new style.  And fix some related warnings

	* libgnomeui/gnome-icon-list.c, gnome-client.c, gnome-icon-entry.c: move to
	  the gnome-macros stuff.

2001-09-19  Darin Adler  <darin@bentspoon.com>

	* libgnomeui/gnome-about.c: (gnome_about_draw_names): Must unref the
	metrics when we are done using them.

2001-09-19  Darin Adler  <darin@bentspoon.com>

	* demos/mdi_demo.c: Remove unneeded <libgnome.h> include.

2001-09-19  Darin Adler  <darin@bentspoon.com>

	* .cvsignore: Ignore generated sgml directory.

2001-09-19  Ariel Rios  <ariel@gnu.org>

        * gnome-entry.c (check_for_duplicates):  Cast the
        first argument in strcmp since PPC complains about
        it.

2001-09-18  Havoc Pennington  <hp@redhat.com>

	* libgnomeui/Makefile.am (gnome_segv2_SOURCES): rename gnome_segv

	* libgnomeui/gnome_segv.c (main): rename gnome_segv to gnome_segv2

2001-09-18  Anders Carlsson  <andersca@gnu.org>

	* COPYING.LIB: Add this file.

	* Makefile.am (EXTRA_DIST): Add COPYING.LIB

2001-09-12  jacob berkman  <jacob@ximian.com>

	* libgnomeui/Makefile.am (libgnomeui_2_la_SOURCES): add gnome-window-icon.c
	(gnome_headers): add gnome-window-icon.h

	* libgnomeui/gnome-window-icon.[ch]: bring up from gnome 1, and port to gtk
	2's window icon api

Tue Sep 11 00:59:51 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-client.h:  Add a reserved pointer for future use

	* libgnomeui/gnome-href.h: get rid off the warning about api, it's old

	* libgnomeui/gnome-stock-icons.[ch], pixmaps/stock_not.png,
	  pixmaps/stock_scores.png:  Whack the toolbar size crap, we should
	  just use the gtk toolbar stuff.  Scale down the two icons that
	  required the 20x20 size to 18x18 which is the small toolbar size
	  in gtk

2001-09-10  jacob berkman  <jacob@ximian.com>

	* libgnomeui/Makefile.am: install gnome.h in $prefix/include/gnome-2.0/

	* libgnomeui/gnome.h: compatability header to make porting simpler

2001-09-08  jacob berkman  <jacob@ximian.com>

	* libgnomeui/gnome-dialog.h: include gtkstock.h (needed for gtk stock
	fallbacks)

	* libgnomeui/gnome-icon-entry.h: include gmacros.h

	* libgnomeui/libgnomeui-2.0.pc.in (Libs): pull in SM_LIBS

	* libgnomeui/Makefile.am (libgnomeui_2_la_LIBADD): add SM_LIBS.

Sat Sep 08 02:05:35 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-about.[ch]: privatize and use gnome-macros

Fri Sep 07 14:35:57 2001  George Lebl <jirka@5z.com>

	* libgnomeui/libgnomeuiP.h: include the right libgnome.h

Fri Sep 07 14:25:20 2001  George Lebl <jirka@5z.com>

	* libgnomeui/libgnomeui-2.0.pc.in, Makefile.am: the libgnomeui are in the
	  gnome-2.0 dir now, just like libgnome ones.

Fri Sep 07 14:15:18 2001  George Lebl <jirka@5z.com>

	* libgnomeui/Makefile.am: libgnomeui.h installs in the libgnomeui prefix now

	* libgnomeui/gnome-app-helper.c: add some scrollkeeper magic to build the help
	  menu

2001-09-08  jacob berkman  <jacob@ximian.com>

	* configure.in: fix the check a bit.  stoopid m4.

Sun Sep 09 00:43:09 2001  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* configure.in, doc/Makefile.am: Add infrastructure to build
	  docs.

2001-09-08  jacob berkman  <jacob@ximian.com>

	* configure.in: add check for libSM, which gnome-client needs.

2001-09-07  jacob berkman  <jacob@ximian.com>

	* libgnomeui/gnome_segv.c:
	* libgnomeui/gnome-ui-init.c:
	* libgnomeui/gnome-gconf-ui.c: <libgnome(ui).h> -=>
	<libgnome(ui)/libgnome(ui).h>

2001-09-05  Jonathan Blandford  <jrb@redhat.com>

	* libgnomeui/gnome-app.c: (gnome_app_new):
	* libgnomeui/gnome-appbar.c: (gnome_appbar_get_type),
	(gnome_appbar_class_init), (gnome_appbar_new):
	* libgnomeui/gnome-appbar.h:
	* libgnomeui/gnome-client.c: (client_save_yourself_callback),
	(gnome_client_get_type), (gnome_client_class_init),
	(gnome_client_new_without_connection),
	(gnome_client_save_dialog_show):
	* libgnomeui/gnome-client.h:
	* libgnomeui/gnome-color-picker.c: (gnome_color_picker_new):
	* libgnomeui/gnome-dateedit.c: (gnome_date_edit_new_flags):
	* libgnomeui/gnome-dateedit.h:
	* libgnomeui/gnome-dialog.c: (gnome_dialog_get_type),
	(gnome_dialog_class_init), (gnome_dialog_new), (gnome_dialog_newv):
	* libgnomeui/gnome-dialog.h:
	* libgnomeui/gnome-druid-page-edge.c: (gnome_druid_page_edge_setup),
	(gnome_druid_page_edge_new), (gnome_druid_page_edge_new_aa),
	(gnome_druid_page_edge_new_with_vals):
	* libgnomeui/gnome-druid-page-standard.c: (gnome_druid_page_standard_new),
	(gnome_druid_page_standard_new_with_vals):
	* libgnomeui/gnome-druid.c: (gnome_druid_child_type), (gnome_druid_new),
	(gnome_druid_new_with_window):
	* libgnomeui/gnome-entry.c: (gnome_entry_get_type):
	* libgnomeui/gnome-entry.h:
	* libgnomeui/gnome-file-entry.c: (gnome_file_entry_get_type),
	(gnome_file_entry_new):
	* libgnomeui/gnome-file-entry.h:
	* libgnomeui/gnome-font-picker.c: (gnome_font_picker_new):
	* libgnomeui/gnome-gconf-ui.c:
	* libgnomeui/gnome-icon-entry.c: (gnome_icon_entry_get_type),
	(gnome_icon_entry_class_init), (gnome_icon_entry_new):
	* libgnomeui/gnome-icon-entry.h:
	* libgnomeui/gnome-icon-list.c:
	* libgnomeui/gnome-icon-list.h:
	* libgnomeui/gnome-icon-sel.c: (gnome_icon_selection_new):
	* libgnomeui/gnome-mdi-child.h:
	* libgnomeui/gnome-mdi-generic-child.c: (gnome_mdi_generic_child_new),
	(gnome_mdi_generic_child_create_view),
	(gnome_mdi_generic_child_create_menus),
	(gnome_mdi_generic_child_get_config_string),
	(gnome_mdi_generic_child_set_label):
	* libgnomeui/gnome-mdi-generic-child.h:
	* libgnomeui/gnome-mdi.c: (gnome_mdi_class_init), (gnome_mdi_new):
	* libgnomeui/gnome-mdi.h:
	* libgnomeui/gnome-messagebox.c: (gnome_message_box_get_type),
	(gnome_message_box_class_init), (gnome_message_box_new),
	(gnome_message_box_newv):
	* libgnomeui/gnome-messagebox.h:
	* libgnomeui/gnome-pixmap-entry.c: (gnome_pixmap_entry_new):
	* libgnomeui/gnome-pixmap-entry.h:
	* libgnomeui/gnome-pixmap.c: (gnome_pixmap_new_from_file),
	(gnome_pixmap_new_from_file_at_size),
	(gnome_pixmap_new_from_xpm_d),
	(gnome_pixmap_new_from_xpm_d_at_size),
	(gnome_pixmap_new_from_gnome_pixmap):
	* libgnomeui/gnome-pixmap.h:
	* libgnomeui/gnome-propertybox.c: (gnome_property_box_class_init),
	(gnome_property_box_new):
	* libgnomeui/gnome-propertybox.h:
	* libgnomeui/gnome-scores.c: (gnome_scores_new):
	* libgnomeui/gnome-scores.h:
	* libgnomeui/gnome-stock-icons.c:
	Change to use GType instead of guint.  Change to use GTK_TYPE_FOO
	instead of gtk_foo_get_type ()

Tue Sep 04 19:11:34 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-about.[ch]: fixup includes, silence warnings, fix one
	  possible uninitialized var case

	* libgnomeui/gnome-entry.[ch]: remove load/save_history from the .h file
	  since these functions are no longer exported and add static
	  prototypes to .c file

	* libgnomeui/libgnomeui.h: add gnome-about.h

2001-09-05  Anders Carlsson  <andersca@gnu.org>

	* libgnomeui/Makefile.am:	Build gnome-about.c and install gnome-about.h

	* libgnomeui/gnome-pixmap-entry.c: (refresh_preview), (changed_timeout_func),
	(pentry_destroy), (drag_data_get): Fix a double-free bug and remove
	the unused GnomeFileEntry variable since we now inherit from
	GnomeFileEntry.

2001-09-05  Anders Carlsson  <andersca@gnu.org>

	* libgnomeui/gnome-about.h: Add new GnomeAbout widget.

	* libgnomeui/gnome-about.c: Add new GnomeAbout widget.

2001-09-04  Rodrigo Moya <rodrigo@gnome-db.org>

	* libgnomeui/gnome-i18nP.h: remove gettext defines, which are already
	defined in libgnome/gnome-i18n.h

2001-09-04  Anders Carlsson  <andersca@gnu.org>

	* test-gnome/Makefile.am: Add test-entry.

	* test-gnome/testentry.c: New file.

	* test-gnome/testgnome.c: Some changes to work with new api.

Mon Sep 03 00:12:44 2001  George Lebl <jirka@5z.com>

	* test-gnome/testgnome.c: make it compile

Fri Aug 31 04:00:30 2001  George Lebl <jirka@5z.com>

	* test-gnome/testgnome.c: remove the test of the image entry since it no longer
	  exists

Fri Aug 31 04:00:30 2001  George Lebl <jirka@5z.com>

	* test-gnome/testgnome.c: remove the test of the image entry since it no longer
	  exists

Tue Aug 28 02:08:17 2001  George Lebl <jirka@5z.com>

	* test-gnome/test-gnome.c:  re-enable the test for gnome-file-entry.  For some
	  reason the druid one isn't working but there is testdruid now.

Sat Aug 25 20:18:48 2001  George Lebl <jirka@5z.com>

	* test-gnome/testdruid.c: fix "unused" warning

Sat Aug 25 00:33:41 2001  Jonathan Blandford  <jrb@redhat.com>

	* test-gnome/testdruid.c (main): new test program.

2001-09-04  Anders Carlsson  <andersca@gnu.org>

	* libgnomeui/gnome-entry.c: (gnome_entry_class_init), (entry_activated),
	(gnome_entry_new), (gnome_entry_finalize),
	(gnome_entry_history_changed), (gnome_entry_set_history_id),
	(build_gconf_key), (gnome_entry_load_history),
	(check_for_duplicates), (gnome_entry_save_history):

	Make gnome-entry use GConf.

	* libgnomeui/gnome-file-entry.c: (fentry_set_arg),
	(gnome_file_entry_construct):
	* libgnomeui/gnome-icon-entry.c: (gnome_icon_entry_set_history_id):
	Some fixups to work with API changes in gnome-entry.

	* libgnomeui/libgnomeui-2.0.pc.in:
	Fix include path.

	* libgnomeui/pixmaps/Makefile.am:
	Don't install the gcalc font png.

Tue Sep 04 00:04:00 2001  George Lebl <jirka@5z.com>

	* libgnomeui/Makefile.am, gnome-popup-menu.[ch], libgnomeui.h: bring back
	  gnome-popup menu

Mon Sep 03 03:34:36 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-app-helper.c: do gconf lazy init stuff

	* libgnomeui/gnome-ui-init.c: init bonobo

Mon Sep 03 02:17:59 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-client.[ch]: Add the sm-connect property, deprecate disable
	  master connection call since the sm-connect property does the same.
	  Get versions right.

	* libgnomeui/gnome-ui-init.c: Fix properties to actually read app specified
	  values.  Remove some debugging output.

	* libgnomeui/gnome-gconf-ui.c: get versions right

Mon Sep 03 00:48:06 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-ui-init.c: fix gtk version, duh!

Mon Sep 03 00:42:33 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-ui-init.c: use the correct GTK+ version

Sun Sep 02 23:49:34 2001  George Lebl <jirka@5z.com>

	* libgnomeui/Makefile.am, gnome-canvas-init.[ch], libgnomeui.h, gnome-ui-init.c:
	  Move gtk init stuff to gnome-ui-init and wipe the canvas init stuff

	* libgnomeui/gnome-app-helper.c, gnome-dateedit.c: make constants private and
	  remove unused ones, and use the getters for the gnome directories

	* libgnomeui/gnome-client.[ch], gnome-ui-init.c: require the gnome-client module
	  and update it for the new way of doing gnome modules

	* libgnomeui/gnome-gconf-ui.[ch], libgnomeui.h:  make the header private and
	  use the new module init stuff.

	* libgnomeui/gnome-ui-init.[ch]: do the getter style module stuff, and remove
	  bonoboui stuff which is empty anyway.  Make the old style
	  init stuff deprecated and add gnome_init macro, and put in
	  docs from 1.0 for those.

	* libgnomeui/libgnomeui.h: remove the COMPAT_1_0 bit at the bottom, that's quite
	  bogus

	* libgnomeui/libgnomeuiP.h: add gnome-gconf-ui.h here

2001-09-04  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Bump to 1.103.0

Sun Aug 26 19:35:40 2001  George Lebl <jirka@5z.com>

	* configure.in: require gconf

Fri Aug 24 10:00:24 2001  George Lebl <jirka@5z.com>

	* configure.in: get rid of the CERTIFIED_GNOMIE bullshit for it is
	  evil and stupid

2001-09-02  Anders Carlsson  <andersca@gnu.org>

	* libgnomeui/gnome-stock-icons.c:
	* libgnomeui/gnome-stock-icons.h:
	Move gnome_icon_size_toolbar into the .c file.

2001-09-02  Anders Carlsson  <andersca@gnu.org>

	* libgnomeui/gnome-href.c (gnome_href_clicked): Use the new gnome_url_show
	api.

Sun Sep 02 02:46:07 2001  George Lebl <jirka@5z.com>

	* libgnomeui/libgnomeui.h: add gnome-scores.h

Sun Sep 02 00:55:54 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-app-helper.c, gnome-entry.c, gnome-ui-init.c:
	  gnome_program_get_name is now gnome_program_get_app_id and
	  gnome_program_get_version is now gnome_program_get_app_version

Sat Sep 01 23:38:29 2001  George Lebl <jirka@5z.com>

	* libgnomeui/Makefile.am, gnome-scores.[ch]:  Port to GtkDialog and bring back
	  to life

Sat Sep 01 17:41:16 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-dialog.[ch]: bring to strict 1.0 API level, dump clicked
	  method and add grab_focus

	* libgnomeui/gnome-messagebox.[ch]: bring to strict 1.0 API leve, dump the
	  public construct method

2001-09-01  Anders Carlsson  <andersca@gnu.org>

	* libgnomeui/gnome-window.c, gnome-window.h:
	Remove icon setter functions since better ones now exist in gtk+.

Fri Aug 31 17:24:25 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-mdi.h, gnome-mdi-child.h, gnome-mdi-generic-child.h:  Add a
	  reserved pointer to the struct, just in case we'd need a private
	  struct.

Fri Aug 31 16:07:13 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-mdi*.[ch], libgnomeui.h, Makefile.am: Do a port of the 1.0
	  version of gnome-mdi.  Of course all deprecated.

Fri Aug 31 03:59:37 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-pixmap-entry.c, gnome-icon-entry.c: a bit of fixup for new
	  GTK+ api

Fri Aug 31 03:16:44 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-icon-entry.h, gnome-icon-sel.h, gnome-pixmap-entry.h:  Remove
	  the include of gnome-defs.h.  Damn includes mess.  I wasn't seeing
	  this issue.

2001-08-31  Anders Carlsson  <andersca@gnu.org>

	* libgnomeui/Makefile.am: Remove gnome-component-widget.[ch]

	* libgnomeui/gnome-app-helper.c: Include gnome-init.h

	* libgnomeui/gnome-component-widget.c: Remove.

	* libgnomeui/gnome-component-widget.h: Remove.

	* libgnomeui/gnome-dateedit.c: (gnome_date_edit_class_init): Set
	get_property and set_property before adding properties.

Thu Aug 30 19:50:09 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-propertybox.[ch], libgnomeui.h, Makefile.am:  Add the
	  deprecated gnome-propertybox widget.  Exactly the same as 1.0
	  version and all under _DISABLE_DEPRECATED

	* libgnomeui/gnome-entry.h, gnome-file-entry.h:  In case it will at some point
	  be possible to add insert_text and delete_text signals and have
	  the filtering semantics work, added two reserved pointers in the
	  class structures.

Thu Aug 30 18:51:12 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-macros.h: Fix typo in parent_class declaration

	* libgnomeui/gnome-pixmap-entry.[ch]:  Make this subclassed from
	  GnomeFileEntry.  This means that a bunch of code could
	  disappear and some methods can be deprecated.

	* libgnomeui/gnome-file-entry.[ch], gnome-entry.[ch]:  Make these things
	  have the GtkEditable interface so that they are more standard
	  entry widgets, and thus easy to use.  Also make them have the
	  "changed" and "activate" signals so that accessing the GtkEntry
	  directly basically isn't necessary at all now.  Also it will
	  easily plug into all code that can handle GtkEditables.

Thu Aug 30 16:04:02 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-stock-icons.[ch], pixmaps/stock_trash.png,
	  pixmaps/Makefile.am: Add the trash icon so that now we have
	  the full set of icons as in 1.0, that is mapped to the GTK ones.

	* libgnomeui/pixmaps/copyright.txt: comically this still mentioned Imlib

Thu Aug 30 15:55:09 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-stock-icons.h: add all the deprecated gnome-stock id's and
	  map them to the corresponding gtk-stock id's.  We're only missing
	  TRASH right now

Thu Aug 30 14:38:35 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-pixmap-entry.[ch], libgnomeui.h, Makefile.am:  Add back the
	  pixmap entry.  Still needs a little bit of love but pretty much
	  there and sane

	* libgnomeui/gnome-image-selector.[ch], gnome-image-entry.[ch], Makefile.am,
	  libgnomeui.h:  This is an uncontraversial change, this this now
	  should live in bonobo extra apparently.

2001-08-30  Anders Carlsson  <andersca@gnu.org>

	* libgnomeui/gnome-href.c (gnome_href_class_init): Make the properties
	actually work.
	(gnome_href_construct): Remove this function, since we can
	do everything with properties now.
	(gnome_href_new): Use g_object_new.

Thu Aug 30 05:42:06 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-winhints.[ch], gnome-client.c, gnome-ui-init.c: drop
	  this module according to plan.  We should all rejoice,
	  all rastercode is now gone from gnome-libs.

	* libgnomeui/gnome-file-entry.[ch], gnome-icon-entry.c, libgnomeui.h,
	  Makefile.am:  The uncontraversial change apparently.  Finish
	  gnome-icon-entry and make it use non-deprecated widgets.

	* libgnomeui/gnome-pixmap.c: use GNOME_DISABLE_DEPRECATED_SOURCE on the
	  entire source.

Thu Aug 30 04:08:18 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-pixmap.[ch]:  put the deprecated widget back here.
	  Implements about 2/3's (The non imlib stuff) from 1.0 GnomePixmap
	  and it's just a thin wrapper around GtkImage.  I took it originally
	  from libgnome1-compat where the version is completely screwed since
	  it didn't resemble the gnome1 widget at all :)

Tue Aug 28 22:38:38 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-gconf-ui.c: Make the OK button close the dialog

2001-08-30  Anders Carlsson  <andersca@gnu.org>

	* demos/Makefile.am (animator_demo_SOURCES): Remove
	winhints-demo.

2001-08-28  Seth Nickell  <snickell@stanford.edu>

	* libgnomeui/gnome-icon-list.c:

	GTK_SELECTION_EXTENDED is deprecated and means the same
	thing as GTK_SELECTION_MULTIPLE. GCC really doesn't like
	having two cases that evaluate to the same thing, so we
	nix GTK_SELECTION_EXTENDED.

Mon Aug 27 01:32:00 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-icon-entry.[ch], gnome-icon-sel.[ch]: bring back pre-selector
	  versions of these.  Not yet fully finished, use of gnome-dialog
	  exorcised, gnome-pixmap usage still lurks.  Comitting for
	  andersca's hacking pleasure.

Mon Aug 27 00:44:15 2001  George Lebl <jirka@5z.com>

	* libgnomeui/Makefile.am, gnome-gconf-ui.[ch], gnome-ui-init.c, libgnomeui.h:
	  Add gconf error stuff as a module, no api added.  The only two
	  gnome-gconf API entry points are in libgnome itself.  Also
	  a bit of cleanup in the init code, and handle fork() < 0 case
	  on segfault.

	* libgnomeui/gnome-app-helper.c, gnome-messagebox.c: fix includes and use the
	  gconf stuff

Sun Aug 26 19:35:04 2001  George Lebl <jirka@5z.com>

	* libgnomeui/Makefile.am, gnome-app-helper.[ch], gnome-app-util.[ch],
	  gnome-app.[ch], libgnomeui.h:  Make gnome-app and friends
	  compile and all that good stuff.  Not finished, but somewhat
	  there.  gnome-app-util is deprecated here.

Sun Aug 26 16:37:35 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-i18nP.h, gnome-app-util.c, gnome-app.c, gnome-canvas-init.c,
	  gnome-client.c, gnome-color-picker.c, gnome-dateedit.c,
	  gnome-druid-page-edge.c, gnome-druid-page-standard.c, gnome-druid.c,
	  gnome-entry.c, gnome-file-entry.c, gnome-font-picker.c,
	  gnome-href.c, gnome-stock-icons.c, gnome-ui-init.c, gnome_segv.c,
	  libgnomeuiP.h:  Fix i18n issues (as in, translations should work
	  again now) and add a gnome-i18nP.h like in libgnome.

	* libgnomeui/Makefile.am, gnome-dialog-util.[ch], gnome-dialog.[ch],
	  gnome-messagebox.[ch]: Ressurect the gnome-dialog/messagebox stuff
	  only to be deprecated, and it is marked deprecated.  The
	  gnome-stock defines for buttons have been added to gnome-dialog.h,
	  and they point to corresponding GTK_STOCK_ defines.

	* libgnomeui/gnome-dateedit.[ch], gnome-file-entry.h, gnome-href.[ch]: use
	  GNOME_DISABLE_DEPRECATED rather then GNOME_EXCLUDE_DEPRECATED

	* libgnomeui/gnome-file-entry.c: add GNOME_DISABLE_DEPRECATED_SOURCE around
	  a deprecated method and some fixups related

Sun Aug 26 09:18:55 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-app-helper.[ch], gnome-app-util.[ch], gnome-app.[ch],
	  gnome-appbar.[ch]:  Committing sane HEAD versions of these for
	  Anders to hack on.  Removed the helpsys stuff since we'll likely
	  not use that.  Not added these to the build since they probably
	  won't.  They need a bit of loving before that.

Sat Aug 25 20:18:13 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-druid-page-standard.c:  Fix bad prototype

Sat Aug 25 00:33:51 2001  Jonathan Blandford  <jrb@redhat.com>

	* libgnomeui/gnome-druid-page-standard.c
	(gnome_druid_page_standard_append_item): Modified patch from James
	Cape to improve look of druid.  Added a convenience API.

2001-08-24  Darin Adler  <darin@bentspoon.com>

	* test-gnome/testgnome.c: (create_entry): Update for new API.

2001-08-24  Darin Adler  <darin@bentspoon.com>

	* libgnomeui/gnome-file-entry.h:
	* libgnomeui/gnome-file-entry.c:
	Fix headers to make it compile.

Fri Aug 24 23:31:39 2001  George Lebl <jirka@5z.com>

	Note: we now require most up to date gnome-vfs from CVS

	* libgnomeui/gnome-file-entry.[ch]:  Bring back the file entry, use macros in it
	  make it use gnome-vfs uri functions (only local files for now),
	  also make it a vbox with an hbox packed inside it so that preview
	  can be added by gnome-pixmap-entry and it can be derived from
	  gnome-file-entry. I think this should be propagated to
	  gnome-entry somehow maybe.  Move more stuff into the private
	  structure as well.

	* libgnomeui/gnome-entry.c: fix warning

2001-08-24  Darin Adler  <darin@bentspoon.com>

	* libgnomeui/gnome-entry.h: Fixed GnomeEntry header to not include the
	nonexistent gnome-defs.h header.

	* libgnomeui/gnome-color-picker.c:  Removed include of <gtk/gtkcompat.h>
	now that the latest gtk doesn't use that header any more. But
	this does mean we now require a newer gtk.

2001-08-24  Anders Carlsson  <andersca@codefactory.se>

	* libgnomeui/gnome-entry.c: (gnome_entry_get_type), (gnome_entry_class_init),
	(gnome_entry_get_property), (gnome_entry_set_property),
	(entry_changed), (entry_activated), (gnome_entry_init),
	(gnome_entry_construct), (gnome_entry_new), (free_item),
	(free_items), (gnome_entry_destroy), (gnome_entry_finalize),
	(gnome_entry_gtk_entry), (gnome_entry_set_history_id),
	(gnome_entry_get_history_id), (gnome_entry_set_max_saved),
	(gnome_entry_get_max_saved), (build_prefix),
	(gnome_entry_add_history), (gnome_entry_prepend_history),
	(gnome_entry_append_history), (set_combo_items),
	(gnome_entry_load_history), (gnome_entry_clear_history),
	(check_for_duplicates), (gnome_entry_save_history):
	* libgnomeui/gnome-entry.h:

	Bring back the old GnomeEntry widget.

Fri Aug 24 07:57:50 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-color-picker.c, gnome-font-picker.c: use gnome-macros.h

Fri Aug 24 07:16:18 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-font-picker.[ch]: move all fields to the private struct,
	  add an accessor for the 'inside', but only if it's a user set
	  inside.  Change gtkargs to gparams so we get all the new stuff.
	  Add a fixme here and there and minor doc updates

2001-08-22  Iain Holmes  <iain@ximian.com>

	* libgnomeui/Makefile.am: Install gnome-macros.h

2001-08-20  Carlos Perelló Marín <carlos@gnome-db.org>

	* configure.in: /s/libgnomeui-2/libgnomeui2/

2001-08-14  Martin Baulig  <baulig@suse.de>

	* libgnomeui/Makefile.am: Disabled GnomeFontPicker.

2001-08-14  Martin Baulig  <baulig@suse.de>

	* libgnomeui/Makefile.am: Disabled GnomeAbout, don't link it into the
	library and don't install the header file.

	* libgnomeui/gnome-about.h (GnomeAbout): Removed all fields and added
	a private field.
	(gnome_about_new): Removed.

Sun Aug 12 11:22:03 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-dateedit.[ch]: Some cleanup, and make the time
	  reading/writing code be i18n correct (to a degree at least),
	  also fix possible bad strftime use.

	* libgnomeui/gnome-entry.c: no comma after last enum element and unref
	  the property bag in finalize

	* libgnomeui/gnome-font-picker.c: fix a possible crash and cleanup a bit of
	  code

2001-08-14  Martin Baulig  <baulig@suse.de>

	Released libgnomeui 1.102.0 "Roswell".

	* configure.in: Bumpbed version number to 1.102.0.

	* NEWS: Start to write the NEWS file for the release.

	* Makefile.am: Don't build the components/ directory.

2001-08-11  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-geometry.[ch]: Moved to libgnome1compat/libgnomeui.

2001-08-11  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-unit-spinner.[ch]: Removed.

2001-08-11  Martin Baulig  <baulig@suse.de>

	* libgnomeui/Makefile.am: Don't install gnome-macros.h.

2001-08-11  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gtkrc*: Removed.

	* libgnomeui/landscape.xpm, portrait.xpm: Removed.

2001-08-11  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-rexec-server.oafinfo: Removed.

	* libgnomeui/gnome-remote-bootstrap.c: Removed.

2001-08-11  Martin Baulig  <baulig@suse.de>

	* libgnomeui/wap-textfu.[ch]: Removed.

	* libgnomeui/gnome-ditem-edit.[ch]: Removed.

2001-08-11  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-icon-item.[ch]: Removed.
	* libgnomeui/gnome-icon-text.[ch]: Removed.

	* libgnomeui/gnome-icon-list.c: Use the new GnomeCanvasRichText.
	(FIXME: Incomplete).

2001-08-11  Martin Baulig  <baulig@suse.de>

	* libgnomeui/oafgnome.[ch]: Removed.

2001-08-11  Martin Baulig  <baulig@suse.de>

	* configure.in: Require libgnome >= 1.101.0, libgnomecanvas >= 1.96.2
	and libbonoboui >= 1.97.0.

2001-08-10  Martin Baulig  <baulig@suse.de>

	* configure.in: Don't check for gnome-maketypes and
	gnome-makeenums, they aren't needed anymore.

2001-08-09  Michael Meeks  <michael@ximian.com>

	* libgnomeui/gnome-paper-selector.[ch]: Kill, now in libgnomeprintui.

2001-08-07  Michael Meeks  <michael@ximian.com>

	* libgnomeui/oafgnome.c: mostly port to gnome 2.0 and bonobo-activation.

2001-08-07  Michael Meeks  <michael@ximian.com>

	* configure.in: use AM_GLIB_GNU_GETTEXT stuff.

	* Makefile.am: ditto.

2001-08-07  Darin Adler  <darin@bentspoon.com>

	* libgnomeui/oafgnome.c: Remove unnecessary includes of now-nonexistent
	headers to make things compile.

2001-08-06  Peter Williams  <peterw@ximian.com>

	* libgnomeui/Makefile.am, gnome-ui-init.c, gnome-window.c: Track the
	rename of gnome-init.c to gnome-ui-init.c

2001-08-06  Darin Adler  <darin@bentspoon.com>

	* libgnomeui/gnome-remote-bootstrap.c:
	* libgnomeui/libgnomeui.h:
	A couple more places where gnome-init.h needs to be changed
	to gnome-ui-init.h.

2001-08-01  Michael Meeks  <michael@ximian.com>

	* libgnomeui/oafgnome.h: port to bonobo-activation.

	* libgnomeui/oafgnome.c (og_pre_args_parse): upd.

	* libgnomeui/gnome-rexec-server.c: stale, removed.

2001-08-01  Darin Adler  <darin@bentspoon.com>

	* demos/winhints_demo.c: Update for changes to GnomeAbout.

2001-08-01  Anders Carlsson  <andersca@codefactory.se>

	* test-gnome/testgnome.c (verb_HelpAbout_cb): Update for new API.

2001-08-01  Anders Carlsson  <andersca@codefactory.se>

	* libgnomeui/gnome-about.c: Empty stub for API functions until I
	can check in the real implementation.

	* libgnomeui/gnome-about.h: Add new API since it's July 32nd today :)

2001-07-30  Joe Shaw  <joe@ximian.com>

	* test-gnome/testgnome.c (create_newwin): Get this building again by adding
	a NULL CORBA environment to the bonobo_ui_component_set_container
	call.

2001-07-22  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-recently-used.[ch]: Removed.

2001-07-22  Joe Shaw  <joe@ximian.com>

	* libgnomeui/gnome-druid.c (gnome_druid_init): Change GNOME_STOCK_BUTTON_PREV
	to GTK_STOCK_GO_BACK, GNOME_STOCK_BUTTON_NEXT to GTK_STOCK_GO_FORWARD,
	GNOME_STOCK_BUTTON_CANCEL to GTK_STOCK_CANCEL, GNOME_STOCK_BUTTON_APPLY
	to GTK_STOCK_APPLY and GNOME_STOCK_BUTTON_HELP to GTK_STOCK_HELP.

	* libgnomeui/gnome-font-picker.c: Include gtkstock.h instead of gnome-pixmap.h.
	(gnome_font_picker_create_inside): Change GNOME_STOCK_PIXMAP_FONT to
	GTK_STOCK_SELECT_FONT.

	* libgnomeui/gnome-init.c: Don't include gnome-pixmap.h

2001-07-22  Martin Baulig  <baulig@suse.de>

	* libgnomeui/pixmaps/stock_menu_scores.png: Removed, same as stock_scores.png.

	* libgnomeui/gnome-stock-icons.[ch]: Cleaned this up.

2001-07-22  Carlos Perelló Marín <carlos@gnome-db.org>

	* test-gnome/testgnome.c: Removed all the references to gnome_less.

2001-07-21  Martin Baulig  <baulig@suse.de>

	* test-gnome/testgnome.c (create_pixmap): Removed.
	(create_newwin): Fixed the UI stuff.

2001-07-21  Martin Baulig  <baulig@suse.de>

	* libgnomeui/pixmaps/: Removed all icons which are already in GTK+:
	stock_add.png, stock_align_center.png, stock_align_justify.png,
	stock_align_left.png, stock_align_right.png, stock_bottom.png,
	stock_button_apply.png, stock_button_cancel.png, stock_button_close.png,
	stock_button_no.png, stock_button_ok.png, stock_button_yes.png, stock_cdrom.png,
	stock_clear.png, stock_close.png, stock_colorselector.png, stock_convert.png,
	stock_copy.png, stock_cut.png, stock_down_arrow.png, stock_exec.png,
	stock_exit.png, stock_first.png, stock_font.png, stock_help.png, stock_home.png,
	stock_index.png, stock_jump_to.png, stock_last.png, stock_left_arrow.png,
	stock_new.png, stock_open.png, stock_paste.png, stock_preferences.png,
	stock_print.png, stock_properties.png, stock_redo.png, stock_refresh.png,
	stock_remove.png, stock_revert.png, stock_right_arrow.png, stock_save.png,
	stock_save_as.png, stock_search.png, stock_search_replace.png,
	stock_spellcheck.png, stock_stop.png, stock_text_bold.png, stock_text_italic.png,
	stock_text_strikeout.png, stock_text_underline.png, stock_top.png,
	stock_trash.png, stock_undelete.png, stock_undo.png, stock_up_arrow.png.

2001-07-21  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-pixmap.[ch]: Removed, this is already in libgnome1-compat.

2001-07-19  Michael Meeks  <michael@ximian.com>

	* test-gnome/testgnome.c (create_newwin): fixup add_verb_list_with_data so
	we pass the right data member.

2001-07-19  Martin Baulig  <baulig@suse.de>

	* test-gnome/testgnome.xml: Use the new Bonobo stock stuff.

2001-07-18  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gtkdial.[ch], gtk-clock.[ch]: Removed.

2001-07-18  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-mdi-child.[ch], gnome-mdi-generic-child.[ch],
	gnome-mdi-session.[ch], gnome-mdi.[ch], gnome-roo.[ch],
	gnome-pouch.[ch]: Removed.

2001-07-18  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-less.[ch]: Removed.

2001-07-18  Darin Adler  <darin@bentspoon.com>

	* test-gnome/testgnome.c: (main): Removed gnome_less part, since Martin
	removed that class from this library.

2001-07-16  Martin Baulig  <baulig@suse.de>

	* libgnomeui/Makefile.am: Added explicit dependency
	"gnometypes.c: $(srcdir)/gnometype_inits.c".

2001-07-16  Martin Baulig  <baulig@suse.de>

	* ChangeLog: This is the *top-level* ChangeLog file. There
	are ChangeLog files in libgnomeui/, demos/ and test-gnome/.

2001-07-15  Darin Adler  <darin@bentspoon.com>

	* libgnomeui/.cvsignore: Update for new generated files.

2001-07-15  Carlos Perelló Marín <carlos@gnome-db.org>

	* libgnomeui/Makefile.am (gnometypebuiltins.c): It depends on gnometypebuiltins.h

2001-07-14  Peter Williams  <peterw@ximian.com>

	* libgnomeui/.cvsignore: Update for new generated type files.

2001-07-13  Darin Adler  <darin@bentspoon.com>

	* configure.in: Remove duplicate macros.

2001-07-08  Peter Williams  <peterw@ximian.com>

	* libgnomeui/Makefile.am ($(srcdir)/gnome.defs): Add $(srcdir)/
	to these targets for when srcdir != builddir.
	(gnometypebuiltins.c,h): Change from gnome-maketypes.awk
	to the glib-mkenums script.
	(gnometype_inits.c): But also provide hooks for one function
	that will init all the types.

	* libgnomeui/gnometypes.c (gnome_type_init): #include gnometype_inits.c
	to initialize all of the types.

2001-07-08  Peter Williams  <peterw@ximian.com>

	* configure.in (REBUILD): Add a REBUILD rule as in libgnome.

2001-07-08  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-canvas-init.c (gtk_module_info): Added gtk_options.

Sun Jul  1 12:18:32 2001  Jonathan Blandford  <jrb@redhat.com>

	* libgnomeui/gnome-druid-page.c (gnome_druid_page_new): Add a way to get a
	druid.

Tue Jun 26 23:27:58 2001  Jonathan Blandford  <jrb@redhat.com>

 	* gnome-druid.c (gnome_druid_set_property): Add Param support.
 	(gnome_druid_get_property): Add Param support.
 	(gnome_druid_init): Add a Help button.

 	* gnome-druid.h: Add a Help button.

Sat Jun 30 20:31:22 2001  Jonathan Blandford  <jrb@webwynk.net>

	* libgnomeui/gnome-init.c (libgnomeui_rc_parse): removed #warning, as
	gtk_rc_init is dead.

2001-07-02  Carlos Perelló Marín <carlos@gnome-db.org>

	* test-gnome/testgnome.[ch]: Some cleanup, but it does not run now :-?. I think
	that is not my fault, but I'm not sure...

2001-06-28  Michael Meeks  <michael@ximian.com>

	* libgnomeui/gnome-init.c (libgnomeui_post_args_parse): remove
	gtk_rc_set_image_loader
	(libgnomeui_pixbuf_image_loader): kill.
	[ thanks to: Carlos Perelló Marín <carlos@gnome-db.org> ]
	(libgnomeui_rc_parse): remove gtk_rc_init.

	* libgnomeui/pixmaps/Makefile.am (gnome-stock-pixbufs.h): update the stock
	pixbuf building code.

	* libgnomeui/gnome-stock-icons.c (add_sized): use gdk_pixbuf_new_from_stream,
	a randomly re-named and re-signatured method: great.
	(add_unsized): ditto.

2001-06-28  Cody Russell  <bratsche@gnome.org>

	* libgnomeui/libgnomeui-2.0.pc.in: Add gconf-2.0 dependency.

2001-06-28  Anders Carlsson  <andersca@codefactory.se>

	* libgnomeui/gnome-stock-icons.c: (add_sized), (add_unsized): Change
	gdk_pixbuf_new_from_inline to gdk_pixbuf_new_from_stream.

	* libgnomeui/pixmaps/Makefile.am: change MAKE_INLINE_PIXBUF to GDK_PIXBUF_CSOURCE

2001-06-28  Anders Carlsson  <andersca@codefactory.se>

	* configure.in: change MAKE_INLINE_PIXBUF to
	GDK_PIXBUF_CSOURCE.

2001-06-26  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: Added ta to the languages list.

2001-06-21  Mark Murnane  <Mark.Murnane@Sun.com>

	* libgnomeui/Changes made during 64-bit cleaning.

	* libgnomeui/gnome-dateedit.c (day_selected): Modified type of day, month and year
	to match signature of gtk_calendar_get_date.

	* libgnomeui/gnome-icon-text.c (gnome_icon_layout_text):  Changed w_len and sublen
 	to a gsize.

	* libgnomeui/gnome-less.c (gnome_less_write_fd): Changes len and bytes_written to
	a gsize.

	* libgnomeui/gnome-remote_bootstrap.c (main): Changed setenv to putenv.  Solaris
	does not have a setenv libc function.

	* libgnomeui/gnome-unit-spinner.c: Added include directive for string.h.  Required
	to ensure proper forward declaration of strcmp().

2001-06-21  Jens Finke  <jens@gnome.org>

	* libgnomeui/libgnomeui.h: Don't include gnome-animator.h.

2001-06-19  Héctor García Álvarez <hector@scouts-es.org>

	* configure.in: added "es" for Spanish to $ALL_LINGUAS

2001-06-19  Cody Russell  <bratsche@gnome.org>

	* libgnomeui/gnome-animator.[ch]: Removed.

	* libgnomeui/Makefile.am: Removed gnome-animator

2001-06-17  Carlos Perelló Marín <carlos@gnome-db.org>

	* test-gnome/Started the port to Gnome 2.0

2001-06-16  Christian Rose  <menthos@menthos.com>

	* configure.in: Added sv to ALL_LINGUAS.

2001-06-15  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-mdi.[ch]: Started to port this to BonoboWindow.

	* libgnomeui/gnome-mdi.h (GnomeMDIClass): Changed return value of the `add_child',
	`remove_child', `add_view' and `remove_view' virtual functions from
	gint to gboolean. The second argument of the `app_created' virtual
	function is now a `BonboWindow *'.
	(gnome_mdi_get_app_from_view): Renamed to gnome_mdi_get_window_from_view.
	(gnome_mdi_get_active_window): Return a `BonoboWindow *'.
	(gnome_mdi_get_window_from_view): Likewise.
	(gnome_mdi_get_view_from_window): Second argument is `BonoboWindow *'.
	(gnome_mdi_set_menubar_template): Second argument is `const gchar *'.
	(gnome_mdi_set_toolbar_template): Likewise.

	* libgnomeui/gnome-mdi-child.h (GnomeMDIChildClass): Renamed `set_label' to `get_node'
	and made it return a `BonoboUINode *'.

2001-06-14  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-textfu.[ch], gnome-popup-help.[ch], gnome-popup-menu.[ch]: Removed.

	* libgnomeui/gnome-helpsys.[ch], wap-textfu.[ch]: Removed.

2001-06-14  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-cursors.[ch]: Removed. This was a new addition, so we don't
	need to put it into libcompat.

2001-06-13  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-window.c (gnome_window_set_icon_from_default): New function.

2001-06-13  Martin Baulig  <baulig@suse.de>

	* libgnomeui/Makefile.am: Install libgnomeui.h in `$(includedir)/gnome/2' to make it
	consistent with Bonobo.

	* libgnomeui/libgnomeui.h: You now use #include <libgnomeui.h> to get this.

2001-06-13  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-selector-client.[ch]: Moved to libgnome-extra/libgnomeui.
	* libgnomeui/gnome-selector-dialog-client.[ch]: Likewise.
	* libgnomeui/gnome-selector-component.[ch]: Likewise.

	* libgnomeui/gnome-selector-widget.[ch]: Renamed to gnome-component-widget.[ch].

2001-06-13  Martin Baulig  <baulig@suse.de>

	* demos/selector_demo.c: Moved to libgnome-extra/demos.
	* demos/libgnome-demos-server.c, libgnomeui-demos.oafinfo: Likewise.

2001-06-13  Martin Baulig  <baulig@suse.de>

	* configure.in: Use PKG_CHECK_MODULES from pkg-config to
	check for stuff.

2001-06-13  Martin Baulig  <baulig@suse.de>

	* gnome.h: Moved to libcompat.

	The plan with #include <gnome.h> is the same than with
	#include <bonobo.h>: it will enable the compatibility stuff
	while you should use <libgnome.h> and <libgnomeui.h> for
	new applications.

2001-06-12  Martin Baulig  <baulig@suse.de>

	* libgnomeui/libgnomeui-2.0.pc.in: Depend on libgnomecanvas-2.0, but not on gconf-2.0.

	* libgnomeui/gnome-cursors.c (build_cursor_table): Commented this out.
	(FIXME: gnome-cursors.[ch] will go away, fix all code which is still
	using it).

	* libgnomeui/gnome-gconf.[ch]: Removed.

2001-06-12  Martin Baulig  <baulig@suse.de>

	* gnome.h: Don't #include "gnomesupport.h".
	Use `#include <...>' instead of `#include "..."'.

2001-06-11  Cody Russell  <bratsche@gnome.org>

	* libgnomeui/wap-textfu.c: Fix small warning so we can build with -Werror.

	* libgnomeui/Makefile.am: Add GCONF_CFLAGS and GCONF_LIBS.

2001-06-11  Cody Russell  <bratsche@gnome.org>

	* demos/Makefile.am: Add GCONF_CFLAGS.

2001-06-10  Martin Baulig  <baulig@suse.de>

	* libgnomeui/Makefile.am: Disabled gnome-paper-selector.[ch] and gnome-unit-spinner.[ch].
	We need to move them into libgnomeprint, same for libgnome/gnome-paper.[ch].

2001-06-10  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-selector-client.c (BONOBO_TYPE_FUNC_FULL): Use Bonobo_Unknown instead
	of GNOME_SelectorClient so that we can kill this interface.

2001-06-10  Chema Celorio  <chema@celorio.com>

	* libgnomeui/gnome-selector-client.c (gnome_selector_client_construct_from_objref):
	remove a g_return_if_fail for an unitialized variable

2001-06-07  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added "az" and "wa" to the languages list.

2001-06-06  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: Added "tr" to the languages list.

2001-06-05  Mike Kestner  <mkestner@speakeasy.net>

	* libgnomeui/gnome-client.c : #endif token removed
	* libgnomeui/gnome-init.c (GnomeProgramPrivate_libgnomeui): added display, icon,
	and crash_dialog fields.
	(libgnomeui_get_property): handle icon, display, and crash_dlg params
	(libgnomeui_set_property): handle icon, display, and crash_dlg params

2001-06-04  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-selector-widget.[ch]: New files.

	* libgnomeui/gnome-selector-client.[ch]: Derive from BonoboObject, not BonoboWidget.
	(gnome_selector_client_new_from_objref): Take a Bonobo_Unknown, not a GNOME_Selector.
        (gnome_selector_client_construct_from_objref): Likewise.

	* libgnomeui/gnome-entry.[ch]: Derive from GnomeSelectorWidget, not GnomeSelectorClient.
	(gnome_entry_new_from_selector, gnome_entry_construct): Removed.

	* libgnomeui/gnome-image-entry.[ch]: Derive from GnomeSelectorWidget, not GnomeSelectorClient.
	(gnome_image_entry_new_from_selector): Removed.

	* libgnomeui/gnome-image-selector.[ch]: Derive from GnomeSelectorWidget, not GnomeSelectorClient.
	(gnome_image_selector_new_from_selector, gnome_image_selector_construct): Removed.

2001-06-03  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-selector-dialog-client.c
	(gnome_selector_dialog_client_new): Added `GnomeSelector *selector' argument.

2001-06-03  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-selector-component.c (PROP_CONFIG_MONIKER, ensure_properties_handler):
	Removed; this is now done by GnomeSelector.

2001-06-03  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-entry.c: Use the new GnomeEntryComponent.
	(PROP_IS_FILE_ENTRY): New property; this widget can now be used both
	as normal and as file entry.

	* libgnomeui/gnome-entry.[ch] (gnome_file_entry_new): New function.

	* libgnomeui/gnome-file-entry.[ch]: Removed.

	* libgnomeui/gnome-selector-component.c
	(PROP_CONFIG_MONIKER): New property. This is a moniker to a Bonobo_PropertyBag
	with the default configuration (look&feel) for the selector.
	(ensure_properties_handler): Set defaults from the property bag.

2001-06-03  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-icon-item.[ch]: Derive from GnomeCanvasText.

2001-06-02  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-selector-client.h (GnomeSelectorClientClass):
	Added "activate_entry" signal.

2001-06-01  Peter Williams  <peterw@ximian.com>

	* libgnomeui/pixmaps/Makefile.am (gnome-stock-pixbufs.h): Add
	a $(srcdir) into the sed so we compile when builddir !=
	srcdir.

2001-06-01  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-selector-client.c
	(gnome_selector_client_get_selector): New function.

	* libgnomeui/gnome-selector-component.c
	(activate_entry_handler): Removed, don't override this.
	(do_construct_handler): Hook into the selector's "history_changed" signal.

2001-06-01  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-selector-client.c
	(gnome_selector_client_get_entry_text, gnome_selector_client_set_entry_text):
	Removed, use the PropertyBag.

2001-06-01  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-selector-client.c
	(gnome_selector_client_check_uri): New function.
	(gnome_selector_client_scan_directory): New function.

2001-05-31  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-selector-client.c (WANT_PREVIEW_WIDGET): New property.

	* libgnomeui/gnome-selector-component.[ch]: Derive from GnomeSelector, not
	GnomeFileSelector which is now a component.
	(GnomeSelectorComponentClass): Added "ensure_properties" signal.
	(PROP_PREVIEW_WIDGET, PROP_CONTROL_WIDGET): New properties.

2001-05-30  Christophe Merlet  <redfox@eikonex.org>

	* configure.in: Added fr to $ALL_LINGUAS.

2001-05-27  ERDI Gergo  <cactus@cactus.rulez.org>

	* libgnomeui/gnome-about.c: First run at porting it over to
	Pango. It is no longer themed by special widget names in GTKRC,
	instead, you modify the default font for the canvas widget in
	your GTKRC and it will use that. Colors and layout sizes are
	hardcoded for now. Only the title, the copyright and the
	description is displayed (i.e. the authors list is missing).

2001-05-25  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-vfs-util.c (load_done): Use gnome_vfs_async_cancel() instead of
	gnome_vfs_async_close() on error.

2001-05-25  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-selector-client.c
	(gnome_selector_client_set_uri): New function.
	(gnome_selector_client_add_uri): New function.

2001-05-23  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-selector-client.c (gnome_selector_client_construct): Create the
	property bag and use the factory.

2001-05-21  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-selector-client.c (PROP_WANT_ENTRY_WIDGET, PROP_WANT_SELECTOR_WIDGET,
	PROP_WANT_BROWSE_DIALOG, PROP_WANT_BROWSE_BUTTON, PROP_WANT_CLEAR_BUTTON,
	PROP_WANT_DEFAULT_BUTTON): Use the new tristate enum.
	(gnome_selector_client_construct): Don't create the property bag but encode
	all the arguments in the moniker string.

	* libgnomeui/gnome-selector-component.c: Use the new tristate enum.

	* libgnomeui/gnome-image-entry.c, gnome-image-selector.c: Only set properties which
	are different from their default values.

	* libgnomeui/gnome-selector-dialog-client.[ch]: New files.

2001-05-21  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-image-selector.c, gnome-image-entry.c: Don't include anything
	from components/. Good to see you hacking here again, George :-)

Mon May 21 00:49:03 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-ditem-edit.[ch]:  Make it a widget instead of an object, (this
	  is all new api anyway so we're allowed to break it if it's broken)
	  Also whack ALL the accessors for widgets inside as those are
	  stupid.  And make the ref couting scheme on the ditem a bit saner
	  (copy on set, ref on get), and update comments and documention
	  strings througout.  The icon entry stuff doesn't see changes and
	  would get it wrong anyway, need to talk to martin.  Now for my next
	  trick I'll try to get this to follow the .desktop standard.

Sun May 20 23:15:50 2001  George Lebl <jirka@5z.com>

	* libgnomeui/gnome-image-selector.c, gnome-image-entry.c: include the component
	  header from the right directory, components/ to make this beast
	  compile ... yay!

2001-05-20  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-selector-component.c
	(PROP_USE_DEFAULT_ENTRY_WIDGET, PROP_USE_DEFAULT_SELECTOR_WIDGET,
	PROP_WANT_BROWSE_BUTTON, PROP_WANT_CLEAR_BUTTON, PROP_WANT_DEFAULT_BUTTON):
	Removed these properties
	(do_construct_handler): Use the client's property bag.

	* libgnomeui/gnome-selector-client.c
	(PROP_WANT_ENTRY_WIDGET, PROP_WANT_SELECTOR_WIDGET, PROP_WANT_BROWSE_BUTTON,
	PROP_WANT_CLEAR_BUTTON, PROP_WANT_DEFAULT_BUTTON, PROP_BROWSE_DIALOG_MONIKER):
	New properties.
	(gnome_selector_client_construct): Create a new property bag and proxy our
	GObject's properties.

	* libgnomeui/gnome-image-entry.c (gnome_image_entry_construct): Removed.
	(PROP_IS_PIXMAP_ENTRY, PROP_PREVIEW_X, PROP_PREVIEW_Y): New properties.

2001-05-20  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-selector-client.h
	(gnome_selector_client_new): Take a `const gchar *moniker'.
	(gnome_selector_client_construct): Likewise.
	(gnome_selector_client_new_from_objref): New function.
	(gnome_selector_client_construct_from_objref): Likewise.

2001-05-19  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-image-entry-component.[ch]: Moved to ../components.
	* libgnomeui/gnome-icon-selector-component.[ch]: Likewise.

	* libgnomeui/gnome-image-entry.c, gnome-image-selector.c: Use bonobo_get_object()
	to activate the component.

2001-05-19  Martin Baulig  <baulig@suse.de>

	* demos/Makefile.am: Comment out animator_demo.

	* demos/selector_demo.c: Added FTP test.

2001-05-19  Martin Baulig  <baulig@suse.de>

	* components/: New directory.

2001-05-10  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-file-entry.h (GnomeFileEntry): Derive from GnomeSelectorClient.
	* libgnomeui/gnome-file-entry.c (gnome_file_entry_new): Use GnomeSelectorComponent.

	* libgnomeui/gnome-image-entry-component.h (GnomeImageEntryComponent): Derive from
	GnomeSelectorComponent.

2001-05-09  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-selector-component.[ch]: New files.

	* libgnomeui/gnome-icon-selector-component.h (GnomeIconSelectorComponent): Derive
	from GnomeSelectorComponent.

	* libgnomeui/gnome-image-selector.[ch]: New files; this is a GnomeSelectorClient
	wrapper for the GnomeIconSelectorComponent.

2001-05-09  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-icon-selector-component.[ch]: Use the new GnomeSelector API.

	* libgnomeui/gnome-icon-selector.[ch]: Renamed to gnome-icon-selector-component.[ch].

2001-05-09  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-icon-entry.[ch]: Renamed to gnome-image-entry-component.[ch].

	* libgnomeui/gnome-image-entry-component.c: This is now a GnomeSelector component.

	* libgnomeui/gnome-image-entry.[ch]: New files; this is a GnomeSelectorClient
	wrapper for the GnomeImageEntryComponent.

2001-05-09  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-entry.h (gnome_entry_new): Removed `history_id' argument.
	(gnome_entry_new_full): Likewise.
	* libgnomeui/gnome-file-entry.h (gnome_file_entry_new): Likewise.

2001-05-09  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-entry.h (gnome_entry_new_full): New function.

	* libgnomeui/gnome-file-entry.[ch]: New files; this already existed in
	GNOME 1.x, but we're now using the new GnomeSelector API.

2001-05-08  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-entry.[ch]: Reflect latest GnomeSelector API changes.

2001-05-08  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-selector-client.h (gnome_selector_client_set_uri):
	Added `GDestroyNotify destroy_fn' argument.

	* libgnomeui/gnome-selector-client.c (gnome_selector_client_set_uri):
	Actually invoke the async_func when we get the event.

2001-05-08  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-selector-client.h
	(GnomeSelectorClientAsyncHandle): New typedef.
	(GnomeSelectorClientAsyncFunc): New typedef.
	(gnome_selector_client_get_uri): New function.
	(gnome_selector_client_set_uri): New function.

2001-05-08  Martin Baulig  <baulig@suse.de>

	* libgnomeui/gnome-selectorP.h: Removed.
	* libgnomeui/gnome-selector.[ch]: Removed, this is now in libgnome.
	* libgnomeui/gnome-file-selector.[ch]: Removed, this is now in libgnome.

2001-05-02  Martin Baulig  <baulig@suse.de>

	* demos/libgnomeui-demos-server.c, libgnomeui-demos.oafinfo: New files.
	This is a little component test program. To test it, you need to
	manually the oafinfo file to $(datadir)/oaf.

	* demos/selector_demo.c: Comment out everything which currently doesn't
